About Suite8 Miscellaneous Menu

The Suite8 Miscellaneous menu includes various options including Today's Activities, User Log file, Interface and Telephone Functions, Calendar Events and Reports. Additionally it is used to run Night Audit, access the Export Setup for the Back Office Interface, access External Applications, view the Error Log File and enter Budget Figures for the manager report. Users can also change their Password and configure specific User Settings.


Miscellaneous Shortcut Bar

The Suite8 main menu screen has nine colored tabs located on the left of the screen. Each colored tab represents one of the main user modules.

To open the Miscellaneous Shortcut Bar:

  1. Click Misc. from the colored toolbar.

The Miscellaneous shortcut bar opens.

  2. Alternatively you can click Miscellaneous on the menu bar.

The Miscellaneous menu appears.


Night Audit

The Night Audit option is used to complete the accounting day which includes completing the accounting totals, validating data, purging files and updating the internal databases, and is accessible via the option Night Audit on the Miscellaneous menu.

Night Audit Key Points

  • During night audit all automatic charges that are attached to a reservation or financial account are posted, the statistics are calculated, old data is deleted and the date is changed.

  • As Fidelio has its own system date, it is not automatically changed at midnight but after finishing the night audit. Therefore, it is possible to run the night audit the next morning. In this case however, it must be considered that all revenues and payments which are posted before the night audit statistically belong to the old date. Also, fixed charges have not yet been posted. If there are check-outs before the night audit, advance folios must be printed.

  • Before starting night audit, all reservations and financial accounts that have arrived should be checked in, reservations and financial accounts that have departed should be checked out and all cashiers should be closed.

  • If night audit is running it is not possible to perform advance postings, cancel advance postings, post daily charges from the billing search screen, post daily charges from the options menu when opening a guest folio or creating an advance invoice from the options menu when opening a guest folio and selecting Proforma.

  • All confirmation and warning messages are written to the night audit log file, which can be viewed in the Night Audit User Log from the User Log option on the Miscellaneous menu.

Night Audit Parameters

  • Running night audit is controlled by the user right Start under Setup → Configuration → Users → User Definition → Rights → Night Audit.

  • Running night audit when not all due outs are checked out is controlled by the user right Start when not all due outs are checked out under Setup → Configuration → Users → User Definition → Rights → Night Audit.

  • The cashier number used by the night audit is defined via the option Night Audit Cashier Number under Setup → Configuration → Global Settings → Night Audit → Night Audit tab.

  • A mandatory country code for all in-house guest profiles is controlled by the parameter Country code mandatory for in house guest under Setup → Configuration → Global Settings → Night Audit → Night Audit tab. With this parameter active the night audit can not continue until all the missing country codes have been entered.

  • A mandatory state code for all in-house guest profiles is controlled by the parameter State code mandatory for in house guest under Setup → Configuration → Global Settings → Night Audit → Night Audit tab. With this parameter active the night audit can not continue until all the missing state codes have been entered.

  • The location for exported night audit reports is defined via the option Report storage path under Setup → Configuration → Global Settings → Night Audit → Night Audit tab.

  • The sound file to be played when the night audit is finished is defined via the option Sound file to be played when night audit finished under Setup → Configuration → Global Settings → Night Audit → Night Audit tab.


Running Night Audit

Before starting the night audit there are several checks that should be made, the Preview Problems option performs all the checks made by the night audit without actually running night audit, however, users can see and select all the questions raised.

There are several checks which if raised during the Preview Problems process must be resolved before starting the night audit. Failing these checks during the running of the night audit will stop the night audit and it cannot be continued until the situation has been resolved.

Preparation for Night Audit

  • Run a back up before starting to run night audit.

  • All reservation and financial accounts that have arrived should be checked in.

  • All reservation and financial accounts that have departed should be checked out.

  • All scheduled room moves should be completed.

  • All cashiers should be closed.

  • Use the reservation navigator to check the arrival, departure and financial accounts page and check cashier status from the cashiering drop-down menu.

  • If the parameter Country Code mandatory for in house guest is active under then all arrivals must have a country code assigned, the night audit will stop if a reservation linked to a profile with no country assigned is found.

Checks performed with the preview problems option

  • Due out reservations

  • Open cashiers not yet closed

  • Expected reservations not yet checked in

  • Due out financial accounts

  • Expected financial accounts not yet checked in

  • EFT system is currently off line. No Additional Authorization will be executed

  • Expected reservations with pre-billing postings that are not yet checked in

  • Guests checked out with not closed folio and room status vacant

  • Scheduled room moves or guests staying in different rooms than scheduled

  • Checked in reservations with no room for today

  • Checked-out accounts with a balance (parameter controlled).

  • Missing country or state codes (Parameter controlled)

  • Custom SQL statement with commit

What do you want to do?

How to run preview problems

  1. Click the Miscellaneous menu and select Night Audit.

The Night Audit screen is displayed.

  2. Click the Preview problems button.

If there are due out reservations then the message "Do you want to see due out reservations ?" is displayed.

  3. Click Yes to display the billing screen with a list of all due out reservations; access to billing requires a valid cashier number.

  4. Once all the due out reservations have been handled as required close the billing screen and click Preview Problems on the Night Audit screen to re-start the preview problems process.

  5. Clicking No displays the message: "There are due out reservations that are not checked out."

  6. Click OK to close the message.

If there are open cashiers then the message "There are open cashiers not yet closed" is displayed.

  7. Click OK to close the message.

If there are reservations that have not yet arrived then the message "There are expected reservations that are not yet checked in." is displayed.

  8. Click OK to close the message.

If there are due out financial accounts then the message "Do you want to see due out financial accounts ?" is displayed.

  9. Click Yes to display the billing screen with a list of all due out reservations including financial accounts; access to billing requires a valid cashier number.

  10. Once all the due out financial accounts have been handled as required close the billing screen and click Preview Problems on the Night Audit screen to re-start the preview problems process.

  11. Clicking No displays the message: "There are due out financial accounts."

  12. Click OK to close the message.

If there are expected financial accounts that are not yet checked in then the message "There are expected financial accounts that are not yet checked in." is displayed.

  13. Click OK to close the message.

If an EFT system is active then a message is displayed if the system is currently off line. "EFT system is currently off line. No Additional Authorization will be executed"

  14. Click OK to close the message.

If there are expected reservations with pre-billing postings that are not yet checked in then the message "There are expected reservations with prebilling postings that are not yet checked in. Night Audit can not be continued." is displayed.

The reservations must be checked in or the arrival date changed in order to continue with the night audit.

  15. Click OK to close the message.

If there are guests who have been checked out without closing the folio and the room now has the status vacant then the message "Night Audit can not be continued because of checked out guests with not closed folio." is displayed.

Checking out a guest without closing the folio allows for the room to be physically vacated and the folio to be stored for check out at a later time. The folio must be settled and checked out in order to continue with the night audit.

  16. Click OK to close the message.

If there are guests who are still scheduled to move rooms today then the message "There are scheduled room moves or guests staying in different rooms than scheduled. Night Audit can not be continued." is displayed.

The scheduled room moves must be completed via the option Room Move on the Reservations menu in order to continue with the night audit.

  17. Click OK to close the message.

If there are offers then the message "Do you want to see Offers ?" is displayed.

  18. Click Yes to display the Offers screen with a list of all offer reservations.

  19. Once all the offer reservations have been handled as required close the reservation navigator and click Preview Problems on the Night Audit screen to re-start the preview problems process.

  20. Clicking No displays the message: "There are offer reservations with expired option date."

  21. Click OK to close the message.

If there are reservations which are checked in and have no room assigned for today then the message "There are checked in reservations with no room for today. Night Audit can not continue." is displayed.

A reservation can have no room assigned if a room was assigned for the first night only and upon check-in either a room number was not assigned for the remaining days or the reservation was marked as a scheduled room move from the day where no room is assigned.

  22. Click OK, the message "Do you want to see checked in reservations with no room for today ?" is displayed.

  23. Click Yes to display a list of checked in reservations with no room for today.

  24. Clicking No displays the message: "Night Audit can not be continued because of checked in reservations that have no room assigned for today."

  25. Click OK to close the message.

  26. If there are reservations or financial accounts with the status 'checked out' and a balance then the message "There are checked out reservations/FAs out of balance. Night Audit can not continue. Please reinstate the reservation(s)/FA(s) and check them out again." is displayed.

  27. Click OK, the message "Do you want to see the imbalance reservations/FAs?" is displayed.

  28. Click Yes to display the billing screen with a list of all imbalance reservations and financial accounts; access to billing requires a valid cashier number.

  29. Once all the imbalance accounts have been handled as required, close the billing screen and click Preview Problems on the Night Audit screen to re-start the preview problems process.

  30. Clicking No closes the message.

A finished message is displayed in the night audit dialog.

An additional check is made if the parameter Country code mandatory for in house guest and/or the parameter State code mandatory for in house guest are active.

A list of all in house guest profiles with missing country and/or state codes is displayed and night audit cannot be continued until all the missing country and state codes have been entered. State codes are only required for countries for which states have been defined.

  31. Select a profile from the list and complete the Country and/or State code; then click the Update button.

or

  32. Select several profiles from the list and complete the Country and/or State code; then click Batch Update to perform a batch update.

  33. Click Close once all the missing country and/or state codes have been completed.

  34. If the screen is closed without completing all the missing country and /or state codes then the message "Country code is missing! Do you want to exit anyway?" is displayed.

  35. Clicking Yes displays the message: "Night Audit can not be continued because of checked out guests with no Country Code filled."

  36. Click OK to close the message.

The preview problems process is completed.

How to run night audit

  1. Click the Miscellaneous menu and select Night Audit.

The Night Audit screen is displayed.

  2. Click the Start button.

A confirmation message is displayed: "Are you sure you want to run Night Audit for xx/xx/xx ?"

  3. Click Yes to start the night audit.

The first check when starting the night audit is an expiration date check; the configured end date of Rooms, VAT codes, Links from VAT codes to department codes and Users are compared with the expiry check date entered in the configuration.

The following actions can be taken for due to expire items:

  • Extend - with the appropriate user right the user running the night audit can extend the expiry date for the selected item.

  • Ignore NA Check - marks the item as to be ignored in future checks. This enables items such as, old VAT codes and obsolete rooms to remain in the system but be ignored the next time the list is prompted.

  • Do not Ignore NA check - removes the ignore NA check mark so that the item will not be ignored in future checks.

  4. Take any required action and click Save or click Ignore to continue with the night audit. Clicking Abort NA displays the message: "Are you sure to abort the Night Audit?"

If there are reservations which are checked in and have no room assigned for today then the message "There are checked in reservations with no room for today. Night Audit can not continue." is displayed.

  5. Click OK, the message "Do you want to see checked in reservations with no room for today ?" is displayed.

  6. Click Yes to display a list of checked in reservations with no room for today. Clicking No displays the message: "Night Audit can not be continued because of checked in reservations that have no room assigned for today."

  7. Click OK to close the message; the night audit is stopped.

Rooms must be assigned before the night audit can be re-started.

  8. If an EFT system is active then a message is displayed if the system is currently off line. "EFT system is currently off line. No Additional Authorization will be executed. Are you sure you want to continue with Night Audit ?"

  9. Click Yes to continue with the night audit, clicking No will stop the night audit.

If there are guests who have been checked out without closing the folio and the room now has the status vacant then the message "Night Audit can not be continued because of checked out guests with not closed folio." is displayed.

  10. Click OK to close the message; the night audit is stopped.

The folios must be settled and checked out before the night audit can be re-started.

If there are expected reservations with pre-billing postings that are not yet checked in then the message "There are expected reservations with prebilling postings that are not yet checked in. Night Audit can not be continued." is displayed.

  11. Click OK to close the message; the night audit is stopped.

The expected reservations with pre-billing postings must be checked in or the arrival date changed before the night audit can be re-started.

If there are reservations with billing instructions to financial accounts that are not yet checked in then the message "There are expected financial accounts that are not yet checked in. Do you want them all to be checked in automatically?" is displayed.

  12. Click Yes to check in the expected financial accounts. If the question is answered with No the night audit will not continue if the charges routed to a financial account are for a group booking. If the charges are routed from an individual reservation, night audit will remove the billing instructions and continue.

If there are reservations that are not yet checked in then the message "There are expected reservations that are not yet checked in. Are you sure you want to continue with Night Audit" is displayed.

  13. Click Yes to continue with the night audit and change the status of the expected reservations to 'No Show'; clicking No will stop the night audit.

If there are cashiers who are not closed then the message "There are open cashiers not yet closed. Are you sure you want to continue with Night Audit" is displayed.

  14. Click Yes to continue with the night audit and leave the cashiers open; clicking No will stop the night audit.

  15. If the parameter Country code mandatory for in house guest and/or the parameter State code mandatory for in house guest are active then a list of all in house guest profiles with missing country and/or state codes is displayed and night audit cannot be continued until all the missing country and state codes have been entered. State codes are only required for countries for which states have been defined.

  16. Select a profile from the list and complete the Country and/or State code; then click the Update button.

or

  17. Select several profiles from the list and complete the Country and/or State code; then click Batch Update to perform a batch update.

  18. Click Close once all the missing country and/or state codes have been completed. If the screen is closed without completing all the missing country and /or state codes then the message "Country code is missing! Do you want to exit anyway?" is displayed.

  19. Clicking Yes displays the message: "Night Audit can not be continued because of checked out guests with no Country Code filled."

  20. Click OK to close the message; the night audit is stopped.

The missing country and/or state codes must be completed in order to complete the night audit.

If there are guests who are still scheduled to move rooms today then the message "There are scheduled room moves or guests staying in different rooms than scheduled. Night Audit can not be continued." is displayed.

  21. Click OK to close the message; the night audit is stopped.

The scheduled room moves must be completed via the option Room Move on the Reservations menu before the night audit can be re-started.

If there are reservations that are due out but that have not yet been checked out then the message "There are due out reservations that are not checked out. Are you sure you want to continue with Night Audit?" is displayed.

  22. Click Yes to continue with the night audit and extend the stay of these guests; click No to display the billing screen with a list of all due out reservations and with a valid cashier number to check them out.

Once all the due out reservations have been handled as required the night audit can be restarted.

  23. If there are reservations or financial accounts with the status 'checked out' and a balance then the message "There are checked out reservations/FAs out of balance. Night Audit can not continue. Please reinstate the reservation(s)/FA(s) and check them out again." is displayed.

  24. Click OK, the message "Do you want to see the imbalance reservations/FAs?" is displayed.

  25. Click Yes to display the billing screen with a list of all imbalance reservations and financial accounts; access to billing requires a valid cashier number.

  26. Once all the imbalance accounts have been handled as required, close the billing screen and click Preview Problems on the Night Audit screen to re-start the preview problems process.

  27. Clicking No closes the message.

If all the parameters for the import of materials control information have not been set the message "Not all parameters for Materials Control Import are set! Do you want to continue ?" is displayed

  28. Click Yes to continue with the night audit, clicking No stops the Night Audit.

If there are financial accounts that are due out but that have not yet been checked out then the message "There are due out financial accounts. Do you want continue with Night Audit and extend those financial accounts to the next day?" is displayed.

  29. Click Yes to continue with the night audit and extend the financial accounts; click No to display the billing screen with a list of all due out reservations including financial accounts and with a valid cashier number check them out.

Once all the due out financial accounts have been handled as required the night audit can be re-started.

  30. When the night audit has finished the message "Night audit finished successfully. New system date is xx/xx/xx" is displayed.

The night audit reports are printed and stored on the path defined in the configuration.

Situations that will stop the NA

  • If there are checked in reservations which do not have a room for today. A reservation can have no room assigned if a room was assigned for the first night only and upon check-in either a room number was not assigned for the remaining days or the reservation was marked as a scheduled room move from the day where no room is assigned.

  • If there are expected reservations with pre-billing postings that have not yet been checked in.

  • If there are scheduled room moves that have not been completed. The scheduled room moves must be completed via the option Room Move on the Reservations menu before the night audit can be re-started.

  • Checked out guest with not closed folio. Checking out a guest without closing the folio allows for the room to be physically vacated and the folio to be stored for check out at a later time. The folios must be checked out before the night audit can be run.

  • Reservation or a financial account which has the status 'checked-out' but still has a balance.

  • The number of days to check in advance for expired items is set via the option Days before expiry under Setup → Configuration → Global Settings → Generic → Generic 3 tab.

  • The option to extend the date on an item is controlled by the user right Extend Expired Item during Night Audit under Setup → Configuration → Users → User Definition → Rights → Night Audit.

  • Changes in expiry date are displayed in the user log for users and rooms if the options User Setup and Room Setup are selected in Setup → Configuration → Users → User Log → Configuration.


Night Audit Reports

The night audit shift report process prints and exports reports as defined by each property. Each report to be included in the shift report process must be defined individually via the Reports option on the Miscellaneous menu.

The following print and export options are available:

  • None - the report will not be printed or exported.

  • Export and Print - the report will be printed and exported to the report storage path defined in the configuration.

  • Export only - the report will be exported to the report storage path defined in the configuration.

  • Print only - the report will be printed.

How to include a report in the night audit shift report process

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Search for and locate the report to be included as part of the night audit reports.

  3. Click the Edit button.

The Report Edit screen is displayed defaulted to the Report tab

In the Night audit options box select from the following options:

  • None - the report will not be printed or exported.

  • Export and Print - the report will be printed and exported to the report storage path defined in the configuration.

  • Export only - the report will be exported to the report storage path defined in the configuration.

  • Print only - the report will be printed.

  4. Click OK to save the changes and exit the Report Edit screen.

Note: Night Audit reports are exported using the name of the report and the date: NameofReport_28022012_1008.

Note: When running the shift reports process the following message will be displayed "Night Audit Export path does not exist, Reports will be exported to C:" if night audit reports are configured to be exported but no Report storage path is defined in the configuration.

  • The location for exported night audit reports is defined via the option Report storage path under Setup → Configuration → Global Settings → Night Audit → Night Audit tab.

  • The section of reports that will be processed and stored during the night audit is defined via the option Report Section for NA Reports under Setup → Configuration → Global Settings → Night Audit → Night Audit tab.


Automatic Night Audit

Automatic night audit is used by properties not operating 24 hours/7 days a week, such as sales offices, and is accessible via the option Night Audit on the Miscellaneous menu. This option is parameter controlled.

The automatic night audit can be configured to run via the Fidelio Server or the Control Panel

The following must be defined in the configuration order to run the automatic night audit:

  • The days of the week on which the night audit is to run.

  • The time the night audit should start each day.

  • The name of the user who should be logged in to run the automatic night audit.

  • The complete run path and parameters for Suite8.

As there are several question prompts during the night audit, then the answers to the night audit questions have to be defined in the configuration. The questions can be marked as Continue or Stop, the night audit will stop on questions marked as stop until the question is answered.

Night Audit Questions

  • Fidelio date smaller than current date

  • Due out reservations

  • Open cashiers

  • Expected reservations

  • Due out financial accounts

  • Expected financial accounts

  • EFT off

  • Custom SQL statement with commit - only applies for the first question when night audit starts. If it’s set to Continue automatic night audit will run until the statement with commit and then stop. If it is set to Stop automatic night audit will stop after this question.

  • Materials Control Import

Before starting the night audit there are several checks that should be made, the Auto NA Problems option performs the pre-night audit checks that are configured as Stop in the configuration. If all answers are set to Continue, the search will finish immediately; however, there are several checks which if raised during the Auto NA Problems process must be resolved before starting the night audit. Failing these checks during the running of the night audit will stop the night audit and it cannot be continued until the situation has been resolved.

Situations that will stop the NA

  • If there are checked in reservations which do not have a room for today. A reservation can have no room assigned if a room was assigned for the first night only and upon check-in either a room number was not assigned for the remaining days or the reservation was marked as a scheduled room move from the day where no room is assigned.

  • If there are expected reservations with pre-billing postings that have not yet been checked in.

  • If there are scheduled room moves that have not been completed. The scheduled room moves must be completed via the option Room Move on the Reservations menu before the night audit can be re-started.

  • Checked out guest with not closed folio. Checking out a guest without closing the folio allows for the room to be physically vacated and the folio to be stored for check out at a later time. The folios must be checked out before the night audit can be run.

  • Automatic night audit is controlled by the parameter Automatic start under Setup → Configuration → Global Settings → Night Audit → Night Audit tab.

  • The answers for the automatic night audit pre-check are defined via the option Answers for Automatic Night Audit under Setup → Configuration → Night Audit


Set Date

This option may be used to set the Suite8 date to a specific date and is accessible via the option Night Audit on the Miscellaneous menu.

The set date option may be used to set the Suite8 date to the current calendar date on the day that Fidelio goes into live operation or may be used by seasonal properties that close during a specific season and re-open some months later.

Various checks are made before the date is changed, if any of the control checks fail then the reason for the failure is logged and the date will not be changed.

The following checks are made:

  • Open cashiers

  • Financial accounts to be checked out

  • Posting records between today and the target date

  • Expected reservations between today and the target date

  • CCM bookings scheduled between today and the target date

How to set the date

  1. Click the Miscellaneous menu and select Night Audit.

The Night Audit screen is displayed.

  2. Click Set date; the Set system date dialog box is displayed.

  3. Type the new date in the Please enter new system date box or click the drop down arrow and select a date from the calendar.

  4. Click OK to set the new date.

The progress steps are logged in the night audit window; if any of the control checks fail then the reason for the failure is logged and the date will not be changed.

  5. Click Close to close the night audit window.

Note: The Suite8 date is not always identical to the system date. The system date changes at midnight and the Suite8 date is not changed until the night audit has been completed.

  • The option to set the Suite8 date is controlled by the user right Change system date without running Night Audit under Setup → Configuration → Users → User Definition → Rights → Night Audit.


Export

This option may be used to setup and manually run export files and is accessible via the option Export on the Miscellaneous menu. Mainly used for the export of files from back office interfaces, however, some countries use it to provide an export of statistics or VAT export files. If the export functionality is used to export files for a back office interface a valid license code has to be entered and the department codes for the export have to be configured.

Export files can be included in the night audit routine so that they run automatically. Additional information is stored in an export log which can be exported to the same path as the actual export file.

The data preparation is accomplished with SQL views and the export functionality reads with select statements the views. Setting up new or changing existing export functionality is for experienced users only and requires knowledge of SQL and the Fidelio Suite8 database structure.

Files such as the night audit reports may be configured to be exported and compressed in one batch file.

All exports with the same batch file name are grouped in to one batch file; the following variables can be used for file names:

{pcdate}[dateformat]

{hoteldate}[dateformat]

{batchdate}[dateformat]

Modifiers can also be used, for example: {hoteldate-1} or {hoteldate+1}

If the time stamp should be the same within one batch file, the variable {batchdate} can be used for the batch file name and for the export files. Files can be deleted automatically after they are moved into the batch zip by selecting the option Delete after move to batch.

What do you want to do:

How to run an export

  1. Click the Miscellaneous menu and select Export.

The Exports screen is displayed divided into 2 sections.

  • The upper section lists the available export procedures

    This column

    Displays this

    Name

    The name for the back office export.

    Automatic

    An x indicates that the export is marked to run automatically during night audit.

    File name

    The path and file name of the export, such as:

    C:\TEMP\RV{hoteldate}.001[yymmdd] or C:\TEMP\NA{hoteldate}.001[yymmdd]

    Batch file name

    The name and location of the batch file, such as: C:\temp\NA{batchdate}[dateformat]

    Append

    An x indicates that the export is marked for append.

    When

    Defines if the export is on a daily or last day of month basis.

    After date change

    An x indicates that the custom export is executed after the date change and is not part of the night audit transaction.

    Delete after moved to batch

    Defines if files are deleted after they have been moved into the batch.

  • The lower section displays export details about the last run of the selected back office export.

    This Column

    Displays this

    PC time

    The date and time on the workstation where the last export ran.

    User

    The user who started the export routine.

    Workstation

    The name of the workstation where the last export ran.

    Automatic

    An x indicates that the export was run during night audit.

    Fidelio date

    The Suite8 date.

  2. Select the exports required by clicking the check box next to the name; selected exports are indicated by

  3. Click the Run Marked button.

  4. The date parameter is displayed; enter the required date and click OK to continue.

The export is run and a message is displayed when the export is finished.

  5. Click OK to close the message.

  6. Click Close to exit the exports screen.

How to create a new export definition

  1. Click the Miscellaneous menu and select Export.

The Exports screen is displayed.

  2. Click New to display the Export definition screen.

  3. Complete the export definition options

    Field

    Definition

    Legal Values

    Description

    The name of the data export.

    Up to 30 characters of text.

    File Name

    The name of the file and the path from which the back office will read the files.

    The path and file name for the file. For example: J:\FILOSOF\TRANSFER\RV {hoteldate}.001[yymmdd]

    Batch File Name

    The name of the batch file.

    The name and location of the batch file, such as: C:\temp\NA{batchdate}[dateformat]

    Options

    Automatic

    Defines if the export should run automatically during night audit.

    Check: Automatic

    Blank: Manual

    Append

    Defines if data should be appended to an existing file.

    Check: YES

    Blank: NO

    When

    Defines if the data export should run on a daily basis or on the last day of the month.

    Select from list box.

    After date change

    Defines if the custom export is executed after the date change and is not part of the night audit transaction.

    Note: After the date has changed and a commit is done, there will be no oracle roll back if there is an error during the custom export. The export would have to be done again manually.

    Check: Enabled

    Blank: Disabled

    Delete after moved to batch

    Defines if files are deleted after they have been moved into the batch file.

    Check: YES

    Blank: NO

    Header SQL

    Defines the header section for the file to export.

    Free format text.

    Data SQL

    Defines the data section for the file to export.

    Free format text.

    Footer SQL

    Defines the footer section for the file to export.

    Free format text.

  4. Click OK to save the export definition.

How to use the serial number from user definable number cycles as the file name in export files

  1. On the Setup menu select Configuration to display the configuration options.

  2. Click Cashiering and select Number Cycles from the drop-down list.

  3. Click New to display the Number Cycles dialog box.

  4. Enter a Name for the number cycle, for example TEST.

  5. In the Value box (zinn_value) set the value 1.

  6. In the Type box select User Defined from the drop-down list.

  7. Click OK to save the number cycle and then click Close to exit the configuration.

  8. Click the Miscellaneous menu and select Export.

  9. Click New to display the Export definition screen

  10. In the Description enter TEST.

  11. In the File Name enter c:\temp\[zinn=TEST].txt

  12. Select the newly created export file Test and click the Run Marked button.

A file name with the name '1.txt' is created under c:\temp and the field Value (zinn_value) from the table zinn (number cycles) is set to 2.

  • If the name from the export filename (zinn_name) does not exist, the message: "ZINN record with name ..... was not found" will display.

  • If the name from the export filename (zinn_name) exists, but the number cycle Type (zinn_type) is not set to User Defined (2) then the message: "Selected number cycle type should be 'User definable number cycles' (zinn_type=2)" will display.

How to convert data format for export files

Some back office systems can not read ANSI character encoding. As the Oracle database is installed on an ANSI code page the ANSI character set is exported by default (1250 ?? = WE8DEC). The expected ASCII format is located on another code page (850 = WE8PC850 ? ).

The problem can be solved by changing the SELECT statements in the export functionality.

For example the function Convert:

CONVERT([text],target_character_set,source_character_set)

If the statement used looks as follows:

SELECT EXPORT FROM V8_BOF_NAVISION_DEBTORS WHERE V8_BOF_NAVISION_DEBTORS.POSTDATE =:PARAMETER

And if the back office system can not convert ANSI encoding, the statement can be changed as follows:

SELECT CONVERT(EXPORT,'WE8PC850') FROM V8_BOF_NAVISION_DEBTORS WHERE V8_BOF_NAVISION_DEBTORS.POSTDATE =:PARAMETER

The following statements can be used to verify the function:

select

chr(228), ==> װ ANSII code for װ

chr(132) ==> ASCII code for װ

from dual

select ASCII('װ') from dual; ==> Return is 228 = ANSI

select ASCII((SELECT CONVERT('װ', 'WE8PC850') FROM DUAL)) from dual ==> Return is 132 = ASCII code for the character װ

select ASCII((SELECT CONVERT('װ', 'WE8DEC', 'WE8PC850')

"Conversion" FROM DUAL))FROM DUAL; = Return is 132 for װ = ASCII

Variable error when updating Oracle 9.2.0.4 to Oracle 9.2.0.6

When updating Oracle 9.2.0.4 to Oracle 9.2.0.6 some views using the SQL parameter variable :'PARAMETER' no longer worked. In the event that an error occurs after an Oracle update the new variable '{dateparameter}' may be used instead. This variable will be replaced with the date format 'to_date()') entered during the export.

Example: Select statement using the variable 'parameter':

select V8_BOF_REVENUE.EXPORT from V8_BOF_REVENUE where

V8_BOF_REVENUE.POSTDATE=:PARAMETER ORDER BY SORT_ID

Example: Select statement using the variable '{dateparameter}':

select V8_BOF_REVENUE.EXPORT from V8_BOF_REVENUE where

V8_BOF_REVENUE.POSTDATE={dateparameter} ORDER BY SORT_ID

Options available on the export screen

  • Run Marked - to run the selected export procedures.

  • New - to create a new export procedure.

  • Edit - to edit an existing export procedure.

  • Delete - to delete the selected export procedure.

  • Up/Down - to change the order of the export procedures.

  • Select batch - selects all procedures with the same batch file name.

  • Select batch only - selects all procedures with the same batch file name and unselects all other procedures.

  • Select all - to select all the export procedures.

  • Select none - clears the selection of export procedures.

  • Invert selection - reverses the selection of procedures.

PowerYourRoom

PowerYourRoom offers hotel revenue management systems to assist properties with their price strategies. The solution: give ’Power to your Room’, enables properties to achieve higher occupancy at higher rates. There are two modules:

  • PriceYourRoom - offers rate recommendation giving a transient rate recommendation for one night stay, 42 days ahead and up to 100 pre-defined event days.

  • Compare Your Room - is a business intelligence tool enabling viewing essential competitor information at one glance.

Data from Suite8 as well as external data, such as events affecting demand, market availability and competitor pricing is gathered and used for the PriceYourRoom algorithm which then recommends the best daily rate the property should offer and the reason for this recommendation.

Export

The HOTEL ID needs to be provided by the responsible contact from PowerYourRoom and then replaced in the file, for example: <WHATEVERCODE> and the EXPORT PATH and sFTP Transfer to PowerYourRoom should be defined by the local IT Administrator. The export is then configured from the Miscellaneous drop down menu in Suite8 under Export, as shown in the example below:

Data SQL for the Daily Export

The daily data export script to Power Your Room, looks as follows:

select * from (

select * from V8_PPR_TOTALDATA_FC1 where exportdate between V8_sys_fideliodate - 2 and v8_sys_fideliodate + 365

union

select * from V8_PPR_RTRCDATA_FC1 where exportdate between V8_sys_fideliodate - 2 and v8_sys_fideliodate + 365

UNION

SELECT * FROM V8_PPR_MKTDATA_FC1 where exportdate between V8_sys_fideliodate - 2 and v8_sys_fideliodate + 365

UNION

select * from V8_PPR_SRCDATA_FC1 where exportdate between V8_sys_fideliodate - 2 and v8_sys_fideliodate + 365

)

order by Exp_order, data asc;

Data SQL for one time History Dump

PowerYourRoom requires an additional DUMP for initialization of the last two years, if this data is available at the property.

This initialization has to be executed once and the script is as follows:

select * from (

select * from V8_PPR_TOTALDATA_FC1 where exportdate between V8_sys_fideliodate - 730 and v8_sys_fideliodate -1

union

select * from V8_PPR_RTRCDATA_FC1 where exportdate between V8_sys_fideliodate - 730 and v8_sys_fideliodate -1

UNION

SELECT * FROM V8_PPR_MKTDATA_FC1 where exportdate between V8_sys_fideliodate - 730 and v8_sys_fideliodate -1

UNION

select * from V8_PPR_SRCDATA_FC1 where exportdate between V8_sys_fideliodate - 730 and v8_sys_fideliodate -1

) order by Exp_order, data asc

Ideas Export

Export by Hotel Segments:

select CAPTURE from V8_IDEAS_2_CAPTURE_EXTRACT

select PAST_TOTAL from V8_IDEAS_4_PAST_TOT_EXTRACT

select CURRENT_SEGMENT from V8_IDEAS_6_CUR_SEG_EXTRACT

select PAST_SEGMENT from V8_IDEAS_7_PAST_SEG_EXTRACT

possibility to decide if export should be net or gross figures,

Export can be with net or gross figures:

If the query in the view V8_IDEAS_3_CUR_TOT_EXTRACT contains CURRENT_TOTAL_NET' then net figures are exported.

If it contains CURRENT_TOTAL_GROSS then gross figures are exported.

If it contains the variable CURRENT_TOTAL then the usual behavior for exporting net figures is used.

Export to UTF 8 Format

To export in UTF 8 format, proceed as follows:

  1. Create the procedure Str2XML

CREATE OR REPLACE FUNCTION Str2XML(sInput IN VARCHAR)

RETURN VARCHAR is

Result VARCHAR(2000);

BEGIN

Result := convert(DBMS_XMLGEN.CONVERT(sInput), 'UTF8');

RETURN Result;

END Str2XML;

/

  2. Use this function for the Varchar fields affected, like:

Str2XML(ZDCO.ZDCO_LONGDESC) DC_LongDesc,

  3. Set Encode Information to the xml template file itself, like

{runquery 1}{runquerywithautoparameters 2}<?xml version="1.0" encoding="UTF-8" standalone="yes"?>

  • If the export functionality is used to export files for a back office interface a valid license code has to be entered for [L102864] Back Office Interface under Setup → Miscellaneous → License → V8 sublicenses → Property management.

  • If the export functionality is used to export files for a back office interface the department codes for the export have to be configured on the BOF tab via the option Department Codes under Setup → Configuration → Cashiering.

Note: If the license code for back office has expired, is not valid or not used any longer and the export option is to be used for other export functionality then the back office fields on all department codes must be cleared by editing each department code and clicking the Clear BOF button.


Reports

This option may be used to view, edit and print reports and is accessible via the option Reports on the Miscellaneous menu.

Multiple standard reports are included with the installation of Fidelio Suite8; all standard Suite8 reports start with FCR so they can be easily identified as standard reports. The reports are grouped by user-definable sections and sub-sections and a tree structure allows users to easily list the reports in a specific section. All report descriptions start with a number which indicates which section and sub-section it belongs to.

A search option enables users to search for a specific report within all the report sections or within a specific section. The search is performed as the letters are entered into the Text Search box and locates all reports which have the entered text somewhere in the report description.

Suite8 reports are written with Crystal Reports or with the Internal Editor Functionality. With knowledge of Crystal Reports and the Suite 8 table structure new reports can be created and existing reports can be modified according to the needs of the property.

What do you want to do?

How to access reports

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

Alternatively click the Reports icon from the colored miscellaneous toolbar.

The Reports screen is displayed.

At the top of the screen there is a Text Search option.

The remainder of the reports screen is divided into 2 areas:

  • On the left-hand side is the tree structure where reports are grouped by user-definable sections.

  • On the right-hand side reports are listed according to the section selected; by default all reports are listed.

  2. To exit the Reports screen, click Close All on the Windows menu or press F10.

How to search for a report

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

Alternatively click the Reports icon from the colored miscellaneous toolbar.

The Reports screen is displayed.

  2. The All Reports section is selected by default in the reports tree view; select a specific report section if required.

  3. In the Text Search box enter the report name to search for.

The search is performed as the letters are entered into the Text Search box and locates all reports which have the entered text somewhere in the report description.

  4. To exit the Reports screen, click Close All on the Windows menu or press F10.

Options available on the reports screen

  • New - to create a new report.

  • Edit - to edit an existing report.

  • Delete - to delete a report.

  • Execute - to display, print or export a report.

  • Print - to print a report directly without displaying the print dialog box.

  • Report Files - to access the report configuration.

  • Multiple Reports - to select multiple reports for printing.

  • Up - to move the selected report up on the report listing.

  • Down - to move the selected report down on the report listing.

Note: If Suite8 is started in debug mode then the search includes not only the report description but also the report name. For example, if the report name is 'FCR_CRM_1202_Activity_Reminders.rpt', then typing '1202' in the Text Search box, returns all reports where the report description or report name contains '1202'.

  • Access to reports functionality is controlled by the user right Open Screen under Setup → Configuration → Users → User Definition → Rights → Reports.


Report Sections

Multiple standard reports are included with the installation of Suite 8. The reports are grouped by user-definable sections and sub-sections and a tree structure allows users to easily list the reports in a specific section.

If hotel segmentation is used then a hotel segment can be assigned to a report section; this will allow, for example, on confirmation letters to only display letters assigned to the corresponding hotel segment. If report security levels are used then a report security level can be assigned at report section level.

What do you want to do?

How to locate the report section

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed with the All Reports section selected by default and all available reports listed.

  2. In the Text Search box enter the report name to search for.

The search is performed as the letters are entered into the Text Search box and locates all reports which have the entered text somewhere in the report description.

  3. Select the required report and right-click to display the short-cut menu.

  4. Select the option Go to Report Section.

The section to which the report belongs is selected in the reports tree and all the reports belonging to that section are listed.

  5. To exit the Reports screen, click Close All on the Windows menu or press F10.

How to view/edit the report section

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

On the left-hand side of the screen the existing reports are grouped into user-definable sections and sub-sections.

  2. Point to any report section and right-click to display the shortcut menu, select Edit.

The Sections dialog box is displayed

  3. The Section role has to match the type of reports, forms and templates that will be contained in that section.

  4. The Source Type indicates the type of report:

  • Text Format Template - to create or print reports written with the Internal Editor.

  • Crystal Report - to create or print reports written with Crystal Reports.

  • Olap Cube - to create or print Cube Reports.

  • HTML Report - to create, load or print an HTML Report

  5. The Print Job has to match the type of reports, forms and templates that will be printed.

  6. The Security level indicates the security level for this report section.

  7. The Hotel Segment defines if this report section is assigned to a specific hotel segment.

  8. Click Save to save any changes or Cancel to exit the Sections dialog box.

How to create a report section

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

On the left-hand side of the screen the existing reports are grouped into user-definable sections and sub-sections.

To add a new section:

  2. Point to any report section and right-click to display the shortcut menu, select Add and then select Section.

To add a new sub-section:

Point to report section when the sub-section is to be added and right-click to display the shortcut menu, select Add and then select Subsection.

The Sections dialog box is displayed

  3. Enter a Code for the report section/sub-section.

  4. Enter a Description for the report section/sub-section.

  5. Select a Section role from the list of defined roles. The section role has to match the type of reports, forms and templates that will be contained in that section. Some examples of section roles are: Report, Confirmation Letter, Group Confirmation Letter, Folio Layout, Message, Registration Card and AR Reminders.

  6. Select the required Source Type:

  • Text Format Template - to create or print reports written with the Internal Editor.

  • Crystal Report - to create or print reports written with Crystal Reports.

  • Olap Cube - to create or print Cube Reports.

  • HTML Report - to create, load or print an HTML Report

  • FastReport -

  • Word - to create, load or print reports created in Word

  7. Select a Print Job from the list of defined print jobs. The print job has to match the type of reports, forms and templates that will be printed. Some examples of print jobs are: Lists and Reports, Confirmation Letters, Guest Bills, A/R Statement and Cashier Reports.

  8. Click Save to add the new report section/sub-section.

How to delete a report section

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

On the left-hand side of the screen the existing reports are grouped into user-definable sections and sub-sections.

  2. Point to any report section and right-click to display the shortcut menu, select Delete.

A message to confirm the deletion is displayed.

  3. Select Yes to delete the report section.

Sections and sub-sections dialog box

Field | Definition | Legal Values
Code | The short description for the section or sub-section. | Up to 3 alphanumeric values.
Description | The long description of the section or subsection. | Up to 30 alphanumeric characters.
Section Role | The role of the section defines where in the module the print out is possible. | Select from list box.
Source Type | Defines the type of report: Crystal Reports - Crystal Report files (RPT). Text Format Template - Forms created using the Internal Editor Functionality (RTF). OLAP Cube - An Olap structure created from the operational data. HTML Report - reports written in HTML. | Select from list box.
Security level | Defines the security level for the report section. | Select from list box.
Hotel segment | Defines if a specific hotel segment is assigned to the report section. This may be used, for example, on confirmation letters to only display letters assigned to the corresponding hotel segment. | Select from list box.
Print Job | Defines the print job. The print job has to match the type of reports, forms and templates that will be printed. | Select from list box.

  • Hotel segmentation functionality is controlled by the parameter Hotel Segmentation under Setup → Configuration → Global Settings → Reservations → Reservation 4 tab.

  • Report security levels functionality is controlled by the parameter Report Security Levels under Setup → Configuration → Global Settings → Reports.


New Report

This option may be used to create a new report from an existing report file and is accessible via the option New on the reports screen. Additionally, a new internal editor report may be created or imported from a network or local path.

A report consists of the report and the report file; report files may be stored in the database but not actually attached to a report. Report files which are not included in a report can be listed via the option Unused Reports on the Report Configuration screen which is accessible via the option Report Files on the reports screen.

What do you want to do?

How to import a crystal report file

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. In the report tree on the left hand side of the screen select the report section the Crystal Report is to be imported to.

The Source Type of the section must be defined as Crystal Report.

  3. Click the New button to display the Report Edit dialog box.

  4. Enter the name of the report in the Description box.

  5. In the Report name box select the required report file from the drop-down list.

  6. Click the Report File tab; the report description, file name, location and parameters have been completed.

  7. Click OK to save the report and close the Report Edit dialog box.

The report is now listed on the main reports screen.

How to import a text editor report

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. In the report tree on the left hand side of the screen select the report section the Internal Editor Report template is to be created in.

The Source Type of the section must be defined as Text Format template.

  3. Click the New button to display the Report Edit dialog box.

  4. Enter the name of the report in the Description box.

  5. In the Report name box select the required report file from the drop-down list.

The Report File dialog box is displayed with the report description and parameters completed.

  6. Click OK to save the report and close the Report Edit dialog box.

The report is now listed on the main reports screen.

How to create a new internal editor report file or import from a network or local path

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. In the report tree on the left hand side of the screen select the report section the Internal Editor Report template is to be created in.

The Source Type of the section must be defined as Text Format template.

  3. Click the New button to display the Report Edit dialog box.

  4. Click the New Binary button, the Create Binary Report dialog box is displayed.

  5. In the Report Name box enter the name of the report.

  6. Click OK, the Report Edit dialog box is displayed with the Report File tab selected and the report Description completed.

  7. Click the Edit button.

The Internal Editor screen is displayed.

  8. Create the report template using the internal editor functionality.

or

  9. Select Open on the File menu and locate the directory with the required report file.

  10. Select the report file (RTF) and click Open.

The report file is imported and displayed in the Internal Editor.

  11. Click Save on the File menu to save the document.

  12. Click Close on the File menu to exit the internal editor screen.

The Report Edit dialog box is displayed with the Report File tab selected and the parameter information completed.

  13. Click OK to close the Report Edit dialog box.

The report is now listed on the main reports screen.

How to import HTML Reports

Report tab dialog box

Field

Definition

Report information

Translated Description

Description

The name of the report; this is the name that is displayed on the report search screen.

Report name

The name of the report file; this is the name of the Crystal Report file (RPT) or the Internal Editor file (RTF) stored in the database.

Number of copies on primary printer

Defines the number of copies to be printed from the first printer tray.

Number of copies on secondary printer

Defines the number of copies to be printed from the second printer tray.

Night audit options

Defines if this report is to be printed or exported as part of night audit.

None - the report will not be printed or exported.

Export and Print - the report will be printed and exported to the report storage path defined in the configuration.

Export only - the report will be exported to the report storage path defined in the configuration.

Print only - the report will be printed.

Language selection on run

Defines if a language can be selected while executing the report.

Language

If the option Language selection on run is selected then the default language to be displayed when executing the report can be selected from the list of available languages.

Report Level

This option controls where the report is available to be printed from. Depending on the option selected the report will be available to be run via the Print option on a Conference booking, on an Event or from both.

Note: This option is only valid for reports with the Section Role - Conference.

Suffix number

This option may be used to increase the contract number when printing conference contracts. If selected then a message is displayed when the report is printed asking if to increase the contract number. If answered with yes then the contract number in the booking edit screen will be increased.

Note: This option is only valid for reports with the Section Role - Conference.

Security level

Defines the report security level. Only users which have been assigned the relevant permission level will be able to access reports which have been assigned a security level.

External ID

Auto attach ICS Calendar File

Defines that when sending this report by email an ICalendar file will be automatically attached. The recipient of the email can then import the attachment into their outlook calendar as an appointment.

Email sending preference

Defines when sending this report by email if the report should be sent in the body of the email or as an attachment.

Select either As Body or As Attachment.

Report print details

Displays when the report was last printed, how many times it has been printed and the average duration in seconds that it took to print the report.

In addition the date, time, user and duration are listed for each time the report was printed.

Parameter Report information

Parameter Name

A parameter prompts the user to select or enter a value which will be passed to the report. Parameters can also retrieve information from a field or retrieve information from a system parameter such as the property name, report name or user.

Default Value Name

The parameter value is the value from a specific database (table) field that should be used.

Default Value

This is the default value assigned to the parameter. When a report is printed without the report dialog box being displayed then this default parameter value will be used.

For example, the parameter Sysdat returns a specific date, if the default value has been set to 'Today' the report will use today's date to retrieve information for the report.

Invisible

Defines if the parameter should be displayed on the report dialog box. If selected then the parameter is not displayed.

Prompt system parameter on run

Indicates if system parameters, such as SP_HOTELNAME or SP_PRINTUSER should be displayed on the report dialog box. This option is only available when a system parameter is selected.

Report File tab - Crystal Report

Field | Definition
Description | The name of the Crystal Report as it will appear on the main reports screen.
Filename | The file name of the Crystal Report file (RPT) stored in the database.
Relative path (sub directory) | The sub directory on which the Crystal report file is stored on the network or local path.
Feature | Defines if a report should be listed subject to license code. Reports will not be displayed if the license of the selected feature is not active. If all reports are not valid the section is suppressed. This option is displayed only in debug mode.
Report Parameter Name | The name of the report parameter as defined on the Crystal Report. The display order can be customized with the red up and down arrows. See Standard Parameters
Parameter Description | The caption displayed on the report dialog box for the selected parameter.
Parameter properties
Caption | Defines the name of the field to be displayed on the report dialog box when running the report.
Data type | Displays the data type of the field used for the selected parameter.
Mandatory | Defines that the report can not run until the parameter is filled with a value. This option must be selected for all folio templates used in the property.
Value field | Defines if the selected field is a multiple choice field on the report execute/print dialog box.
Show field 1 | Defines which field should be shown on the report execute/print dialog box in the multi-selection box as the first field, for example the short description.
Show field 2 | Defines which field should be shown on the report execute/print dialog box in the multi-selection box as the second field, for example the long description.
Lookup query | A valid SQL statement can be entered as lookup. This is used to sort the fields within the multi-select box, for example, by the short description.
Translation | The field name entered in the Caption box can be translated here.

Report File tab - Internal Editor Report

Field | Definition
Description | The name of the Internal Editor file (RTF) stored in the database.
Feature | Defines if a report should be listed subject to license code. Reports will not be displayed if the license of the selected feature is not active. As soon as all reports are not valid the section itself will be suppressed. This option is displayed only in debug mode.
Name | The name of the report parameter as defined on the Internal Editor. The display order can be customized with the red up and down arrows. See Standard Parameters
Description | The description of the report parameter.
Parameter properties
Name | The name of the report parameter.
Caption | This is mostly the same as the report parameter as on internal editor forms and templates the parameter is substituted with a value and not displayed as a caption.
Data type | Displays the data type of the field used for the selected parameter.

Options available on the Crystal Report file tab

This button | Does this
Edit Report | Opens the report in Crystal Report Designer. Note: This option is only available if the full version of Crystal Reports is installed.
Synchronize | Opens the Synchronize Reports screen for this specific report.
Load Defaults from Report | Loads the default parameters from the Crystal Report.
Syntaxcheck query | Checks if the entered lookup query has a valid syntax.

Options available on the Internal Editor Report file tab

This button | Does this
Edit | Opens the report in the Internal Editor.
New | Creates a new parameter; the parameter properties are completed via the options Name, Caption and Data type.
Delete | Deletes the selected parameter.
Up | Moves the selected parameter up on the parameter list.
Down | Moves the selected parameter down on the parameter list.

  • The location for exported night audit reports is defined via the option Report storage path under Setup → Configuration → Global Settings → Night Audit → Night Audit tab.

  • Creating a new report is controlled by the user right Insert under Setup → Configuration → Users → User Definition → Rights → Reports.


Edit Report

This option may be used to edit an existing report and is accessible via the option Edit on the reports screen.

What do you want to do?

How to edit a crystal report

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Search for and locate the report to be edited.

  3. Click the Edit button.

The Report Edit screen is displayed divided into two sections; each one represented by a tab:

  • Report - opened by default, this displays general report information.

  • Report File - displays information about the report parameters and location of the Crystal Report file.

  4. Make any change necessary on the Report tab.

  5. Click the Report File tab to display the report file details and make any changes necessary.

  6. Click the Edit Report button to display the report in Crystal Reports Designer.

Note: Crystal reports can only be edited if Crystal Report Designer is installed.

  7. Complete any changes necessary.

  8. Click Save on the File menu to save the report.

  9. Click Exit on the File menu to close Crystal Report Designer.

  10. Click OK to save the changes and exit the Report Edit screen.

How to edit an internal editor report

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Search for and locate the report to be edited.

  3. Click the Edit button.

The Report Edit screen is displayed divided into two sections; each one represented by a tab:

  • Report - opened by default, this displays general report information.

  • Report File - displays information about the report parameters.

  4. Make any change necessary on the Report tab.

  5. Click the Report File tab to display the report file details and make any changes necessary.

  6. Click the Edit button to display the report in the Internal Editor.

  7. Complete any changes necessary.

  8. Click Save on the File menu to save the document.

  9. Click Close on the File menu to exit the Internal Editor screen.

  10. Click OK to save the changes and exit the Report Edit screen.

Report tab dialog box

Field

Definition

Report information

Translated Description

Description

The name of the report; this is the name that is displayed on the report search screen.

Report name

The name of the report file; this is the name of the Crystal Report file (RPT) or the Internal Editor file (RTF) stored in the database.

Number of copies on primary printer

Defines the number of copies to be printed from the first printer tray.

Number of copies on secondary printer

Defines the number of copies to be printed from the second printer tray.

Night audit options

Defines if this report is to be printed or exported as part of night audit.

None - the report will not be printed or exported.

Export and Print - the report will be printed and exported to the report storage path defined in the configuration.

Export only - the report will be exported to the report storage path defined in the configuration.

Print only - the report will be printed.

Language selection on run

Defines if a language can be selected while executing the report.

Language

If the option Language selection on run is selected then the default language to be displayed when executing the report can be selected from the list of available languages.

Report Level

This option controls where the report is available to be printed from. Depending on the option selected the report will be available to be run via the Print option on a Conference booking, on an Event or from both.

Note: This option is only valid for reports with the Section Role - Conference.

Suffix number

This option may be used to increase the contract number when printing conference contracts. If selected then a message is displayed when the report is printed asking if to increase the contract number. If answered with yes then the contract number in the booking edit screen will be increased.

Note: This option is only valid for reports with the Section Role - Conference.

Security level

Defines the report security level. Only users which have been assigned the relevant permission level will be able to access reports which have been assigned a security level.

External ID

Auto attach ICS Calendar File

Defines that when sending this report by email an ICalendar file will be automatically attached. The recipient of the email can then import the attachment into their outlook calendar as an appointment.

Email sending preference

Defines when sending this report by email if the report should be sent in the body of the email or as an attachment.

Select either As Body or As Attachment.

Report print details

Displays when the report was last printed, how many times it has been printed and the average duration in seconds that it took to print the report.

In addition the date, time, user and duration are listed for each time the report was printed.

Parameter Report information

Parameter Name

A parameter prompts the user to select or enter a value which will be passed to the report. Parameters can also retrieve information from a field or retrieve information from a system parameter such as the property name, report name or user.

Default Value Name

The parameter value is the value from a specific database (table) field that should be used.

Default Value

This is the default value assigned to the parameter. When a report is printed without the report dialog box being displayed then this default parameter value will be used.

For example, the parameter Sysdat returns a specific date, if the default value has been set to 'Today' the report will use today's date to retrieve information for the report.

Invisible

Defines if the parameter should be displayed on the report dialog box. If selected then the parameter is not displayed.

Prompt system parameter on run

Indicates if system parameters, such as SP_HOTELNAME or SP_PRINTUSER should be displayed on the report dialog box. This option is only available when a system parameter is selected.

Report File tab - Crystal Report

Field | Definition
Description | The name of the Crystal Report as it will appear on the main reports screen.
Filename | The file name of the Crystal Report file (RPT) stored in the database.
Relative path (sub directory) | The sub directory on which the Crystal report file is stored on the network or local path.
Feature | Defines if a report should be listed subject to license code. Reports will not be displayed if the license of the selected feature is not active. If all reports are not valid the section is suppressed. This option is displayed only in debug mode.
Report Parameter Name | The name of the report parameter as defined on the Crystal Report. The display order can be customized with the red up and down arrows. See Standard Parameters
Parameter Description | The caption displayed on the report dialog box for the selected parameter.
Parameter properties
Caption | Defines the name of the field to be displayed on the report dialog box when running the report.
Data type | Displays the data type of the field used for the selected parameter.
Mandatory | Defines that the report can not run until the parameter is filled with a value. This option must be selected for all folio templates used in the property.
Value field | Defines if the selected field is a multiple choice field on the report execute/print dialog box.
Show field 1 | Defines which field should be shown on the report execute/print dialog box in the multi-selection box as the first field, for example the short description.
Show field 2 | Defines which field should be shown on the report execute/print dialog box in the multi-selection box as the second field, for example the long description.
Lookup query | A valid SQL statement can be entered as lookup. This is used to sort the fields within the multi-select box, for example, by the short description.

Report File tab - Internal Editor Report

Field | Definition
Description | The name of the Internal Editor file (RTF) stored in the database.
Feature | Defines if a report should be listed subject to license code. Reports will not be displayed if the license of the selected feature is not active. As soon as all reports are not valid the section itself will be suppressed. This option is displayed only in debug mode.
Name | The name of the report parameter as defined on the Internal Editor. The display order can be customized with the red up and down arrows. See Standard Parameters
Description | The description of the report parameter.
Parameter properties
Name | The name of the report parameter.
Caption | This is mostly the same as the report parameter as on internal editor forms and templates the parameter is substituted with a value and not displayed as a caption.
Data type | Displays the data type of the field used for the selected parameter.

Options available on the Crystal Report file tab

This button | Does this
Edit Report | Opens the report in Crystal Report Designer. Note: This option is only available if the full version of Crystal Reports is installed.
Synchronize | Opens the Synchronize Reports screen for this specific report.
Load Defaults from Report | Loads the default parameters from the Crystal Report.
Syntaxcheck query | Checks if the entered lookup query has a valid syntax.

Options available on the Internal Editor Report file tab

This button | Does this
Edit | Opens the report in the Internal Editor.
New | Creates a new parameter; the parameter properties are completed via the options Name, Caption and Data type.
Delete | Deletes the selected parameter.
Up | Moves the selected parameter up on the parameter list.
Down | Moves the selected parameter down on the parameter list.

  • Editing a report is controlled by the user right Edit under Setup → Configuration → Users → User Definition → Rights → Reports.

  • Report Security level functionality is controlled by the parameter Report Security Level under Setup → Configuration → Global Settings → Reports → Reports 1 tab. Report security levels can be defined via the option Report Security Levels under Setup → Configuration → Miscellaneous.


Deleting a report

This option may be used to delete a report and is accessible via the Delete option on the Reports screen.

A report consists of two parts:

  • The Report

  • The Report File

Deleting a report deletes the report but not the report file used by that report.

The report file can only be deleted with the option Delete on the Report Configuration screen which is accessible via the option Report Files on the reports screen.

How to delete a report file

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Search for and locate the report to be deleted.

  3. Click the Delete button.

A message to confirm the deletion is displayed.

  4. Click Yes to delete the report.

Note: A report which is linked to a Default Email Subject under Setup → Configuration → Miscellaneous → Simple Custom Text cannot be deleted; the message "There are linked records. Report can not be deleted" is displayed.

  • Deleting a report is controlled by the user right Delete under Setup → Configuration → Users → User Definition → Rights → Reports.


Copy or move a report

The copy and move options may be used to copy or move an existing report and are accessible via a pop-up menu on the reports screen.

How to copy or move a report

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Search for and locate the report to be copied or moved.

  3. Drag the report to the required section; a pop-up menu is displayed.

  4. Select either Copy Report or Move Report.

Depending on the selection the report is either copied or moved to the selected section.

  • The copying or moving of a report to a different report section is controlled by the user right Copy or Move under Setup → Configuration → Users → User Definition → Rights → Reports.


Executing a report

This option is accessible via the Execute option on the Reports screen and may be used to:

  • Display a report on screen

  • Print a single report or multiple copies of a report

  • Export a report to a file or to an application.

System parameters can be included on the execute/print dialog box and a report may be setup so that language of the report can be selected at the time of executing the report.

What do you want to do?

How to display a report on screen

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Search for and locate the report to be displayed.

  3. Click the Execute button to display the execute/print dialog box for the selected report.

The print dialog box consists of two screens, each one represented by a tab:

  • Parameters – opened by default, this displays the parameters defined on the report definition.

  • Export – displays the export options.

  4. Complete the report parameters.

  5. Click Execute to display the report on the screen.

  6. The following options are available on the Preview screen:

  • Print - to print the report.

  • Edit - to export the report.

  • Setup - to access the printer setup.

  • First, Prev, Next and Last - to navigate through the pages of the report.

  • Zoom - three zoom options are available to adjust the size of the report display.

  7. Click Cancel to exit the report preview screen.

How to print a report

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Search for and locate the report to be printed.

  3. Click the Execute button to display the execute/print dialog box for the selected report.

The print dialog box consists of two screens, each one represented by a tab:

  • Parameters – opened by default, this displays the parameters defined on the report definition.

  • Export – displays the export options.

  4. Complete the report parameters.

  5. Enter the number of Copies required.

  6. Click Print to print the report.

How to export a report

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Search for and locate the report to be exported.

  3. Click the Execute button to display the print dialog box for the selected report.

The print dialog box consists of two screens, each one represented by a tab:

  • Parameters – opened by default, this displays the parameters defined on the report definition.

  • Export – displays the export options.

  4. Complete the report parameters.

  5. Click the Export tab to display the export dialog box.

  6. In the Output box select toExport from the list of available output types.

  7. Select if the Destination is to a file or to an application.

  8. Select the File Type from the list of available file types.

  9. If the file is being exported to an application select the required application from the list of defined applications.

  10. In the File box a default path and file name are completed, but may be changed as required, for example,

c:\Arrivals_today_sorted_by_Name_D9347A27.doc

c:\Arrivals_today_sorted_by_Name_578906C4.xls

  11. Click Execute to export the report.

How to display system parameters on run

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Search for and locate the required report.

  3. Click the Edit button.

  4. In the Report Information section in the lower half of the screen select the required Internal System Parameter, for example, SP_HOTELNAME.

  5. Select the check box Prompt System Parameter on Run.

  6. Click OK to save the changes and exit the Report Edit screen.

  7. Click the Execute button to display the execute/print dialog box for the selected report.

  8. Complete the report parameters and click Execute or Print as required.

Report Export dialog box

Fill in this Field

With this information

Output

Select the type of output from the list of available output types.

toWindow - displays the report on the screen.

toExport - exports the report to file or application.

toPrinter - sends the report to the defined printer.

The following options are available only if the output type toExport is selected.

Destination

Defines if the report is to be exported to a file or to an application.

File Type

Select the file type from the list of available file types:

ASCII

ExcelXLS

HTML4

Rich Text Format

Word for Windows

Adobe Acrobat PDF

Tab Separated Text

Application

If the file is being exported to an application select the required application from the list of defined applications. The available applications are defined in the configuration.

Files that have been exported to an application will be available in edit mode in the selected application.

File

The path and the file name for the export. A default path and file name are completed, but may be changed as required, e.g. C:\temp\Arrivals_29062008_1528.xls.

The path defaults to c:\temp and the file name is the 'report name' + 'date' + 'time'.

Printer Setup dialog box

Fill in this Field | With this information
Primary Printer | By default the primary printer defined in the configuration for the print job List and Reports is selected. A different printer can be selected from the list of defined printers if required.
Copies | The number of copies to be printed.
Collation | Defines if collated copies are used. For example, collated copies are printed as 1,2,3,1,2,3 and uncollated they are printed as 1,1,2,2,3,3. This is mainly used for Fiscal Reports. Collation can be selected by default via the configuration.
Pages |
All pages | Selected by default; all pages of the report are printed.
From 1 to | Select this option to print from page 1 to the page number defined.
From To | Select this option to define the range of page numbers to be printed.
Secondary Printer | By default the secondary printer defined in the configuration for the print job List and Reports is selected. A different printer can be selected from the list of defined printers if required. This is used if the selected printer can feed different trays.
Copies | The number of copies to be printed.
Collation | Defines if collated copies are used.
Pages |
All pages | Selected by default; all pages of the report are printed.
From 1 to | Select this option to print from page 1 to the page number defined.
From To | Select this option to define the range of page numbers to be printed.

  • The default primary and secondary printers for the printing of reports are defined per terminal via the print job Lists and Reports under Setup → Configuration → Miscellaneous → Terminals & Printers>Print jobs on terminals.

  • The printer setup for lists and reports is defined via the option Lists & reports printer setup under Setup → Configuration → Global Settings → Reports → Reports tab.

  • The printing of collated copies by default is controlled by the parameter Print collated copies under Setup → Configuration → Global Settings → Reports → Reports tab.

  • The applications a file can be exported to are defined via the Applications tab under Setup → Configuration → Miscellaneous → Terminals & Printers → Terminals. Possible applications are Acrobat Reader, Crystal, Excel, Internet Explorer and WinWord.

  • Executing a report is controlled by the user right Execute under Setup → Configuration → Users → User Definition → Rights → Reports.

  • The exporting of a Crystal or Binary report is controlled by the user right Export under Setup → Configuration → Users → User Definition → Rights → Reports and under Reports → Binary Reports.

  • The export of a report to Excel with data only for calculation purposes is controlled by the parameter Excel Report contains data only (no headers) under Setup → Configuration → Global Settings → Reports → Reports tab.


Export and import reports

This option may be used to export and import individual reports or a branch of a report tree and is accessible via the option Reports on the Miscellaneous menu. Report export/import may be used to import or export reports or branches of reports from one Suite8 installation into a new or existing Suite8 Installation.

When exporting a report the report is saved in a format which includes the parameters, queries and report section internal assignment.

Individual reports are saved with the extension S8R and report branches are saved with the extension S8RT.

All report types can be exported or imported; Cube reports, HTML, reports, Crystal reports and RTF reports.

Note: An export file of all the Suite8 standard reports is available in the newreports zip file. Whenever you import a new report into you database you must also LOAD the RPT file into the imported file.

What do you want to do?

To export a report or report tree branch

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Search for and locate the report or report tree branch to be exported.

  3. Click the Export button to display the shortcut menu and select:

  • Report - to export a single report

  • Tree - to export a report tree branch

  4. The Report File Name dialog box is displayed.

  5. Complete the File name and click Save.

How to import a report or report tree branch

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Select the section where the report or report tree is to be imported.

  3. Click the Import button.

The Report File Name dialog box is displayed defaulted to import either a report tree or a single report depending on whether a report section/ group or a single report is selected.

  4. the default is set to report tree, when having a single report selected the default is set to a single report.

  5. Select the required file and click Open to import the report.

  6. Select the report and click the Edit button.

The Report Edit screen is displayed divided into two sections; each one represented by a tab:

  • Report - opened by default, this displays general report information.

  • Report File - displays information about the report parameters and location of the Crystal Report file.

As the RPT file has not yet been loaded in to the imported file then the Report name displays the report description.

  7. Click the Report File tab; as the RPT file has not yet been loaded the Filename is empty.

  8. Click the Edit Report button to display the report in Crystal Reports Designer.

Note: Crystal reports can only be edited if Crystal Report Designer is installed.

  9. Select the option Load Report and select the corresponding RPT file.

  10. Click Save on the File menu to save the report.

  11. Click Exit on the File menu to close Crystal Report Designer.

The Filename is now completed with the RPT file name.

  12. Click the Report tab; the Report name is now completed with the RPT file name.

  13. Click OK to save the changes and exit the Report Edit screen.


Report Files

This option may be used to access report configuration and is accessible via the option Reports on the Miscellaneous menu.

How to access report configuration

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

Alternatively click the Reports icon from the colored miscellaneous toolbar.

The Reports screen is displayed.

  2. Click the Report Files button.

The Report Configuration screen is displayed.

At the top of the screen there is a search field; the search is on any part of the report name.

The remainder of the screen is divided into two grids:

  • Upper Grid - lists all stored reports, both Crystal (RPT) and Internal Editor (RTF) reports.

  • Lower Grid -lists the report parameters for the report selected in the upper grid.

  3. Click Close to exit the Report Configuration screen.

Options available on the report configuration screen

  • New - to create a new Crystal Report or a new RTF report using the Internal Editor.

  • Edit - to edit an existing Crystal (RPT) or Internal Editor (RTF) report.

  • Delete - to delete a Crystal (RPT) or Internal Editor (RTF) report.

  • Export Report - to export a report; only available for Crystal Reports (RPT).

  • Synchronize - to compare and synchronize reports in the database with reports on a network or local directory; only available for Crystal Reports (RPT).

  • Report Usage - lists the reports that use the selected report file; only available for Crystal Reports (RPT).

  • Select all RPT Reports - selects all reports created with Crystal Reports.

  • Select all RTF Reports - selects all reports created with the Internal Editor.

  • Unselect all - to clear the report selection.

  • Unused Reports - lists all the report files that are not used in a report on the main reports screen.

Report Configuration grid

Field | Definition
Description | The description of the report.
Report Name | The file name of the report; only Crystal Reports (RPT) have a file name.
Internal Parameter Name | The name used by the program to identify the parameter.
Caption | The parameter caption that the user sees when running the report.

  • Access to report configuration is controlled by the user right Open Screen under Setup → Configuration → Users → User Definition → Rights → Reports → Binary Reports.


New/Edit Report

This option may be used to import both Crystal and Internal Editor reports and to create a new Internal Editor report, and is accessible via the Report Files option on the Reports screen. Crystal reports requires a full installation of Crystal Reports Designer in order to create a new report or edit an existing report.

Report files imported or created via this option are listed in the database but are not listed as a report on the main screen until attached to a report.

What do you want to do?

How to edit a crystal report

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Click the Report Files button to display the Report Configuration dialog box.

  3. Search for and locate the Crystal report to be edited.

Crystal reports are listed with a Description and a Report Name.

  4. Click the Edit button.

The Report Configuration Edit dialog box is displayed.

  5. Click the Edit Report button to display the report in Crystal Reports Designer.

Note: Crystal reports can only be edited if Crystal Report Designer is installed.

  6. Complete any changes necessary.

  7. Click Save on the File menu to save the report.

  8. Click Exit on the File menu to close Crystal Report Designer.

  9. Click OK to close the Report Configuration Edit dialog box.

  10. Click Close to close the Report Configuration screen.

How to import a Crystal Report

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Click the Report Files button to display the Report Configuration dialog box.

  3. To import a Crystal Report, click the New button and select Crystal Report from the short-cut menu.

The Report Configuration Edit dialog box is displayed.

  4. The Open dialog box is displayed on top of the Report Configuration Edit dialog box defaulted to the new report directory defined in the configuration.

  5. Select the required crystal report file and click Open.

The report configuration edit dialog box is displayed with all the relevant parameters completed for the imported report.

  6. Click OK to close the Report Configuration Edit dialog box.

The report file is listed in the report configuration; however, the report file has not yet been attached to a report and so is classified as an unused report.

  7. Click Close to close the Report Configuration screen.

How to edit an internal editor report file

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Click the Report Files button to display the Report Configuration dialog box.

  3. Search for and locate the Internal Editor report to be edited.

Internal Editor reports are listed with a Description but no Report Name.

  4. Click the Edit button.

The Text Report Binary Edit dialog box is displayed.

  5. Click the Edit button to display the report in the Internal Editor.

  6. Complete any changes necessary.

  7. Click Save on the File menu to save the document.

  8. Click Close on the File menu to exit the internal editor screen.

  9. Click Save to close the Text Report Binary edit dialog box.

  10. Click Close to close the Report Configuration screen.

How to create or import an internal editor report file

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Click the Report Files button to display the Report Configuration dialog box.

  3. To import an Internal Editor Report template, click the New button and select Rtf Editor from the short-cut menu.

The Text Report Binary edit dialog box is displayed.

  4. In the Description box enter a description of the report.

  5. If the report is feature controlled then in the Feature box select the section the report belongs to from the list of defined features.

  6. Click the Edit button.

A message is displayed indicating that the document will be saved.

  7. Click OK to save the document.

The Internal Editor screen is displayed.

  8. Create the report template using the internal editor functionality.

or

  9. Select Open on the File menu and locate the directory with the required report file.

  10. Select the report file (RTF) and click Open.

The report file is imported and displayed in the Internal Editor.

  11. Click Save on the File menu to save the document.

  12. Click Close on the File menu to exit the internal editor screen.

The report file has now been imported into the database.

  13. Click Save to close the Text Report Binary edit dialog box.

The report file is listed in the report configuration; however, the report file has not yet been attached to a report and so is classified as an unused report.

  14. Click Close to close the Report Configuration screen.

Report File tab - Crystal Report

Field | Definition
Description | The name of the Crystal Report as it will appear on the main reports screen.
Filename | The file name of the Crystal Report file (RPT) stored in the database.
Relative path (sub directory) | The sub directory on which the Crystal report file is stored on the network or local path.
Feature | Defines if a report should be listed subject to license code. Reports will not be displayed if the license of the selected feature is not active. If all reports are not valid the section is suppressed. This option is displayed only in debug mode.
Report Parameter Name | The name of the report parameter as defined on the Crystal Report. The display order can be customized with the red up and down arrows. See Standard Parameters
Parameter Description | The caption displayed on the report dialog box for the selected parameter.
Parameter properties
Caption | Defines the name of the field to be displayed on the report dialog box when running the report.
Data type | Displays the data type of the field used for the selected parameter.
Mandatory | Defines that the report can not run until the parameter is filled with a value. This option must be selected for all folio templates used in the property.
Value field | Defines if the selected field is a multiple choice field on the report execute/print dialog box.
Show field 1 | Defines which field should be shown on the report execute/print dialog box in the multi-selection box as the first field, for example the short description.
Show field 2 | Defines which field should be shown on the report execute/print dialog box in the multi-selection box as the second field, for example the long description.
Lookup query | A valid SQL statement can be entered as lookup. This is used to sort the fields within the multi-select box, for example, by the short description.

Report File tab - Internal Editor Report

Field | Definition
Description | The name of the Internal Editor file (RTF) stored in the database.
Feature | Defines if a report should be listed subject to license code. Reports will not be displayed if the license of the selected feature is not active. As soon as all reports are not valid the section itself will be suppressed. This option is displayed only in debug mode.
Name | The name of the report parameter as defined on the Internal Editor. The display order can be customized with the red up and down arrows. See Standard Parameters
Description | The description of the report parameter.
Parameter properties
Name | The name of the report parameter.
Caption | This is mostly the same as the report parameter as on internal editor forms and templates the parameter is substituted with a value and not displayed as a caption.
Data type | Displays the data type of the field used for the selected parameter.

Options available on the Crystal Report file tab

This button | Does this
Load Report | Displays the reports available to be loaded in the default report directory. The directory can be changed if required.
Edit Report | Opens the report in Crystal Report Designer. Note: This option is only available if the full version of Crystal Reports is installed.
Synchronize | Opens the Synchronize Reports screen for this specific report.
Load Defaults from Report | Loads the default parameters from the Crystal Report.
Syntaxcheck query | Checks if the entered lookup query has a valid syntax.

  • The default directory for the location of new reports is defined via the option Default New Report Directory under Setup → Configuration → Global Settings → Reports → Reports tab.

  • Creating a new report file is controlled by the user right Insert under Setup → Configuration → Users → User Definition → Rights → Reports → Binary Reports.

  • Editing a report file is controlled by the user right Edit under Setup → Configuration → Users → User Definition → Rights → Reports → Binary Reports.


Delete Report

Delete

This option may be used to delete an unused report file and is accessible via the Report Files option on the Reports screen.

Report files that are not used in a report on the main reports screen can be listed by selecting the Unused Reports check box on the Report Configuration screen.

How to delete a report file

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Click Report Files to display the Report Configuration dialog box.

  3. Search for and locate the report to be deleted.

  4. Click the Delete button.

If the report file is in use then it cannot be deleted; a message is displayed advising that the report file is used in reports.

  5. Click Close to close the message.

If the report file is not in use then a message to confirm the deletion is displayed.

  6. Click Yes to delete the report.

  7. Click Close to close the Report Configuration screen.

  • Deleting a report file is controlled by the user right Delete under Setup → Configuration → Users → User Definition → Rights → Reports → Binary Reports.


Export Report

This option may be used to export a Crystal report file to a network or local path and is accessible via the Report Files option on the Reports screen.

How to export a report file

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Click Report Files to display the Report Configuration dialog box.

  3. Search for and locate the Crystal report to be exported.

  4. Click the Export Report button.

The Browse for Folders dialog box is displayed.

  5. Select the required path to export the file and click OK.

A message is displayed confirming that the file has been exported.

  6. Click OK to close the message.

  7. Click Close to close the Report Configuration screen.

  • Exporting a report file is controlled by the user right Export under Setup → Configuration → Users → User Definition → Rights → Reports → Binary Reports.


Report Synchronization

This option may be used to compare and synchronize reports in the database with reports on a network or local directory and is accessible via the Report Files option on the Reports screen.

The default directory for report comparison is defined in the configuration but may be changed as required.

Reports which do not exist in the database can be imported to the default report import section defined in the configuration.

The Search and Filter option can be used to search for and filter reports; the search is performed by key stroke, so as soon as an entry is made in the Search and Filter box the search commences.

The Report Sync. Status and the Report Name columns can be sorted by clicking on the column header.

What do you want to do?

How to run report synchronization

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Click Report Files to display the Report Configuration screen.

  3. Click the Synchronize button.

The Synchronize Reports screen is displayed.

The Selected Directory (Path) defaults to the new report directory defined in the configuration.

  4. To select a different local or network path on which the report files are stored click the Select Dir button.

The Browse for Folder dialog box is displayed.

  5. Select the required directory and click OK.

  6. Click Load to display both the reports on the selected path and those in the database.

The required reports can now be selected for comparison or synchronization.

  7. Click Select All to select all the reports or select the required reports by selecting the checkbox next to the report name.

  8. Click Compare to run a comparison of the reports on the selected path and the reports in the database.

The reports are compared and the report status is listed next to each report.

Status | Definition
Identical | The report in the database is identical to the report in the selected directory.
Newer report in the Folder (selected directory) | The report in the selected directory is newer than the report in the database.
Newer report in DATABASE | The report in the database is newer than in the selected directory.
Report does not exist in Folder (selected directory) | The report exists in the database but not in the selected directory.
New Report | The report exists in the selected directory but not in the database.

  9. Select the reports to be synchronized by selecting one of the synchronization option

    This option

    Does this

    Select all

    Selects all reports.

    Unselect all

    Clears all the selected reports.

    Newer in Directory

    Selects all reports in the selected directory with a newer date than in the database. (Newer Report in the folder)

    Newer in Database

    Selects all reports in the database with a newer date than in the selected directory. (Newer Report in Database)

    Not Exists in Directory

    Selects all reports which exist in the database but do not exist in the selected directory. (Report does not exists in the folder)

    Empty Binary Field

    Selects all reports which do not exist in the database but exist in the selected directory.

    New Reports

    Selects all new reports. (New Report)

  10. Click Synchronize to synchronize the selected reports.

A message to confirm the synchronization is displayed. A confirmation message is displayed.

  11. Click Yes to synchronize the reports.

  12. Click Close to exit the Synchronize Reports screen.

  13. Click Close to exit the Report configuration screen.

How to synchronize a single report

  1. Click the Miscellaneous menu and select Reports or press Ctrl + Shift + R.

  2. Select the required report and click Edit.

The Report Edit screen is displayed.

  3. Click the Report File tab to display the report configuration details.

  4. Click the Synchronize button to open the Synchronize Reports screen.

The Selected Directory (Path) defaults to the new report directory defined in the configuration.

The selected report is automatically compared and the report status is listed next to the report.

Status | Definition
Identical | The report in the database is identical to the report in the selected directory.
Newer report in the Folder (selected directory) | The report in the selected directory is newer than the report in the database.
Newer report in DATABASE | The report in the database is newer than in the selected directory.
Report does not exist in Folder (selected directory) | The report exists in the database but not in the selected directory.
New Report | The report exists in the selected directory but not in the database.

  5. Click Synchronize to synchronize the selected report.

A confirmation message is displayed.

  6. Click Yes to synchronize the report.

The selection check mark is removed and the status of the report updated.

  7. Click Close to exit the Synchronize Reports screen.

  8. Click OK to exit the Report Edit screen.

Synchronization Options

This option | Does this
Select all | Selects all reports.
Unselect all | Clears all the selected reports.
Newer in Directory | Selects all reports in the selected directory with a newer date than in the database. (Newer Report in the folder)
Newer in Database | Selects all reports in the database with a newer date than in the selected directory. (Newer Report in Database)
Not Exists in Directory | Selects all reports which exist in the database but do not exist in the selected directory. (Report does not exists in the folder)
Empty Binary Field | Selects all reports which do not exist in the database but exist in the selected directory.
New Reports | Selects all new reports. (New Report)

Report Status

Status | Definition
Identical | The report in the database is identical to the report in the selected directory.
Newer report in the Folder (selected directory) | The report in the selected directory is newer than the report in the database.
Newer report in DATABASE | The report in the database is newer than in the selected directory.
Report does not exist in Folder (selected directory) | The report exists in the database but not in the selected directory.
New Report | The report exists in the selected directory but not in the database.

  • The section for imported reports is defined via the option Report Import Section under Setup → Configuration → Global Settings → Reports → Reports tab.

  • The default directory for the location of new reports is defined via the option Default New Report Directory under Setup → Configuration → Global Settings → Reports → Reports tab.

  • Synchronizing report files is controlled by the user right Synchronise under Setup → Configuration → Users → User Definition → Rights → Reports → Binary Reports.


Report Usage

This option is used to list the reports that use the selected report file and is accessible via the Report Files option on the Reports screen.

How to view report usage

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Click Report Files to display the Report Configuration dialog box.

  3. Select the required Crystal report file.

  4. Click the Report Usage button.

The Report Usage screen is displayed listing all the reports that use the selected report file.

  5. Click Close to close the screen.

  6. Click Close to close the Report Configuration screen.


Multiple Reports

This option may be used to setup batch letters and is accessible via the option Reports on the Miscellaneous menu.

Other than shift reports, where multiple reports are printed per shift, the multiple reports option allows user-definable letters with attached forms. For example if a property would like to send a Letter for advanced billing authorization and with the letter a form or contract and a check form should be attached.

How to create multiple reports

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Click Multiple Reports.

  3. Click New.

  4. Click New or New Element, and then click OK.

  5. Complete the report parameters, and then click Save.

The reports are sorted in alphabetical order within a section, to customize this view, use the up and down arrows.

  • Access to multiple reports functionality is controlled by the user right Execute Batch under Setup → Configuration → Users → User Definition → Rights → Reports.


Email Confirmation Letters

Reservation correspondence can be sent via email; the email can also be printed and is saved using a specially defined email template.

Email printing functionality requires the following setup:

  • A report section defined with the section role Email Templates.

  • An email template; using the Internal Editor email details can be added from the data source.

  • The email template to be used to send confirmation letters via email must be defined via the option Email template printout in the configuration.

What do you want to do?

How to define the report section

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

On the left-hand side of the screen the existing reports are grouped into user-definable sections and sub-sections.

  2. Point to the report section Text Templates and right-click to display the shortcut menu, select Add and then select Section.

The Sections dialog box is displayed.

  3. Enter a section Code.

  4. Enter a section Description.

  5. Select Email Templates for the Section role.

  6. Select Text Format Template for the Source Type.

  7. Select Confirmation Letters for the Print Job.

  8. Click Save to add the new report section.

How to define the email template

  1. Click the New button to display the Report Edit dialog box.

  2. Click the New Binary button; the Create Binary Report dialog box is displayed.

  3. In the Report Name box enter the name of the template.

  4. Click OK, the Report Edit dialog box is displayed with the Report File tab selected and the template Description completed.

  5. Click the Edit button.

The Internal Editor screen is displayed.

  6. On the right-hand side of the screen click Data Sources and then Email to display the available email data sources.

  7. Add email details to the template by double clicking the required email data source.

  8. Click Save on the File menu to save the template.

  9. Click Close on the File menu to exit the internal editor screen.

The Report Edit dialog box is displayed with the Report File tab selected and the parameter information completed.

  10. Click OK to close the Report Edit dialog box.

The template is now listed on the main reports screen.

Note: Email printing is available for emails sent as body text and not for emails where the text is sent as an attachment.

  • The email template used to send confirmation letters via email is defined via the option Email template printout under Setup → Configuration → Global Settings → Reports → Report tab.

  • Default email subjects can be defined via the option Default Email Subjects under Setup → Configuration → Email Settings.

  • Default email body text can be defined via the option Email Body Default under Setup → Configuration → Email Settings.

  • The maximum size for email attachments is defined via the option Max. Email attachment size (Mb) under Setup → Configuration → Global Settings → Reports → Reports tab.


Confirmation Letters

Confirmation letters can be printed according to the selected rate code and can also be printed in the language of the guest.

If a reservation has a rate code with a linked confirmation letter then this confirmation letter will be used.

On the confirmation letter templates, variables for the text translation have been added to allow printing confirmation letters by language of the guest.

The following report templates are included with the standard demo:

  • 73013 Confirmation Multi Language (ED) - FCR_PMS_73013_CONF_MULTI_WLAN

  • 73012 Webbooking Confirmation Multi Language (ED) - FCR_PMS_73012_CONF_WEBBOOKING.RTF

  • The confirmation letter to be used for a specific rate code is defined via the option Confirmation Letter on the More tab under Setup → Configuration → Reservations → Rate Management → Rates → Edit Rate.


Error message with lookup queries and SP Parameters

When using lookup queries in reports and one of the following parameters is defined on the report setup:

  • SP-REPORT-LANGUAGE

  • SP-DATABASE

  • SP-PARAMETERLIST

The lookup query uses the following syntax:

select 1 param, 'All' CAPTION from dual

union all

select 2 param, 'Arrived' CAPTION from dual

union all

select 3 param, 'Expected' CAPTION from dual

The lookup query could lead to the following error message:

ORA-00904: invalid column name

Changing the syntax as follows would solve the problem:

select param, caption from (select 1 param, 'ALL'

CAPTION from dual union all

select 2 param, 'Arrived' CAPTION from dual union all

select 3 param, 'Expected' CAPTION from dual)


Simple Commission Report

The Suite8 Travel Agent Processing Module is recommended for commission calculation and processing, however, properties not using this module can use a report to calculate simple commission.

All reservations linked to an agent, source or company profile with a defined commission code can be retrieved by the Simple Commission Report after check-out. The report can be run by agent, source or company.

What do you want to do?

How to define the simple commission attribute category

  1. On the Setup menu select Configuration to display the configuration options.

  2. Click CRM and select Attribute Categories from the drop-down list.

  3. Click New to display the Attributes Categories dialog box.

  4. Enter SCM for the attribute Code.

  5. Enter Simple Commission Codes for the Description.

  6. In the Selection Type box select Single from the drop-down list.

  7. In the Profile section select the Company check box.

  8. Click OK to save the attribute category.

Attribute Categories dialog box

Field | Definition | Legal Values
Code (Required) | Code assigned to the attribute category. | Up to 3 alphanumeric characters.
Description (Required) | Description of the attribute category. | Up to 30 characters of text.
Selection Type (Required) | Defines if either single or multiple items can be selected from the list box. | Select from list box.
Show Long Description | Defines if the category elements should be displayed with the full element description or the short code. | Check: YES Blank: NO
Profile |  |
Company | Defines that the list box will be displayed on the profile edit screen under the tab Marketing or More Fields for profiles with the type Company. This also includes Sources, Agents and Meeting Planner. (XCMS_TYPE= 1) | Check: YES Blank: NO
Mandatory | Defines that the field is mandatory. If no attribute is selected a validation error message will be displayed. | Check: YES Blank: NO
Individual | Defines that the list box will be displayed on the profile edit screen under the tab Marketing or More Fields for profiles with the type Individual, this also includes Booker profiles. (XCMS_TYPE=2) | Check: YES Blank: NO
Mandatory | Defines that the option is mandatory. If no attribute is selected a validation error message will be displayed. | Check: YES Blank: NO
Reservation |  |
Reservation | Defines that the list box will be displayed on the reservation edit screen under the tab Attributes on the upper part for Non Daily Attributes. | Check: YES Blank: NO
Detail | Defines that the list box will be displayed on the reservation edit screen under the tab Attributes on the lower part for Daily Attributes. | Check: YES Blank: NO
Copy to Reservation | Defines that the attributes entered on the profile attribute category will be copied to the reservation. The profile type and one of the other pages; Reservation, Detail, First Page or Special Attribute page must be selected. | Check: YES Blank: NO
First Page | Defines that the list box will be displayed on the edit reservation screen's first page which is the Reservation tab | Check: YES Blank: NO
Special Attribute Page | Defines that the list box will be displayed on the edit reservation screen under the tab Special Attr. | Check: YES Blank: NO
Mandatory | Defines that the field is mandatory. If no attribute is selected a validation error message will be displayed. | Check: YES Blank: NO
Multi guest | Defines if the attribute is available on the multi guest profile page from the edit reservation dialog box when pressing the Attributes button. | Check: YES Blank: NO
Copy to multi guest | Defines that the attributes linked to a guest or company profile will be copied to the multi-guest page attributes when the attribute is attached to a profile and this is linked to a reservation on the multi-guest page. A profile type has to be selected. | Check: YES Blank: NO
Financial Accounts |  |
A/R | Not yet implemented. |
Mandatory | Defines that the field is mandatory. If no attribute is selected a validation error message will be displayed. | Check: YES Blank: NO
Interface |  |
Key Rights | Defines the interface rights from the interface submenu for key rights. The interface rights work in conjunction with the reservation rights, you need to select Reservation and one of the reservation display options: First Page, Attributes or Special Attribute Page. After configuring the IFC submenu, this option can be selected and all existing rights will be copied from the Interface submenu to the Marketing Info section so that the rights are available for selection on the reservation edit screen. |
TV-Rights | Defines the interface rights from the interface submenu for TV Rights. After configuring the IFC submenu, this option can be selected so that the rights are available for selection on the reservation edit screen. This option is useful if a video system is installed that supports different pricing. Note: The attribute category must be defined as a single selection box. | Check: YES Blank: NO
Minibar-Rights | Defines the interface rights for minibar systems. This works in the same way as the TV rights. Note: The attribute category must be defined as a single selection box. | Check: YES Blank: NO
Video-Rights | Defines the interface rights for video systems. This works in the same way as the TV rights. Note: The attribute category must be defined as a single selection box. | Check: YES Blank: NO
Booking / Event |  |
Booking | Defines that the list box will be displayed on the booking master edit screen under the tab Attributes. | Check: YES Blank: NO
First Page | Defines that the list box will be displayed on the booking master edit screen's first page which is the Booking Information tab. | Check: YES Blank: NO
Mandatory | Defines that the field is mandatory. If no attribute is selected a validation error message will be displayed. | Check: YES Blank: NO
Event | Defines that the list box will be displayed on the event edit screen under the tab Attributes. | Check: YES Blank: NO
First Page | Defines that the list box will be displayed on the event edit screen's first page which is the Event tab. | Check: YES Blank: NO
Mandatory | Defines that the field is mandatory. If no attribute is selected a validation error message will be displayed. | Check: YES Blank: NO
Table Reservations | Defines that the list box will be displayed on the table reservation edit screen. | Check: YES Blank: NO

How to define simple commission codes

  1. On the Setup menu select Configuration to display the configuration options.

  2. Click CRM and select Marketing Info and then select Simple Commission Codes from the list.

  3. Click New to display the Simple Commission Codes dialog box.

  4. Enter a Code and a Description for the simple commission.

  5. Click OK to save the simple commission code.

  6. Click Close to exit the configuration.

How to link a simple commission code to a profile

  1. Click the Customer Relations menu and select Profiles.

  2. Search for and select the required profile, then click the Edit Profile button.

The edit profile screen is displayed defaulted to the Profile tab.

  3. In the Simple Commission box click the drop-down arrow and select the required commission code.

  4. Click OK to close the profile edit screen.

Configuration of the simple commission report parameter properties

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Search for and locate the simple commission report.

(File name: FCR_PMS_4589_SIMPLE_COMMISS.RPT)

  3. Click the Edit button.

The Report Edit screen is displayed.

  4. Click the Report File tab to display the report file details.

  5. Select the Report Parameter Type and check that the Parameter Properties are setup correctly.

Type parameter properties

Complete Lookup query

SELECT WNUM_VALUE,

decode(WNUM_VALUE, 1, 'Company', 2, 'Travel Agent', 3, 'Source')

DESCRIPTION FROM WNUM WHERE WNUM_VALUE IN (1,2,3) ORDER BY WNUM_VALUE

  6. Select the Report Parameter Name RoomRevOnly or Rate amount and check that the Parameter Properties are setup correctly.

RoomRevOnly parameter properties

  7. Click the Report tab.

  8. Select the parameter name Type and select a Default Value from the drop-down list.

  9. Select the parameter name RoomRevOnly and select a Default Value from the drop-down list.

  10. Click OK to save and exit the Report Edit screen.

Simple Commission Report Example

The simple commission report can be run by agent, source or company.

The agent, source or company name is displayed followed by a list of all reservations linked to the agent, source or company with the confirmation number, name, arrival date, departure date, number of nights, room number, commission percentage and commission amount.

Below the detailed listing, a summary of the total commissionable amount, total commission and room nights by agent, source or company name is displayed.

The standard report for simple commission is called FCR_PMS_4589_SIMPLE_COMMISS.RPT and is based on the statistic file (SHIS).


Report Tips

Translate Currency Function

The function TranslateCurrency(Amount, ZcurID) is available for Internal Editor, Crystal and Fast Reports.

This function returns the currency format in the format defined in the Suite8 configuration.

When using Base Currency, the ZCUR_ID should be replaced with 0 or the real ZCUR_ID must be entered.

Printing Participants list from a calendar event

When printing a calendar event participant list or a participant confirmation the parameter CONF_WLAN_ID must be included in the report template in order to print in the language selected in the dialog box when selecting the option Print Selected or Print List.

How to display the reservation confirmation number on a folio

The variable ZWIN_YRES_ID is available under Data Sources → Main and can be added to a folio template in order to print the reservation confirmation number on the folio.

Displaying the address and letter greeting on correspondence and invoices

The address and letter greeting of sharing reservations can be displayed on confirmation letters, invoices and word merge reports.

The address and letter greeting of a linked spouse or partner can be displayed on profile correspondence letters.

Internal Editor

For reports created with Internal Editor, the function V8_Fnc_Share_Rep_Infos s in 040_V8_FNC_SHARE_REP_INFOS.sql has been modified:

The following custom query can be used in internal editor for confirmation letters:

Internal Editor for Confirmation Letters

Alias name: ADDRESS_GREET_SHARER

Query:

select CHR(13)||CHR(10)||V8_Fnc_Share_Rep_Infos(YDET_ID,3) GREETING_SHARER from ydet,yres where YDET.YDET_ID=YRES.YRES_CURRENT_YDET_ID and YRES.YRES_ID=:CONF_YRES_ID

Alias name: LETTER_GREET_SHARER

Query:

select distinct V8_Fnc_Share_Rep_Infos(YDET_ID,4) GREETING_SHARER from ydet where YDET.YDET_YRES_ID=:CONF_YRES_ID

The following custom query can be used in internal editor for invoices templates:

Internal Editor for templates used as invoices

Alias name: ADDRESS_GREET_SHARER

Query:

select CHR(13)||CHR(10)||V8_Fnc_Share_Rep_Infos(YDET_ID,3) GREETING_SHARER from ydet,yres where YDET.YDET_ID=YRES.YRES_CURRENT_YDET_ID and YRES.YRES_ID=:PM_YRES_ID

Alias name: LETTER_GREET_SHARER

Query:

select distinct V8_Fnc_Share_Rep_Infos(YDET_ID,4) GREETING_SHARER from ydet where YDET.YDET_YRES_ID=:PM_YRES_ID

Word Merge

The following report templates are included with the standard demo:

730903 Confirmation Ind. Details Sharer (WM)

FCR_PMS_730903_Confirm_Ind_Sh

An example is included in the demo database released with Version 8.9.5.1.

  1. Locate reservation with the confirmation number 4167

  2. Select Confirmation letter on the Options menu.

  3. Select the template: 730903 Confirmation Ind. Details Sharer (WM).

  4. Select Preview to display the letter.


HTML Reports

HTML Reports used on Mobile Status & Suite8 home page can now also run and be created from the Suite8 reports menu.

How to import an HTML report

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. In the report tree on the left hand side of the screen select the report section the HTML report is to be imported to.

The Source Type of the section must be defined as HTML.

  3. Click the New button to display the Report Edit dialog box.

  4. Click the New Binary button, the Create Binary Report dialog box is displayed.

  5. In the Report Name box enter the name of the report.

  6. Click OK, the Report Edit dialog box is displayed with the Report File tab selected and the report Description completed.

  7. Click the Edit button.

The Html Report Designer dialog box is displayed.

  8. Click Import or the browse button [image] locate the Suite8 HTML directory.

  9. Select the required HTML report file and click Open.

The report file is imported.

  10. Click Save; the Report Edit dialog box is displayed with the Report File tab selected and the parameter information completed.

  11. Click OK to close the Report Edit dialog box.

The report is now listed on the main reports screen.

How to display QR Codes on HTML reports

Insert the following command:

<img width="100" height="100" border="0" src="data:img/png;base64,{qrcodebase64png {parameter}}">

The file QRCode.htm which is provided with the standard set of HTML files can be taken to include the QRCode display directly.

HTML Function {forall x}

The function {forall x} is used on RTF's, HTML Reports and to run queries inside HTM files to retrieve a result set from a previously run query.

The function {foreall x} is used to loop over the result set of a query where 'X' is the query number.

For example on a HTML {runquerywithautoparameters 1} runs the query once, {foreall 1} loops over all records in this query.

This improves performance, not only for Word Merge but also on HTML Reports and HTM files.


Internal Editor

The Suite8 Internal Editor is used to configure various forms and reports and is accessible via the option Reports on the Miscellaneous menu.

The choice of editor is defined in the configuration and is dependant upon user preference and the available applications, the editor types available are:

  • Internal editor - offers full functionality of all codes and fields and can be used for all applications - Recommended

  • MS Word 2000 - text editor with word 2000 functionality

  • MS Word 97 - text editor with word 97 functionality

Users can easily create forms and reports by writing text blocks and inserting fields, formulas and functions that retrieve the corresponding information from the relevant profile, reservation, invoice or accounts receivable account. Additionally, experienced users can define their own queries and fields.

The Internal Editor is used to configure forms for:

  • Individual and group confirmation letters

  • Accounts receivable reminder letters and statements

  • Folios and cashier receipts such as paid out, currency exchange and deposit receipts

  • Cashier reports

  • Messages and registration cards

  • Mailings, activities or special reports

  • Reports and shift reports

What to you want to do?

How to view/edit the report section for Internal Editor forms

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

On the left-hand side of the screen the existing reports are grouped into user-definable sections and sub-sections.

  2. Point to any report section and right-click to display the shortcut menu, select Edit.

The Sections dialog box is displayed

  3. The Section role has to match the type of reports, forms and templates that will be contained in that section, such as Confirmation Letters, Guest Bills, Registration Cards, A/R Statement or Cashier Reports.

  4. The Source type indicates the type of report and has to be Text Format Template to create or print reports written with the Internal Editor.

  5. The Print job has to match the type of reports, forms and templates that will be printed, such as Confirmation Letters, Guest Bills, Registration Cards, A/R Statement or Cashier Reports.

  6. Click Save to save any changes or Cancel to exit the Sections dialog box.

How to create a report section for Internal Editor forms

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

On the left-hand side of the screen the existing reports are grouped into user-definable sections and sub-sections.

To add a new section:

  2. Point to any report section and right-click to display the shortcut menu, select Add and then select Section.

To add a new sub-section:

Point to report section when the sub-section is to be added and right-click to display the shortcut menu, select Add and then select Subsection.

The Sections dialog box is displayed

  3. Enter a Code for the report section/sub-section.

  4. Enter a Description for the report section/sub-section.

  5. Select a Section role from the list of defined roles. The section role has to match the type of reports, forms and templates that will be contained in that section. Some examples of section roles are: Report, Confirmation Letter, Group Confirmation Letter, Folio Layout, Message, Registration Card and AR Reminders.

  6. Select Text Format Template as the Source type.

  7. Select a Print job from the list of defined print jobs. The print job has to match the type of reports, forms and templates that will be printed. Some examples of print jobs are: Confirmation Letters, Guest Bills, A/R Statement and Cashier Reports.

  8. Click Save to add the new report section/sub-section.

How to access an internal editor report

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Search for and locate the required report.

  3. Click the Edit button.

The Report Edit screen is displayed divided into two sections; each one represented by a tab:

  • Report - opened by default, this displays general report information.

  • Report File - displays information about the report parameters.

  4. Click the Report File tab to display the report file details.

  5. Click the Edit button to display the report in the Internal Editor.

  6. Complete any changes necessary.

  7. Click Save on the File menu to save the document.

  8. Click Close on the File menu to exit the Internal Editor screen.

  9. Click OK to save the changes and exit the Report Edit screen.

How to create a new internal editor report file or import from a network or local path

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. In the report tree on the left hand side of the screen select the report section the Internal Editor Report template is to be created in.

The Source Type of the section must be defined as Text Format template.

  3. Click the New button to display the Report Edit dialog box.

  4. Click the New Binary button, the Create Binary Report dialog box is displayed.

  5. In the Report Name box enter the name of the report.

  6. Click OK, the Report Edit dialog box is displayed with the Report File tab selected and the report Description completed.

  7. Click the Edit button.

The Internal Editor screen is displayed.

  8. Create the report template using the internal editor functionality.

or

  9. Select Open on the File menu and locate the directory with the required report file.

  10. Select the report file (RTF) and click Open.

The report file is imported and displayed in the Internal Editor.

  11. Click Save on the File menu to save the document.

  12. Click Close on the File menu to exit the internal editor screen.

The Report Edit dialog box is displayed with the Report File tab selected and the parameter information completed.

  13. Click OK to close the Report Edit dialog box.

The report is now listed on the main reports screen.

Sections and sub-sections dialog box

Field | Definition | Legal Values
Code | The short description for the section or sub-section. | Up to 3 alphanumeric values.
Description | The long description of the section or subsection. | Up to 30 alphanumeric characters.
Section role | The role of the section defines where in the module the print out is possible. | Select from list box.
Source type | Defines the type of report: Crystal Reports - Crystal Report files (RPT). Text Format Template - Forms created using the Internal Editor Functionality (RTF). OLAP Cube - An Olap structure created from the operational data. | Select from list box.
Print job | Defines the print job. The print job has to match the type of reports, forms and templates that will be printed. | Select from list box.

Setting up fiscal folio printing for Poland

  • The folio templates created using the Internal Editor should contain the parameter 'FISCALNUMBER' if the fiscal number from the printer should also be shown on the printed invoices.

  • Whenever an invoice is created all information from the view 'V8_FISCAL_FOLIO_INFO' will be passed to the HTTP Server. This applies to all invoices such as interim or telephone booth payments.

  • It is not used for currency exchange receipts, voiding invoices or when printing pro forma invoices.

  • If a failure is received from the HTTP Server, all payments made during check out process will be rolled back and the guest remains checked in with an open balance.

  • If a partial payment is made upon check out or 'Cancel C/O' button pressed on the folio style form, the check out process will be stopped and no information is passed, the payment postings will be stored in the database.

Note: The view 'V8_FISCAL_FOLIO_INFO' will not be included in the standard 01_allviews.sql to avoid losing the changes made by the local offices with each update. The view can be retrieved from demo database provided with each new release or via V8 development. The name of the view should remain untouched, however any new information can be added or existing fields can be removed. All information provided by the view will be passed to the external fiscal printer application.

  • Note: Internal Editor reports are opened for editing automatically with the Internal Editor; Crystal reports are opened in Word.


Internal Editor Screen

The internal editor screen is divided into two main sections with a menu bar at the top:

  • The left side is used for the letter layout, it is possible to write text blocks, insert the codes and format the letter.

  • The right side lists the Data Sources, Functions, Parameters and Fields in tree view and allows items to be dragged and dropped into the text on the left side.

Menu Bar

The menu bar of the internal editor displays a list of the available options. Options with an icon are also displayed as buttons on the toolbar giving quicker access.

Menu Bar Options

Menu | Definition
File | Standard file options; Open and import RTF files, Save, Save as, Preview, Zoom In, Zoom Out, Print, Printer Setup, Advanced Printing, Enable DBCS (Double byte characters), Page setup, Document Properties and Close.
View | Special layout options; Gridlines, Special Characters, Anchors and Codes, and Background. Once a layout is selected the view setting is saved until another layout option is selected.
Edit | Standard edit functions; Undo, Redo, Select all, Hide Selection, Copy, Cut, Paste, Find and Replace.
Insert | Insert options; Insert Table, Graphic (embedded), Graphic (linked), Symbol, Bookmark, Insert Hyperlink, Field, Number and Date, and Page break.
Format | Format commands; Style, Deactivate Style, Style Catalog, Create Auto Styles, Indention and Spacing, Numbers, Tabstops, Borders, Align Cell-Center and Graphic Options
Outline | Sets outline levels; Include in Outline, Outline Level Up and Outline Level Down It is used to insert numbers and outline text blocks.
Designer | The designer option may be used to run the report on screen, to define the layout of the report by selecting groups such as Group Start, Group End, Header, Text and Footer and to insert or edit SQL Queries, Parameters and Functions.

Insert Shortcut Buttons

Button | Definition
 | Insert or edit a hyperlink.
 | Insert a field.
 | Inserts a page number, page count, date or time.
 | Inserts a page break; in normal view a page break is shown as a dotted line

Designer Shortcut Buttons

Button | Definition
 | Displays the execute report dialog box.
 | Groups Start, Group End, Header, Text or Footer group.
 | Insert a SQL Query definition.
 | Edit or insert a report parameter.
 | Insert a data source, function, parameter or field.

Page Layout Buttons

Button | Definition
 | Normal Layout
 | Page Layout View
 | Full Page
 | Show Gutter
 | Show Codes and Bookmarks

Language Character Sets

In order to use a different character set the user can highlight the text and then select the required character set from the drop-down list

Note: It is important to select the correct character set in order to eliminate issues when exporting the report to PDF.

Available Character Sets

Character Set | Description
ANSI_CHARSET | 0 ANSI characters.
DEFAULT_CHARSET | 1 Font is chosen based solely on Name and Size. If the described font is not available on the system, Windows will substitute another font.
SYMBOL_CHARSET | 2 Standard symbol set.
MAC_CHARSET | 77 Macintosh characters.
SHIFTJIS_CHARSET | 128 Japanese shift-JIS characters.
HANGEUL_CHARSET | 129 Korean characters (Wansung).
JOHAB_CHARSET | 130 Korean characters (Johab).
GB2312_CHARSET | 134 Simplified Chinese characters (mainland china).
CHINESEBIG5_CHARSET | 136 Traditional Chinese characters (Taiwanese).
GREEK_CHARSET | 161 Greek characters.
TURKISH_CHARSET | 162 Turkish characters.
VIETNAMESE_CHARSET | 163 Vietnamese characters.
HEBREW_CHARSET | 177 Hebrew characters.
ARABIC_CHARSET | 178 Arabic characters.
BALTIC_CHARSET | 186 Baltic characters.
RUSSIAN_CHARSET | 204 Cyrillic characters.
THAI_CHARSET | 222 Thai characters.
EASTEUROPE_CHARSET | 238 Includes diacritical marks for eastern european countries.
OEM_CHARSET | 255 Depends on the codepage of the operating system.

Main Screen

The right-hand side is split into four options:

  • Data Sources - provide information from the database tables; the information is retrieved by using SQL queries.

    There are three query possibilities:

    • Standard queries

    • User defined queries for a single report

    • User defined queries for all reports belonging to a specific section role

    Standard queries can be defined via this option. Users familiar with the table contents and database structure of Suite8 can define custom queries, and add them to the list of data sources for a single report, or define default queries via the option Default Queries for Internal Editor in the configuration.

  • Functions - special functions are available which can be used to insert expressions that contain certain conditions such as 'if' or ''while'.

    Place the cursor on the relevant function to display the hint text and an example of how to implement the function.

    The function EvaluateOracleFunction provides the ability to use Oracle functions.

    Example of using the 'if' function

    if statement with 'or' condition.

    Example:

    if(Or(ADR.CITY='Bremen', ADR.CITY='Hamburg');'North';'Not North')

    if statement with 'and' condition.

    Example:

    if(AND(ADR.CITY=Hamburg,NAM.LASTNAME='von Beust');'Major of Hamburg';'Not Major of Hamburg')

    Example of using the NumToStr function

    The function NumToStr can either read the precise decimals defined under Setup → Configuration → Cashiering → Currencies for the selected currency under Global Settings → Billing → Currency 4 tab or a number of decimals can be entered.

    The following example will show the number of decimals (3) and ignore the decimal settings on the currency defined under Global Settings → Billing → Currency 4 tab.

    Example:

    NumToStr(RES.CONF_RATE, 3)

    The following example will take the decimals defined under Setup → Configuration → Cashiering → Currencies for the currency entered under Global Settings → Billing → Currency 4 tab.

    Example:

    NumToStr(RES.CONF_RATE)

  • Parameters - are fields that return values internally assigned by Suite8 or data entered under global settings concerning property or user information. The parameters are automatically created.

    • Parameters starting with CONF_ are used to return internally assigned values to the confirmation letter, such as address id, reservation id or contact address id.

    • Parameters starting with SP_ return user, hotel and run time data to the letter, such as the user name, property name or address.

  • Fields - the fields listed under this option return information from the fields of the database tables.

    There are two types of fields:

    • Standard - fields from the fixed data sources, these have been defined to make the creation of confirmation letters easier. These fields return information or combined information that is retrieved with specific formulas from the fields of the database tables, such as address, salutation, number of rooms or rate.

    • User defined - lists user defined fields. Users familiar with the table contents and database structure of Suite8 can define custom fields with formulas and add them to the list of user defined fields. Fields in the user defined section are displayed in alphabetical order; when a new field is created it is placed at the bottom of the list at the time of creation and will be sorted alphabetically the next time you edit the report.

    Using standard fields

    A blank space must be inserted between two standard fields in order to place both values correctly on the report template. It is not possible to insert the space afterwards, the fields have to be removed from the report template and inserted again with the space.

    For example when using the standard fields: Firstname and Lastname, the space has to be placed right after the first name before inserting the standard field last name.

    will print only the first name

    will print both the first and the last name

    Corresponding codes in Versions 6 & 7

How to create a new query

  1. Display the Internal Editor screen.

  2. Click the Designer menu and select Query or click the [image] button.

The Query Definition dialog box is displayed with a list of custom queries.

Query definition with the parameter conf_yres_id.

  3. Click New to display the new Query Alias dialog box

  4. Enter a unique Alias name.

  5. Enter a valid Query; all available parameters can be used.

In addition to the hard coded parameters, results from other queries can be used.

Example of how to use the result of a reservation id.

  6. Click OK to save the query.

  7. Click Close to close the query definition dialog box.

  • Default queries can be defined via the option Default Queries for Internal Editor under Setup → Configuration → Miscellaneous.


Creating a new query

  1. Display the Internal Editor screen.

  2. Click the Designer menu and select Query or click the [image] button.

The Query Definition dialog box is displayed with a list of custom queries.

Query definition with the parameter conf_yres_id.

  3. Click New to display the new Query Alias dialog box

  4. Enter a unique Alias name.

  5. Enter a valid Query; all available parameters can be used.

In addition to the hard coded parameters, results from other queries can be used.

Example of how to use the result of a reservation id.

  6. Click OK to save the query.

  7. Click Close to close the query definition dialog box.


Grouping Text

Forms and reports can be grouped into header, body and footer text. It is also possible to define specific groups to, for example, suppress fields from a report.

What to you want to do?

How to group text

  1. Create a new report or open an existing report in the Internal Editor.

  2. Click the Designer menu and select Groups.

The Group sub-menu is displayed.

  3. Select the required group; each group is indicated by a bar in a different colour.

  4. The properties for the group are displayed in the section Group Options on lower right-hand side of the screen and can be changed as required.

  5. Enter the text that should appear in the relevant group after the colored bar.

How to suppress fields from a report

In this example the field phone number should not be shown if the parameter Default to display telephone details on invoice is disabled in the configuration.

  1. Create a new report or open an existing report in the Internal Editor.

  2. Place the cursor where the group should start, click the Designer menu and select Groups.

The Group sub-menu is displayed.

  3. Select Group Start, the start group bar is displayed on the editor and the properties for the group are displayed in the section Group Options on lower right-hand side of the screen.

  4. Select the DBAlias PHONE.

  5. Place the cursor in the required location on the form and then double-click the field Phonenumber from the field list.

  6. Select the Group "PHONE" and click the Expressions button in Group Properties section on lower right-hand side of the screen.

The Expressions for this band are displayed.

  7. Select the tab Before Process.

  8. Enter the following formula:

and(PM_PRINTPHONENR=1,PHONE.PHONE<>'')

  9. Click OK to save the expression.

  10. Place the cursor where the group should end, click the Designer menu and select Groups.

The Group sub-menu is displayed.

  11. Select Group End, the end group bar is displayed on the editor and the properties for the group are displayed in the section Group Options on lower right-hand side of the screen.

  12. The display of telephone details on the invoice is controlled by the parameter Default to display telephone details on invoice under Setup → Configuration → Global Settings → Billing → Billing 2 tab.


Internal Editor Tips

Detailed below are several internal editor tips.

What to you want to do?

How to edit a template

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

  2. Select the required template and click the Edit button.

  3. Click the Report File tab and then click the Edit button to display the report in the Internal Editor.

  4. On the Edit menu click Select All.

  5. On the Format menu click Indentation and Spacing.

  6. In the Value box enter a different value.

  7. Click the Update button.

  8. In the Value box enter the original value again.

  9. Click the Update button.

  10. Click the OK button.

  11. Adjust the alignment for the text block as they will all be set to the same level.

  12. Click Save on the File menu to save the template.

  13. Click Close on the File menu to exit the Internal Editor screen.

  14. Click OK to exit the Report Edit screen.

How to use family greeting on letters

Create the default query

  1. On the Configuration menu click Miscellaneous and then select Default Queries for Internal Editor.

The section roles are listed on the left-hand side and the Query Aliases for the selected role listed on the right-hand side.

  2. Select the Section Role where family greeting should be used.

  3. Click New to display the Query Alias dialog box.

  4. In the Alias name enter FAM_ADR.

  5. Enter the following SQL Query.

SELECT

DECODE(:CONF_GREETINGTYPE,1,

(DECODE(XCMS_TYPE,1,XCMS_NAME1||DECODE(XCMS_NAME2,NULL,DECODE(XCMS_NAME3,NULL,'',CHR(10)||XCMS_NAME3),DECODE(XCMS_NAME3,NULL,CHR(10)||XCMS_NAME2,CHR(10)||XCMS_NAME2||CHR(10)||XCMS_NAME3)),DECODE(NVL(NVL(XCID_FAM_ADDRGREET,XCID_ADDRGREET),' '),' ','',NVL(XCID_FAM_ADDRGREET,XCID_ADDRGREET)||CHR(10))||TRIM(DECODE(NVL(XCID_FAM_NAME,NVL(XCMS_NAME3,'')),'','',NVL(XCID_FAM_NAME,XCMS_NAME3)||'

  6. Click OK to save the query.

  7. Repeat steps 2-6 for all the Section Roles where family greeting should be used.

Add the user defined field to the report

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. Select the confirmation or profile letter where family greeting should be available.

  3. Click the Edit button.

  4. Click the Report File tab and then click the Edit button to display the report in the Internal Editor.

  5. Click the Fields option on the right-hand side and then click User Defined.

  6. Right-click on User Defined and select New Field from the short-cut menu.

The User defined field dialog box is displayed.

  7. In the Caption box enter FAM_NAME_ADR_GREE_LF

  8. In the Code box enter AdjustLineFeed(FAM_ADR.COM_FAM_IND_ADDR_LF)

  9. Click OK to save the user defined field.

  10. Place this field in the address line of the letter using double-click or drag and drop.

  11. Click Save on the File menu to save the document.

  12. Click Close on the File menu to exit the Internal Editor screen.

  13. On the Report File tab click the New button to enter a new parameter.

  14. In both the Name and Caption boxes enter CONF_GREETINGTYPE.

  15. In the Data Type box select Integer

  16. Click OK to save the changes and exit the Report Edit screen.

Adding additional information fields to the folio

On the Text & Card additional information may be entered, such as the PO Number or Voucher Number which can then be printed on the guest folio.

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

  2. Select the required folio template and click the Edit button.

  3. Click the Report File tab and then click the Edit button to display the report in the Internal Editor.

  4. Click the Data Sources option on the right-hand side and then click Main.

The following fields can be added to the folio:

  • ZWIN_FREETEXT1, ZWIN_FREETEXT2, ZWIN_FREETEXT3, ZWIN_FREETEXT4

  • LF_ZWIN_FREETEXT1, LF_ZWIN_FREETEXT2, LF_ZWIN_FREETEXT3, LF_ZWIN_FREETEXT4 for the line feed

  • ALL_FREETEXT_LF for all 4 lines together

  5. Place the required fields in the folio using double-click.

  6. Click Save on the File menu to save the document.

  7. Click Close on the File menu to exit the Internal Editor screen.

  8. Click OK to save the changes and exit the Report Edit screen.

How to access the Text & Card dialog box

  1. Click the Cashier menu and select Billing or press Ctrl+B.

The Cashier Login screen is displayed.

  2. Enter your Cashier Number and Password, click Login.

The billing search screen is displayed.

  3. Select the required reservation and double-click or click the Select button to display the guest folio.

  4. Select the window to be edited and right-click to display the short-cut menu.

  5. Select Edit Selected Window to display the Billing Window Setup dialog box.

The Billing Window Setup dialog box is split into two tabs:

Details - displays the source and details of whom the invoice is being sent to including, the Profile, Address, Contact, Default Folio style and Window Type.

Text & Card - displays the credit card details attached to the reservation and the blank lines may be used to enter additional information, such as the PO Number or Voucher Number which can then be printed on the guest folio.

  6. Click OK to close the Billing Window Setup.

How to insert a hyperlink into an HTML file or a confirmation letter

A hyperlink with parameters can be placed in an HTML file or confirmation letter as follows:

Internal Editor->New function: Hyperlink(URL[, Description])

A hyperlink is inserted with the supplied parameters when the letter is created.

For example; Hyperlink('http://www.google.com', 'This is google')

If the description in the formula is not completed then the link itself is displayed.

Parameters from the data source

On the standard confirmation letters the parameter SP_HOTELWEB can be added with this functionality.

For example, 'Hyperlink(SP_HOTELWEB)' to reference the properties Web site.

City Ledger Information

If the parameter Allow Separate Folio Numbers for City Ledger Folios is active and the City Ledger Number cycle has been defined then for each city ledger folio a number is assigned.

The parameter CITYLEDGERFOLIONUMBER can be used on the folio template to refer to the city ledger folio number. In addition for internal editor folio templates a user defined field with the following formula can be used to show also a description on the invoice (see examples in demo database): if(CITYLEDGERFOLIONUMBER<>'';TranslateStaticText('City Ledger Invoice', LANID);'')

How to print a specific reference number on the folio (Finland)

To use this, the function 'FinlandFolioNumber' can be selected when editing a folio template with internal editor.

It can be used with the following syntax (parameter PM_YRES_ID and FOLIONUMBER are only examples):

If the result string should be filled with additional characters in the event that a used parameter/value is shorter than the required string, then the function 'fillstr()' should be used. For example:

FinlandFolioNumber(Concat(fillstr(PM_YRES_ID,10,0), fillstr(FOLIONUMBER,9,0)))

(The third parameter is the value used for padding)

If the result string should not be filled with additional characters in the event that a used parameter/value is shorter than the required string, for example a string can be 10 characters long but the used parameter/value has only 6 digits, then the function 'copy()' should be used. In this case no additional characters are added. For example:

FinlandFolioNumber(Concat(copy(PM_YRES_ID,1,10), copy(FOLIONUMBER,1,9)))

Invoice Signature functionality

When creating folio templates or deposit invoices with the Internal Editor the parameter Zinn_id can be used to locate the invoice number and create the signature. This is a legal requirement in certain countries such as Portugal.

Note: If invoice signature functionality is used then the same number cycle cannot be used for deposit invoice and deposit receipts. In the case that the same number cycle is defined then a warning message is displayed before printing that different number cycles need to be configured before the deposit invoice or deposit receipt can be printed.

Note: The name number cycle can be used when the global settings Use Number Cycle linked to the Folio is NOT used and/or the same number cycle is linked to the configured folio style for the deposit invoice and deposit receipt.

How to use Quick Response Codes (QR) on correspondence

The QR Code system is a type of two-dimensional bar code with fast readability and greater storage capacity compared to standard UPC Universal Product Code barcodes.

The QR Code can be used via a function on report templates created with Internal Editor. The function masks information and makes it readable for bar code scanners, and no longer necessitates the installation of the free font Free 3 of 9.

The function is called:
QRCode(StringToEncode[, SizeInPoints]]).

How to use QR Codes

  1. Display the Internal Editor screen for the required report.

  2. Place the cursor where the bar code is to be displayed.

  3. Expand the Functions list on the right-hand side of the screen.

  4. Locate the function QRCode and click Insert.

The code is displayed on the report as follows:

When the confirmation letter is printed then the QR Code is displayed as a bar code as follows:

Note: The file quricol32.dll which supports this type of Bar Code is available in the standard.

How to translate address and letter greetings using the function V8_FNC_XCID_TRANSLATE

The function V8_FNC_XCID_TRANSLATE may be used to translate address and letter greetings to the language selected when printing correspondence. This is useful when the language on the template and profile are different, either because you do not have a template in the language of the guest, or for some other reason you want to send the correspondence in a different language.

For example, when you have a letter in English and a profile which has a language and greeting in German, then the result would be a letter in English with 'Sehr geehrte Herr' as the letter greeting. In this case using this function would return the translated value of 'Sehr geehrte Herr' if available.

The function can be used in templates created with Internal Editor or Word Merge and in SQL queries.

The function is called with the following parameters:

  • GNAME - mandatory - used to translate xcid_addrgreet and xcid_lettgreet.

  • GREETINGTYPE - mandatory - the greeting category from the table xcag - use 0 if GNAME is the address greeting and 1 if GNAME is the letter greeting. (In some languages the address and letter greeting can have the same value.)

  • WLANID - mandatory - this is the language ID to indicate the language to be used for translating GNAME.

  • FIELDVALUE - optional - contains the value of any field which comes next to the greeting, such as the First Name or Family Name.

In this example the following select statement will return Mr. Smith (Assuming that 2 is the WLANID for English in the table WLAN.):

select V8_FNC_XCID_TRANSLATE_2 (V.ADDRGREET ,0 , 2, V.LASTNAME ) from V8_EDITOR_NAM v where v.guest_id=999;

An example of this function can be seen in the Word Merge Report FCR_PMS_7309000_Confirmation_Main provided with our standard reports in this release.

--1 Customer information

Select

V8_FNC_XCID_TRANSLATE(V.ADDRGREET,0,:CONF_WLAN_ID, V.NAME) NAME_ADDRGREET ,

V8_FNC_XCID_TRANSLATE(V.LETTGREET,1,:CONF_WLAN_ID) LETTGREET,

V8_FNC_XCID_TRANSLATE(V.LETTGREET,1,:CONF_WLAN_ID,V.LASTNAME) LETTGREET_LASTNAME,

V8_FNC_XCID_TRANSLATE(V.XCID_FAM_ADDRGREET,0,:CONF_WLAN_ID,NAME_FAM) NAME_FAM_ADDRGREET,

V8_FNC_XCID_TRANSLATE(V.XCID_FAM_LETTGREET,1,:CONF_WLAN_ID,LASTNAME) FAM_LETTGREET_LASTNAME,

v.*

from

V8_EDITOR_NAM v where v.GUEST_ID = :CONF_XCMS_ID;

--2 Contact information

Select

V8_FNC_XCID_TRANSLATE(V.ADDRGREET,0,:CONF_WLAN_ID, V.NAME) NAME_ADDRGREET,

V8_FNC_XCID_TRANSLATE(V.ADDRGREET,0,:CONF_WLAN_ID,'<br>'||V.NAME) NAME_ADDRGREET_LF,

V8_FNC_XCID_TRANSLATE(V.LETTGREET,1,:CONF_WLAN_ID) LETTGREET,

V8_FNC_XCID_TRANSLATE(V.LETTGREET,1,:CONF_WLAN_ID,V.LASTNAME) LETTGREET_LASTNAME

from

V8_EDITOR_NAM v where v.GUEST_ID = :CONF_CONTACT_XCMS_ID;


Internal Editor and Mailings

Mailings can be created using a template created with the internal editor.

The following setup is required:

  • A report section defined with the section role Mailings.

  • A mailing template; using the Internal Editor mailing details can be added from the data source.

The fields available on the internal editor template are provided by the view V8_Mailing.

Note: The internal editor report is created upon runtime, therefore specific profile parameters, such as conf_wlan_id can not be used. The section Languages has been added to the data source, so that for example, when editing the internal editor template the parameter languages.wlan_id can be used instead of conf_wlan_id.

What do you want to do?

How to define the report section

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

On the left-hand side of the screen the existing reports are grouped into user-definable sections and sub-sections.

  2. Point to the report section Text Templates and right-click to display the shortcut menu, select Add and then select Section.

The Sections dialog box is displayed.

  3. Enter a section Code.

  4. Enter a section Description.

  5. Select Mailings for the Section role.

  6. Select Text Format Template for the Source Type.

  7. Select Mailings for the Print Job.

  8. Click Save to add the new report section.

How to define the email template

  1. Click the New button to display the Report Edit dialog box.

  2. Click the New Binary button; the Create Binary Report dialog box is displayed.

  3. In the Report Name box enter the name of the template.

  4. Click OK, the Report Edit dialog box is displayed with the Report File tab selected and the template Description completed.

  5. Click the Edit button.

The Internal Editor screen is displayed.

  6. On the right-hand side of the screen click Data Sources to display the available mailing data sources.

  7. Add the mailing details to the template by double clicking the required data source.

  8. Click Save on the File menu to save the template.

  9. Click Close on the File menu to exit the internal editor screen.

The Report Edit dialog box is displayed with the Report File tab selected and the parameter information completed.

  10. Click OK to close the Report Edit dialog box.

The template is now listed on the main reports screen.

Note: The standard demo contains an example report called 71500 Mailing Example and the rtf is FCR_CRM_7600_MAILING_EXAMPLE.


Internal Editor and CCM

As of Version 8.9.3.0 the creation of CCM reports using the internal editor has been enhanced as follows:.

  • Support of NET & VAT values on all levels

  • Support of formatting as follows:

    • Field Name - not formatted

    • F + Field name - formatted using the function V8_FNC_NUM_TO_CHAR_FORMATING to format fields including decimals, for example, 1,000.99

    • FC + Field name - formatted using the function V8_FNC_VALCURR_FORMATING to format fields including decimals and currency, for example, 1,000.99 EUR or EUR 1,000.99 according to the global settings.

Note: The translation fields are TR_F + Field and TR_FC + Field

In the Internal Editor the fields can be selected under Data Sources or Standard Fields:

For example, the field FB_VAT was added to the view V8_CCM_ED_YBOM_MAIN using no format.

  • The non-formatted field FB_VAT can be selected.

  • The formatted field FFB_VAT can be selected, this uses the function V8_FNC_NUM_TO_CHAR_FORMATING().

  • The formatted field FCFB_VAT can be selected, this uses the function V8_FNC_VALCURR_FORMATING().

Note: Since version 8.9.3.0 no formatted field is added to a view, instead the field name is used,


Star Codes used in Versions 6 and 7

The following table lists the star codes which were used in the text editor in versions 6 and 7 and the equivalent field code which is used by in internal editor in Suite8.

Star Code V6/V7 | Field in V8
*AA | <SHORT SALUTATION>
*AB | <DEPARTURE>
*AD | <NAME+ADDRESS>
*AM | <ENTERED_WHEN>
*AN | <ARRIVAL>
*AR | <HIS.NUMBER OF ARRIVALS>
*AZ | <RES.NOOFROOMS>
*B4 | <RES.RATECODEDESC>
*BA | <RES.GUARANTEECODE>
*DA | <FIDELIODATE_US>
*D2, *DE | <DEPOSIT_REQUESTED>
*EI | <ENTERED_BY_USER>
 | <ENTERED_BY_USERNAME>
*ER | <NOOFADULTS>
*ES | <FIRST ARRIVAL>
*FT | <RATE+FIXCHARGES>
*GD | <BIRTHTIME>
 | <GUESTNAME+GREET>
*GN | <GUESTNAME>
*GT | <STAYCOST_RATE+FIXCHARGES>
 | <STAYCOST_RATE>
 | <STAYCOST_FIXCHARGES>
*GZ | <ID>
*HD | <FIDELIODATE>
*KG | <ROOMTYPE>
*KI | <NOOFCHILDS>
*KZ | <ROOMTYPE_DESC>
*LA | <COUNTRY>
 | <COUNTRY_ISO2>
 | <COUNTRY_ISO3>
 | <COUNTRY_NAME>
*LE | <LAST ARRIVAL>
 | <LAST_DEPARTURE>
*LI | <DEPOSIT_LIMIT>
*LP | <LAST RATE>
*LZ | <LAST_ROOMNUMBER>
*N1 | <FIRSTNAME>
*N2 | <LASTNAME>
*NA | <NUMBER OF NIGHTS>
*NI | <NIGHTS>
*NN | <NATIONALITY>
*NO | <NOSHOWS>
*OR | <CITY>
*P1, *P2 | <FIXCHARGES>
*PA | <LASTNAME+LETTERGREETING>
*PC | <RATECODE>
*PL | <ZIP>
*PR | <RATEAMOUNT>
*PS | <PASSPORT>
*R3 | <RATECODE_TEXT>
 | <RATECODE_INFO>
*RS | <NEXT_ARRIVAL>
*RT | <FREETEXT1>
 | <FREETEXT2>
*S1 | <STREET1>
*S2 | <STREET2>
*S3 | <STREET3>
*ST | <CANCELLATIONS>
*TI | <TITLE>
*TO | <STAYCOST_RATE>
*VK | <DEPOSIT_PAID>
*VZ | <DEPOSIT_PAID_DATE>
*ZE | <ARRIVALTIME>
*ZI | <ROOMNUMBER>


Crystal and Internal Editor Functions

Suite8 functions are available when writing with Crystal Reports or using the Internal Editor functionality.

In order to use the functions the FidelioCrystalFunctions.dll file has to reside in the Suite8 Program directory.

These functions are available in:

  • Crystal Reports - when inserting a field under Crystal Syntax → Additional Functions.

  • Internal Editor - under Functions.

Crystal and Internal Editor Functions

Crystal Function | Internal Editor Function
FidelioGetGlobalSettings | GlobalSettings
FidelioGetToWord | ToWord
FidelioGetStripString | StripString
FidelioTranslateData | TranslateData
FidelioTranslateStaticText | TranslateStaticText
FidelioTranslateDate | TranslateDate
FidelioGetDeCryptMaskCCNum() | DeCryptMaskCCNumber(string)

Explanation of functions with examples

  • FidelioGetGlobalSettings (Name, DatabaseParameters)

    This function is used to retrieve entries from Global Settings in a Crystal Report or on the Internal Editor.

    Example:

    To retrieve information from the Global Settings → General Hotel Info tab, a formula must be created such as: FidelioGetGlobalSettings ('UDEF_Support Hotline', {?sp-database})

  • FidelioGetToWord (amount,Lang,DatabaseParameters)

    This function is used to convert numeric values to string. On the report a number such as 1.343 will return the string: Thousand three hundred forty-three.

    Example:

    In Crystal Reports:

    FidelioGetToWord (val(Left ({PRICE})))

    In Internal Editor:

    ToWord(Amount, Lang)

    According to the language ID, the system will search in the configured Dll's under Setup → Configuration → Miscellaneous → ToWord DLLs for a valid function and will return the corresponding value. The function name of the DLL has not to be mentioned in the Syntax of the Report.

  • FidelioGetStripString(Src)

    This function allows the conversion of Scandinavian/German characters to standards. It maps accented characters to composite characters, in which the accent and base character are represented by two character values.

    Example:

    FidelioGetStripString(V8_CCM_LETTER.XCMS_NAME1)

    Example of the mapping for Scandinavian/German characters.

    Scandinavian / German Character

    Standard

    å

    aa

    Å

    AA

    ä

    ae

    Ä

    AE

    ö

    oe

    Ö

    Oe

    æ

    ae

    Æ

    Ae

    ø

    oe

    Ø

    Oe

  • FidelioTranslateData (TableName,TabelID,FieldName,Lang,DatabaseParameters)

    This function translates the description of setup items such as room types, room description and department codes, and can be used on confirmation letters and folio templates

    Example:

    FidelioTranslateData ('XECT',{V8_EDITOR_USER_DET. PHONE_TYPEID } ,'XECT_LONGDESC' , {?CONF_WLAN_ID}, {?SP-DATABASE})

  • FidelioTranslateStaticText (Text, Lang, DatabaseParameters)

    This function allows the translation of Reports in Translation Studio. To be able to translate the report, it must contain the string translation (FidelioTranslateStaticText) function.

    Examples:

    FidelioTranslateStaticText ('Room Reservation', {?CONF_WLAN_ID}, {?SP-DATABASE})

    FidelioTranslateStaticText('Trial Balance',{?SP-REPORT-LANGUAGE},{?SP-DATABASE})

  • FidelioTranslateDate (Date, DateFormat,Lang,DatabaseParameters)

    This function allows date translation, for example if the report should be printed in English, the date format should be 8th August 2003 and if it is German, the date format should be 08. August 2003. The first parameter is Date, the second parameter, the Date Format 1- Numeric format (for example DD/MM/YYYY, 2 - Short Date format, 3 - Long format, 4 Long with day of week, the third parameter is the language ID (WLAN_ID) and the fourth parameter the SP-DATABASE.

    Examples:

    FidelioTranslateDate (date({V8_CCM_LETTER.YBOM_ARRIVAL}), 3,{?CONF_WLAN_ID}, {?SP-DATABASE})

    FidelioTranslateDate (CurrentDate, 3,{?CONF_WLAN_ID}, {?SP-DATABASE})

  • FidelioGetDeCryptMaskCCNum()

    This function may be used to show the credit card number masked on the invoice. The field name from the table or view may be entered within the parenthesis.


Cube Reports

Cube Reports are user-definable reports using an Olap structure created from the operational data.

Olap is an acronym for On Line Analytical Processing. A snapshot is taken of a relational database and restructured into dimensional data. Cube reports allow the running of queries against this data as well as the defining of dimensions and measures.

Two main modules can be used for cube reports:

  • Cube Viewer - to view, change or edit existing cube reports.

  • Cube Designer - to design new cube definition files or open existing cube definition files under Cube Viewer → Setup.

What to you want to do?

How to view/edit the report section for OLAP Cube reports

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

On the left-hand side of the screen the existing reports are grouped into user-definable sections and sub-sections.

  2. Point to the report section and right-click to display the shortcut menu, select Edit.

The Sections dialog box is displayed

  3. The Section role has to be Report to create or print cube reports.

  4. The Source type indicates the type of report and has to be OLAP Cube to create or print cube reports.

  5. The Print job has to match the type of reports that will be printed.

  6. Click Save to save any changes or Cancel to exit the Sections dialog box.

How to create a report section for OLAP Cube reports

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

On the left-hand side of the screen the existing reports are grouped into user-definable sections and sub-sections.

  2. Point to the report section where the new cube report section/sub-section is to be added and right-click to display the shortcut menu, select Add and then select Section or Subsection as required.

The Sections dialog box is displayed

  3. Enter a Code for the report section/sub-section.

  4. Enter a Description for the report section/sub-section.

  5. Select Report as the Section role.

  6. Select OLAP Cube as the Source type.

  7. Select a Print job from the list of defined print jobs.

The print job has to match the type of reports, forms and templates that will be printed.

  8. Click Save to add the new report section or sub-section.

How to create a new Cube Report

  1. Click on Reports on the Miscellaneous drop-down menu, Miscellaneous Toolbar or use the quick key (Ctrl + Shift + R).

  2. Select the newly created or valid section for the Olap Cube, for example Statistics.

  3. Click New.

  4. Click New Binary.

  5. Enter the Report Name.

  6. Click OK.

  7. Click Edit.

  8. Answer the questions "Do you want to load Cube definition?" with No.

The Cube Designer Screen is opened.

How to load an existing Cube Definition

  1. Click on Reports on the Miscellaneous drop-down menu, Miscellaneous Toolbar or use the quick key (Ctrl + Shift + R).

  2. Select the newly created or valid section for the Olap Cube, for example Statistics.

  3. Click New.

  4. Click New Binary.

  5. Enter the Report Name.

  6. Click OK.

  7. Click Edit.

  8. Answer the questions "Do you want to load Cube definition?" with Yes.

  9. Select the Cube definition file from path.

The Cube Viewer screen is displayed.

How to run a Cube Report

  1. From the Cube Viewer Screen, select Run.

  2. Enter the Run Parameters, such as date.

  3. Click the Execute button.

Sections and sub-sections dialog box

Field | Definition | Legal Values
Code | The short description for the section or sub-section. | Up to 3 alphanumeric values.
Description | The long description of the section or subsection. | Up to 30 alphanumeric characters.
Section role | The role of the section defines where in the module the print out is possible. | Select from list box.
Source type | Defines the type of report: Crystal Reports - Crystal Report files (RPT). Text Format Template - Forms created using the Internal Editor Functionality (RTF). OLAP Cube - An Olap structure created from the operational data. HTML Report - reports written in HTML. | Select from list box.
Print job | Defines the print job. The print job has to match the type of reports, forms and templates that will be printed. | Select from list box.


The Cube Viewer

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. In the report tree on the left hand side of the screen select the required report section.

The Source Type of the section must be defined as OLAP Cube.

  3. Click the New button to display the Report Edit dialog box.

  4. Click the New Binary button, the Create Binary Report dialog box is displayed.

  5. In the Report Name box enter the name of the report.

  6. Click OK, the Report Edit dialog box is displayed with the Report File tab selected and the report Description completed.

  7. Click the Edit button.

A confirmation message is displayed.

  8. Click Yes to load the cube definition.

  9. The Select Cube Definition file dialog box is displayed.

  10. Locate the directory with the required cube report.

  11. Select the cube definition file and click Open.

The Cube Viewer screen is displayed.

The screen is divided into:

  • The Menu bar on top of the cube viewer

  • The Map Builder

  • The Measure Manager

  • The Graphical Display Button

The Cube Viewer Menu Bar

The Menu Bar consists of 5 menus:

Available Options | Definition
File |
Save Data | To save the Cube Report on a Path.
Load Data | To load existing Cube Data from a Path
Export | To export the Report and exchange it with other users either to Excel or HTML.
Print | To print the Cube Report.
Print Preview | To print a preview.
Cube Definition |
Cube Wizard | To open Cube Designer and define Data Queries, Run Parameters and Dimensions.
Load | To load a new Cube Report Definition file.
Save Setup | To save changes to the Cube Report
Export to File | To export the cube definition to an external XML file.
View |
Advanced Filtering | To activate additional filtering options.
Swap Columns and Rows | To swap Column and Row display.
Saved Maps |
Save Current As | To save the current map.
Delete Maps | Selecting this option displays a list of maps which can be deleted.
Run | To open the Report Execute Screen and enter Run Parameters.
Settings |
Colors | To change colours for Headers and Data Cells
Grid | To enter grid specific settings
Map | To set Hide options for empty columns or rows, enter table mode and set directions for relative views.

Map Builder

Map Builder Icon

The Map Builder is used for creating groups and drag dimensions into the different groups, the rows, columns and current links are displayed.

How to change criteria via the Map Builder

  1. Click the Map Builder Icon [image], to display the Map builder dialog box.

The map builder dialog box shows the rows, columns and dimensions (values) and their current link.

  2. Select the Row, Column or Dimension to be changed.

  3. Click Edit, the Dimension editor screen is displayed.

The Dimension editor screen is divided into two sections:

  • The Active Items (unsorted)

  • The Repository (inactive items)

  4. For an explanation of the dimension editor options, see Dimension editor dialog box.

    Field/Button

    Definition

    Enable prev. forecast value

    Previously created forecast values will be included.

    Enable next. forecast value

    To generate a new forecast.

    All Visible

    Marks all dimensions as visible.

    All Invisible

    Marks all dimensions as not visible.

    All Filtered

    Sets all dimensions to filtered state.

    Circle Shift

    Circles shift of dimension state from All Visible to All Invisible to All Filtered and vice versa.

    Add Group

    Adds a new group. Items can be place in the new group by using drag & drop.

    Delete Group

    Deletes the selected group

    Exp./Collapse

    Expands or collapses the tree notes

Measure Manager

Measure Manager Icon

The Measure Manager allows changing the measures of the Report Procedure or Report Cube and creating calculated measures.

How to change measure manager options

  1. Click the Measure Manager Icon [image], to display the Measure Manager dialog box.

The measure manager allows the user to change the display caption, the value representation and to set filters.

  2. Make the changes required and click OK to save measure manager changes.

Graphical Display

Graphical Display Icon

The Graphical Display allows selecting rows and columns for a graphical presentation. Here is an example of the graphical display.


The Cube Designer

The Cube Designer is opened when defining a new Cube Report or selecting Cube Definition → Load from the Cube Viewer.

The Cube Designer is split into five configuration screens:

The first screen is used to define the Cube Fact Data Query, Run Parameters and their Properties.

The second screen is used to split database fields to dimensions and measures.

The third screen is used to configure dimensions.

The fourth screen is used to configure measures.

The last screen is used to configure the Cube.

Use the Back and Forward Buttons to scroll through the different configuration screens of the Cube Designer

Defining Cube Fact Data Query, Run Parameters and their properties

The Cube Fact Data Query contains the data query for the cube, for example

SELECT shis.*, SHIS_GROSSROOMREV AVG_GROSSROOMREV

FROM shis WHERE shis.SHIS_WDAT_DATE >=:DATEFROM and shis.SHIS_WDAT_DATE <=:DATETO

In this example data will be retrieved from the statistics table for the entered date range

The Run Parameters define the Parameter prompts upon running the cube Report.

From this section New Run Parameters can be defined or existing Run Parameters can be deleted by selecting the Parameter and pressing Delete. Use the up and down arrows to move the cursor.

The Parameter Properties define the Parameter Name (Database field), Caption and Data Type for the Run Parameters.

Splitting database field to dimensions and measures

The split database fields to dimensions and measures screen is used to drag & drop the available fields into dimensions and measures.

The left side displays a list of all available fields from the History table of statistics (SHIS).

The upper right side is used to drag & drop the fields that should be used for Dimensions.

The lower right side is used to drag & drop the fields that should be used for Measures.

Configure dimension

Each dimensions field can be configured and additional dimensions can be defined with the data set.

The left side displays the defined dimensions from the previous screen.

The right side allows the adding of additional data sets and displays the attribute of the selected dimension.

Configure dimensions dialog box

Available Options | Definition
Data Set | Defines the source of information.
Fact Data | The data comes from a fact data query as defined on the first screen.
Table | Select this radio button and choose a table from the drop down list from which data should be included.
SQL | Select SQL to enter a SQL statement in the available white space.
Alias | The alias name of the field or table. An alias is a short name that stands for the field or table.
Key Field | Select a key field from the drop down list. Key fields can be used for sorting purpose. A Key field is a field of a database table which together form a unique identifier for a record (a table entry).
Lookup Field | Select a lookup field from the drop down list. Look up fields can be used for sorting purpose.
Parent Field | Select a parent field from the drop down list. Parent fields are dependant fields.
Default sort | Select a sorting method from the drop down list. Available options are: No sort By Key field value (Variant) By Lookup field value (string)
Display label | The label for the field.
Enable extended items (forecasting) |
Forecasting method | This field is only available if Enable extended items has been selected. It defines the forecasting method: Moving Average Weighted Moving Average Double Exponential Smooth Triple Exponential Smooth Dispersed matrix: Show Min/Max Value Dispersed matrix: Show First and Last Value
Null Name |
Wrap date field to | None, Years, Quarters, Month, Weeks or Days

Configure measures

Each measure can be configured. The measure configuration screen displays all defined measures. Each measure can be assigned an alias name and a calculation type which can be selected from the drop down list. Additional Format strings can be entered by pressing the Build button.

Note: Alias Names should not be used when creating calculated measures.

Cube Settings

Special settings for the pivot cube, as it is called, can be defined on the last screen

Cube Settings dialog box

Available Options | Definition
Exclude zero measure values from calculating averages | Select this box to exclude zero measure from calculating averages
Always save count information | Select this box to count information Clear this option to decrease cube size
Starting map configuration |
Dimension | Select the dimensions. Use Drag & Drop Functionality to drag and drop the dimension into columns and rows. Selected Dimensions will be indicated by a check.
Columns | Defines the map configuration for columns, values can be moved by using the drag & drop functionality.
Measures | Defines the map configuration for measures, values can be moved by using the drag & drop functionality. Selected Measures will be indicated by a check.
Rows | Defines the map configuration for columns, values can be moved by using the drag & drop functionality.
Hide empty columns | Select this box to hide empty columns.
Hide empty rows | Select this box to hide empty rows.
Do not built cube after exit | Select this box to not automatically build the cube when pressing the Build button to exit.
Build | Select this button to open the Report Execute screen, run the Report and open the Cube Viewer Screen.


Creating calculated meassures

Creating calculated measures

What to you want to do?

How to create calculated measures

  1. Click on Reports on the Miscellaneous menu, Miscellaneous Toolbar or use the quick key (Ctrl + Shift + R)

  2. Select the required cube report and click Edit to open the Report Edit dialog box.

  3. Select the Report File tab and click the Edit button to open the Cube Viewer screen.

  4. Click the Run menu option to open the report parameters dialog box.

  5. Click the View button to display the report.

  6. Click the Measure Manager icon [image] to open the Measure Manager.

  7. Select a measure and click the Calculate button to display the Calculated measures manager dialog box.

  8. Click the Add new measure button.

  9. Enter a name for the measure, for example, "Gross Total Per Person" and then click OK.

  10. Place the cursor in the Calculation formula box after Result =

  11. Select the required measures from the list of Available measures, for this example, select

"GROSSTOTALREV" and click [image].

  12. To divide by the number of persons enter a division sign (/) in the calculation formula window then select "NOOFPERSONS" and click [image].

  13. Define the calculation layout for the measure with the Available Views.

Note: Don't use the Alias names but the field names of the result set

  14. Click the Check button to validate the formula.

  15. Click OK to close the checked message and then click OK to close the Calculated measures manager screen.

The calculated measure can be selected from the Measure manager dialog box; additional formatting can be entered and the calculated measure can be placed in position using drag-and-drop.

Note: Manually created measures are also exported to the XML file when using the Save Setup button from the Cube Designer Menu.

How to create a total column using calculated measures

  1. Click on Reports on the Miscellaneous menu, Miscellaneous Toolbar or use the quick key (Ctrl + Shift + R)

  2. Select the required cube report and click Edit to open the Report Edit dialog box.

  3. Select the Report File tab and click the Edit button to open the Cube Viewer screen.

  4. Click the Run menu option to open the report parameters dialog box.

  5. Click the Execute button to display the report.

  6. Click the Measure Manager icon [image] to open the Measure Manager.

  7. Select a measure and click the Calculate button to display the Calculated measures manager dialog box.

  8. Click the Add new measure button.

  9. Enter a name for the measure, for example, "Total Room Rev. Net." and then click OK.

  10. Remove the Calculation formula (begin Result = end).

  11. Select the required measures from the available measures, for this example, select "DEV_ROOM_REV_NET" and click [image].

  12. To add the tentative room revenue, enter a plus sign (+) in the calculation formula window then select "TENT_ROOM_REV_NET" and click [image].

  13. Click the Check button to validate the formula.

  14. Click OK to close the checked message.

  15. Click OK to close the Calculated measures manager screen.

The calculated measure can be selected from the measure manager dialog box and placed in position using drag-and-drop.

Note: Manually created measures are also exported to the XML file when using the Save Setup button from the Cube Designer Menu.

Additional Information on calculated measures

PivotCube has its own mathematical expression parser to support custom formulas entered by the user. In addition to using numerical values in the formula, you can also use values from other measures (including other calculated measures). The parser supports most of the common mathematical functions, but you can extend list of supported functions via declaring own functions. To calculate own function, you need to create own event handler

Example

begin

var x;

func xy;

expr;

expr;

expr;

Result = expr;

end

Where

Expr = Measure ”+” Measure or

Measure ”-“ Measure or

Measure ”*” Measure or

Measure ”/” Measure or

Measure ”*” Constant or

Measure ”*” Var or

Measure ”*” Func or

Expr “+”(“-“,”*”,”/”) Expr or

Function(Expr)

Where

Measure = MeasureName or

“Measure Name” or

MeasureName[VIEWNAME]

Where VIEWNAME is

VALUE – measure value

RANK_BY_COL – measure rank in column order

RANK_BY_ROW – measure rank in row order

COUNT – number of records, which were aggregated to calculate measure value

ROW - total value by current measure row

COLUMN- total value by current measure column

PREV_BY_ROW – previous member by row order

PREV_BY_COL – previous member by column order

NEXT_BY_ROW – Next member by row order

NEXT_BY_COL – Next member by column order

List of supported functions:

SQRT(value)

ABS(value)

SIN(value)

COS(value)

POWER(value, power)

POWER2(value)

LOG10(value)

LN(value)

EXP(value)

NEG(value)

Example

begin

var a;

var b;

func xy;

a = "Summa";

b = "Count";

Result = xy(a,b);

end


Cube Report Examples

Detailed below are examples of some of the available cube reports:

4339 Rate Code History & Forecast


Calculation of the conf_rate field

The calculation for the field Conf_Rate mainly used on confirmation letters changed from excluding to including 'add on packages' in version 8.9.4.1.

All relevant fields and views have been verified and where necessary some fields have been added.

The tables below details the view, the rate fields which are included in the view, description of the content, the Suite8 Version in which it was changed or added and the discount influence which indicates if the field takes in to account the discount when entered on the reservation screen.

  • Per View - displays a list of all the views and the rate fields which are included.

  • Per Field - displays a list of all the rate fields and the views in which they are included

Fields marked in red were added in version 8.9.4.3.

Note: Fields in report templates created with the Internal Editor can be changed using the Internal Editor Fields search and replace utility which is available under Setup → Miscellaneous → System Maintenance → Miscellaneous.

Per View

View name | Field | Content | Based on | Action | Version | Discount influence
V8_EDITOR_RES | RATEAMOUNT | Daily rate per room + all packages | YDET |  |  | no
 | RATEMANUAL | Manual flagged rate. If add on package is flagged it is automatically added | YDET |  |  | no
 | CONF_RATE | Daily rate per room + all packages | YDET | Changed | 8.9.4.1 | Yes
 | CONF_RATE_GS | Daily rate per room + all packages formatted | YDET | Changed | 8.9.4.1 | Yes
 | FCONF_RATE_GS | Daily rate per room + all packages formatted with currency | YDET | Changed | 8.9.4.1 | Yes
 | LAST_CONF_RATE |  | YDET |  |  | Yes
 | CONF_RATE_TOTAL | Rate + all packages per stay per room | YPOS |  |  | Yes
 | CONF_RATE_STAY | Total rate per stay + all packages | YPOS |  |  | Yes
 | CONF_RATE_STAY_GS | Total rate per stay + all packages formatted | YPOS |  |  | Yes
 | FCONF_RATE_STAY_GS | Total rate per stay + all packages formatted with currency | YPOS |  |  | Yes
 | CONF_RATE_FIXCHARGE | Daily rate per room + all packages + fixed charges | YDET+ YFXC | Changed | 8.9.4.1 | only on rate+pkg
 | CONF_RATE_FIXCHARGE _STAY | Total rate per stay + all packages + fixed charges | YPOS |  |  | only on rate+pkg
 | CONF_RATE_NET | Daily rate per room + all packages Net | YPOS |  |  | Yes
 | CONF_RATE_NET_TOTAL | Rate + all packages per stay per room Net | YPOS |  |  | Yes
 | CONF_RATE_NET_STAY | Total rate per stay + all packages Net | YPOS |  |  | Yes
 | CONF_RATE_NOADDON | Conf_rate excluding add on package | YDET | added | 8.9.4.3 | Yes
 | CONF_RATE_NOADDON_GS | Conf_rate excluding add on package Formatted. | YDET | added | 8.9.4.3 | Yes
 | CONF_RATE_NOADDON _FIXCHARGE | Conf_rate excluding add on packages + all fixed charges | YDET | added | 8.9.4.3 | Yes
 | CALC_PRICE | Daily rate per room + all packages. Depreciated. Use conf_rate | YDET |  |  | Yes
 | FINAL_AMOUNT | Control amount | YDET |  |  | Yes
 | ADD_ON_PACKAGES | Total add on packages first night | YPAL |  |  | no
 | TOTAL_FIX_CHARGES | Total fixed charged for the first night | YFXC |  |  | no
 | FIXCHARGE_STAY | Total fixed charged stay | YPOS |  |  | no
 | RATE_NET | Daily Rate + all packages + Fixed charges All rooms Net | YPOS |  |  | only on rate+pkg
 | RATE_NET_STAY | Total rate per stay + all packages + fixed charges Net. Is CONF_RATE_FIXCHARGE_STAY NET | YPOS |  |  | only on rate+pkg
V8_EDITOR_GPU | RATEAMOUNT | Daily rate per room + all packages | YDET |  |  | no
 | RATEMANUAL | Manual flagged rate. If add on package is flagged it is automatically added | YDET |  |  | no
 | CONF_RATE | Daily rate per room + all packages | YDET | Changed | 8.9.4.1 | Yes
 | CONF_RATE_GS | Daily rate per room + all packages formatted | YDET | Changed | 8.9.4.1 | Yes
 | FCONF_RATE_GS | Daily rate per room + all packages formatted with currency | YDET | Changed | 8.9.4.1 | Yes
 | LAST_CONF_RATE |  | YDET |  |  | Yes
 | CONF_RATE_TOTAL | Rate + all packages per stay per room | YPOS |  |  | Yes
 | CONF_RATE_STAY | Total rate per stay + all packages | YPOS |  |  | Yes
 | CONF_RATE_STAY_GS | Total rate per stay + all packages formatted | YPOS |  |  | Yes
 | FCONF_RATE_STAY_GS | Total rate per stay + all packages formatted with currency | YPOS |  |  | Yes
 | CONF_RATE_FIXCHARGE | Daily rate per room + all packages + fixed charges | YDET+ YFXC | Changed | 8.9.4.1 | only on rate+pkg
 | CONF_RATE_FIXCHARGE _STAY | Total rate per stay + all packages + fixed charges | YPOS |  |  | only on rate+pkg
 | CONF_RATE_NET | Daily rate per room + all packages Net | YPOS |  |  | Yes
 | CONF_RATE_NET_TOTAL | Rate + all packages per stay per room Net | YPOS |  |  | Yes
 | CONF_RATE_NET_STAY | Total rate per stay + all packages Net | YPOS |  |  | Yes
 | CONF_RATE_NOADDON | Conf_rate excluding add on package | YDET | added | 8.9.4.3 | Yes
 | CONF_RATE_NOADDON_GS | Conf_rate excluding add on package Formatted. | YDET | added | 8.9.4.3 | Yes
 | CONF_RATE_NOADDON _FIXCHARGE | Conf_rate excluding add on packages + all fixed charges | YDET | added | 8.9.4.3 | Yes
 | CALC_PRICE | Daily rate per room + all packages. Depreciated. Use conf_rate | YDET |  |  | Yes
 | FINAL_AMOUNT | Control amount | YDET |  |  | Yes
 | ADD_ON_PACKAGES | Total add on packages first night | YPAL |  |  | no
 | TOTAL_FIX_CHARGES | Total fixed charged for the first night | YFXC |  |  | no
 | FIXCHARGE_STAY | Total fixed charged stay | YPOS |  |  | no
 | RATE_NET | Daily Rate + all packages + Fixed charges All rooms Net | YPOS |  |  | only on rate+pkg
 | RATE_NET_STAY | Total rate per stay + all packages + fixed charges Net. Is CONF_RATE_FIXCHARGE_STAY NET | YPOS |  |  | only on rate+pkg
V8_EDITOR_GPS | RATEAMOUNT | Daily rate per room + all packages | YDET |  |  | no
 | RATEMANUAL | Manual flagged rate. If add on package is flagged it is automatically added | YDET |  |  | no
 | CONF_RATE | Daily rate per room + all packages | YDET | Changed | 8.9.4.1 | Yes
 | CONF_RATE_GS | Daily rate per room + all packages formatted | YDET | Changed | 8.9.4.1 | Yes
 | FCONF_RATE_GS | Daily rate per room + all packages formatted with currency | YDET | Changed | 8.9.4.1 | Yes
 | LAST_CONF_RATE |  | YDET |  |  | Yes
 | CONF_RATE_TOTAL | Rate + all packages per stay per room | YPOS |  |  | Yes
 | CONF_RATE_STAY | Total rate per stay + all packages | YPOS |  |  | Yes
 | CONF_RATE_STAY_GS | Total rate per stay + all packages formatted | YPOS |  |  | Yes
 | FCONF_RATE_STAY_GS | Total rate per stay + all packages formatted with currency | YPOS |  |  | Yes
 | CONF_RATE_FIXCHARGE | Daily rate per room + all packages + fixed charges | YDET+ YFXC | Changed | 8.9.4.1 | only on rate+pkg
 | CONF_RATE_FIXCHARGE _STAY | Total rate per stay + all packages + fixed charges | YPOS |  |  | only on rate+pkg
 | CONF_RATE_NET | Daily rate per room + all packages Net | YPOS |  |  | Yes
 | CONF_RATE_NET_TOTAL | Rate + all packages per stay per room Net | YPOS |  |  | Yes
 | CONF_RATE_NET_STAY | Total rate per stay + all packages Net | YPOS |  |  | Yes
 | CONF_RATE_NOADDON | Conf_rate excluding add on package | YDET | added | 8.9.4.3 | Yes
 | CONF_RATE_NOADDON_GS | Conf_rate excluding add on package Formatted. | YDET | added | 8.9.4.3 | Yes
 | CONF_RATE_NOADDON _FIXCHARGE | Conf_rate excluding add on packages + all fixed charges | YDET | added | 8.9.4.3 | Yes
 | CALC_PRICE | Daily rate per room + all packages. Depreciated. Use conf_rate | YDET |  |  | Yes
 | FINAL_AMOUNT | Control amount | YDET |  |  | Yes
 | ADD_ON_PACKAGES | Total add on packages first night | YPAL |  |  | no
 | TOTAL_FIX_CHARGES | Total fixed charged for the first night | YFXC |  |  | no
 | FIXCHARGE_STAY | Total fixed charged stay | YPOS |  |  | no
 | RATE_NET | Daily Rate + all packages + Fixed charges All rooms Net | YPOS |  |  | only on rate+pkg
 | RATE_NET_STAY | Total rate per stay + all packages + fixed charges Net. Is CONF_RATE_FIXCHARGE_STAY NET | YPOS |  |  | only on rate+pkg
V8_REP_YRES_INFOS | YDET_RATEAMOUNT | Daily rate per room + all packages | YDET |  |  | No
 | YDET_RATEMANUAL | Manual flagged rate. If add on package is flagged it is automatically added | YDET |  |  | No
 | CONF_RATE | Daily rate per room + all packages | YDET | Changed | 8.9.4.1 | Yes
 | CONF_RATE_TOTAL | Rate + all packages per stay per room | YPOS |  |  | Yes
 | CONF_RATE_STAY | Total rate per stay + all packages | YPOS |  |  | Yes
 | CONF_RATE_FIXCHARGESTAY | Total rate per stay + all packages + all fixed charges | YPOS |  |  | only on rate+pkg
 | CONF_RATE_NET | Daily rate per room + all packages Net | YPOS |  |  | Yes
 | CONF_RATE_NET_TOTAL | Rate + all packages per stay per room Net | YPOS |  |  | Yes
 | CONF_RATE_NET_STAY | Total rate per stay + all packages Net | YPOS |  |  | Yes
 | CONF_RATE_NOADDON | Conf_rate excluding add on package | YDET | added | 8.9.4.3 | Yes
 | CALC_PRICE | Daily rate per room + all packages. Depreciated. Use conf_rate | YDET |  |  | Yes
 | ADD_ON_PACKAGES | Total add on packages first night | YPAL |  |  | No
 | TOTAL_FIX_CHARGES | Total fixed charged for the first night | YFXC |  |  | No
V8_EDITOR_DET | CONF_RATE | Daily rate per room + all packages | YDET | Changed | 8.9.4.1 | YES
 | CONF_RATE_NET | Daily rate per room + all packages Net | YPOS |  |  | YES
 | CONF_RATE_NOADDON | Conf_rate excluding add on package | YDET | added | 8.9.4.3 | Yes
V8_REP_YDET_INFOS | CONF_RATE | Daily rate per room + all packages | YDET | Changed | 8.9.4.1 | YES
 | CONF_RATE_DAY | Daily rate multiplied with number of rooms of reservationdetail + all packages | YPOS |  |  | YES
 | CONF_RATE_NET | Daily rate per room + all packages Net | YPOS |  |  | YES
 | CONF_RATE_NET_DAY | Daily rate multiplied with number of rooms of reservationdetail + all packages NET | YPOS |  |  | YES
 | CONF_RATE_NOADDON | Conf_rate excluding add on package | YDET | added | 8.9.4.3 | Yes
 | CALC_PRICE | Daily rate per room + all packages. Depreciated. Use conf_rate | YDET |  |  | YES
V8_REP_VAC_SHARE_YRES | YDET_RATEAMOUNT | Daily rate per room + all packages | YDET |  |  | no
 | YDET_RATEMANUAL | Manual flagged rate. If add on package is flagged it is automatically added | YDET |  |  | no
 | CONF_RATE | Daily rate per room + all packages | YDET | Changed | 8.9.4.1 | Yes
 | CONF_RATE_NOADDON | Conf_rate excluding add on package | YDET | added | 8.9.4.3 | Yes
 | CALC_PRICE | Daily rate per room + all packages. Depreciated. Use conf_rate | YDET |  |  | Yes
 | ADD_ON_PACKAGES | Total add on packages first night | YPAL |  |  | no
 | TOTAL_FIX_CHARGES | Total fixed charged for the first night | YFXC |  |  | no
 |  |  |  |  |  | no
V8_MAILING_RESERVATION _INFOS | YDET_RATEAMOUNT | Daily rate per room + all packages | YDET |  |  | no
 | YDET_RATEMANUAL | Manual flagged rate. If add on package is flagged it is automatically added | YDET |  |  | no
 | CONF_RATE | Daily rate per room + all packages | YDET | Changed | 8.9.4.1 | Yes
 | CONF_RATE_STAY | Total rate per stay + all packages | YPOS |  |  | Yes
 | CONF_RATE_FIXCHARGESTAY | Total rate per stay + all packages + all fixed charges | YPOS |  |  | only on rate+pkg
 | CONF_RATE_NOADDON | Conf_rate excluding add on package | YDET | added | 8.9.4.3 | Yes
 | TOTAL_FIX_CHARGES | Total fixed charged for the first night | YFXC |  |  | no
V8_SYS_OPENBALANCES | CONF_RATE | Rate + all packages |  | Changed | 8.9.4.1 | Yes
V8_SYS_OPENBALANCES _ADVANCE | CONF_RATE | Rate + all packages |  | Changed | 8.9.4.1 | Yes

Field Matrix

 | V8_EDITOR _RES | V8_EDITOR _GPU | V8_EDITOR _GPS | V8_REP_YRES _INFOS | V8_EDITOR _DET | V8_REP_ YDET_INFOS | V8_REP_VAC_ SHARE_YRES | V8_MAILING_ RESERVATION_INFOS | V8_SYS_ OPENBALANCES | V8_SYS_OPENBALANCES _ADVANCE | Discount Influence
YDET_RATEAMOUNT |  |  |  | x |  |  | x | x |  |  |
YDET_RATEMANUAL |  |  |  | x |  |  | x | x |  |  |
RATEAMOUNT | x | x | x |  |  |  |  |  |  |  | No
RATEMANUAL | x | x | x |  |  |  |  |  |  |  | No
CONF_RATE | x | x | x | x | x | x | x | x |  |  | Yes
CONF_RATE_GS | x | x | x |  |  |  |  |  |  |  | Yes
FCONF_RATE_GS | x | x | x |  |  |  |  |  |  |  | Yes
LAST_CONF_RATE | x | x | x |  |  |  |  |  |  |  |
LAST_CONF_RATEFROM |  |  |  |  |  |  |  |  |  |  |
CONF_RATE_TOTAL | x | x | x | x |  |  |  |  |  |  | Yes
CONF_RATE_DAY |  |  |  |  |  | x |  |  |  |  | Yes
CONF_RATE_STAY | x | x | x | x |  |  |  |  |  |  | Yes
CONF_RATE_STAY_GS | x | x | x |  |  |  |  |  |  |  | Yes
FCONF_RATE_STAY_GS | x | x | x |  |  |  |  |  |  |  | Yes
CONF_RATE_FIXCHARGE | x | x | x |  |  |  |  |  |  |  | only on rate+pkg
CONF_RATE_FIXCHARGE _STAY | x | x | x | x |  |  |  | x |  |  | only on rate+pkg
CONF_RATE_NET | x | x | x | x | x | x |  |  |  |  | Yes
CONF_RATE_NET_DAY |  |  |  |  |  | x |  |  |  |  | Yes
CONF_RATE_NET_TOTAL | x | x | x | x |  |  |  |  |  |  | Yes
CONF_RATE_NET_STAY | x | x | x | x |  |  |  |  |  |  | Yes
CONF_RATE_NOADDON | x | x | x | x | x | x | x | x |  |  | Yes
CONF_RATE_NOADDON_GS | x | x | x |  |  |  |  |  |  |  | Yes
CONF_RATE_NOADDON _FIXCHARGE | x | x | x |  |  |  |  |  |  |  | only on rate+pkg
CALC_PRICE | x | x | x | x |  |  | x |  |  |  | only on rate+pkg
FINAL_AMOUNT | x | x | x |  |  |  |  |  |  |  |
ADD_ON_PACKAGES | x | x | x | x |  |  | x |  |  |  | No
TOTAL_FIX_CHARGES | x | x | x | x |  |  | x | x |  |  | No
FIX_CHARGE_STAY | x | x | x |  |  |  |  |  |  |  | No
RATE_NET | x | x | x |  |  |  |  |  |  |  | only on rate+pkg
RATE_NET_STAY | x | x | x |  |  |  |  |  |  |  | only on rate+pkg


Custom SQL's

Custom SQL's can be added to and then run directly from the reports menu option. Running custom SQL's from reports requires the following:

  • A report section with source type Custom SQL

  • Custom SQL reports with the role Custom sql grid

How to add custom SQL's to the report tree

  1. Click the Miscellaneous menu and select Reports or press Ctrl+Shift+R.

The Reports screen is displayed.

  2. In the report tree on the left hand side of the screen select the Custom SQL report section.

The Source Type of the section must be defined as Custom SQL

  3. Click the New button to display the Report Edit dialog box.

  4. Click the New Binary button; a list of custom SQL's with the role Custom sql grid is displayed.

  5. Select the required custom SQL and click OK.

The Create Binary Report dialog box is displayed.

  7. In the Report Name box enter the name of the report.

  8. Click OK, the Report Edit dialog box is displayed with the Report tab selected and the report Description completed.

  9. Click OK to close the Report Edit dialog box.

The report is now listed on the main reports screen.


Report Procedures

This option may be used to view, print and export report procedures and is accessible via the option Report Procedures on the Miscellaneous menu.

Report Procedures are programmed reports that retrieve information from several tables and offer 'on screen' calculation and fast access to statistics. Additional functionality is given for grouping, sorting and changing the display of columns and values.

  • The printer setup for report procedures is defined via the option Procedure report printer setup under Setup → Configuration → Global Settings → Reports → Reports tab.


Procedure Company

Company Statistic

This option is used to produce statistics for all or for a specific company, agent or source profile and is accessible via the option Report Procedures on the Miscellaneous menu.

The report can be calculated for a specific time period, by selected country, by zip code range and by a minimum revenue amount.

Statistics displayed include room nights, average room rate, various categories of revenues and revenues per person, day use, arrivals, cancellations and no-show reservations.

What do you want to do?

How to run the company statistics report procedure

  1. Click the Miscellaneous menu and select Report Procedures.

The available report procedures are displayed.

  2. Select Company Statistic.

The Company Statistic screen is displayed divided into two sections

  • Date, Profile, Parameter and Filter criteria are entered on the left-hand side.

  • The calculations to be included in the report are selected on the right-hand side.

  3. Select the From Date and To Date; by default the dates are from the first of the current month until the date before the current date.

  4. Select if the report is to be run for Company, Agent or Source profiles.

  5. Select if the report is to Show Average Figures; this option is not available if Show Details is selected

  6. Select Show only active profiles to display statistics for profiles with the status active; if not selected then statistics for profiles with the status inactive will be included.

  7. Select Groups/Blocks only to display statistics only for profiles linked to a group or a block.

  8. Select Individual only to display statistics only for profiles linked to an individual profile.

  9. If either Groups/Blocks only or Individuals only is selected then the option Show Details can be selected; statistics details are then displayed per group, block or individual profile.

  10. In the Filter section select the required Countries, Zip Code range and the Min Total Revenue to be displayed.

  11. On the right-hand side of the screen select the calculations to be included in the report.

  12. Click the Calculate button.

The report is calculated and the Company Statistic cube report displayed. The columns can be sorted by clicking on the column label.

  13. Click Print to print the report or click Export to export the report to either an Excel or HTML format.

  14. Click Close to close the report.

  15. Click Close to exit the Company Statistic screen.

How to display the calculated results graphically

  1. Click the Miscellaneous menu and select Report Procedures.

  2. Select Company Statistic to display the Company Statistics screen.

  3. Complete the report criteria and select the calculations to be included in the report.

  4. Click Calculate to display the report.

  5. Click the Graphical Display icon [image] at the top of the screen.

The report is displayed in graphical format.

  6. Rows and columns can be selected to be displayed in a graphical format; expand the Rows option and select an item to be displayed.

In this example we have selected MICROS-Fidelio GmbH.

  7. The legend and the captions can be toggled on and off as required via the Legend and Marks check boxes.

  8. Click the [image] at the top of the screen to close the graphical display.

  9. Click Close to close the report and then click Close to exit the Company Statistic screen.

How to display the advanced report options

  1. Click the Miscellaneous menu and select Report Procedures.

  2. Select Company Statistic to display the Company Statistics screen.

  3. Complete the report criteria and select the calculations to be included in the report.

  4. Click Calculate to display the report.

  5. Select the Advanced check box; the following options are added to the top of the screen.

  • Show subtotals - displays a sub-total of the selected statistics for each profile.

  • Show measures - displays the report measures.

  • Show grand total - displays a grand total of the selected statistics for all the profiles selected.

  • Show empty rows/columns - includes all rows and columns even if they are blank.

  • Map Builder - used to create groups and drag dimensions into the different groups. Additionally, filter options by Dimensions can be entered, for example City, State or Room Type.

  • Measure Manager - enables the measures of the report procedure or report cube to be changed.

How to change criteria via the map builder

  1. Click the Map Builder Icon [image] to display the Map builder dialog box.

The map builder dialog box shows the rows, columns and dimensions (values) and their current link.

  2. Select the Row, Column or Dimension to be changed and click Edit.

The Dimension editor screen is displayed divided into two sections:

  • Active items (unsorted)

  • Repository (inactive items)

  3. For an explanation of the dimension editor options, see the

  4. Click OK to save the changes or click Cancel to exit the Dimension editor without saving the changes.

How to change measure manager options

  1. Click the Measure Manager Icon [image] to display the Measure Manager dialog box.

The Measure manager may be used to change the Display caption, the Value representation and to set Filters.

  2. Make the changes required and click OK to save the measure manager changes.

Example: How to build company statistics by country

  1. Click the Miscellaneous menu and select Report Procedures.

  2. Select Company Statistic to display the company statistics screen.

  3. Complete the report criteria and select the calculations to be included in the report.

  4. Click Calculate to display the report.

  5. Select the Advanced check box.

  6. Click the Map Builder icon [image] on the upper left corner to display the Map Builder screen. Here you can adjust the rows, columns and dimensions of the report.

For example you could move Country from the Dimension section to the Column section.

  7. Click OK, the report still shows company statistics per company by date, but that data is now further split by country.

Example: How to create a top producer by room night report for all companies located in a certain city

  1. Click the Miscellaneous menu and select Report Procedures.

  2. Select Company Statistic to display the company statistics screen.

  3. In the From Date and To Date fields enter required date range, it must be a date range in the past.

  4. Select the Profile type Company.

  5. In the Country box click the drop-down arrow and select the country code required.

  6. Click the Deselect all button to deselect all the criteria on the right-hand side and then select only the Room Nights check box.

  7. Click Calculate to generate the cube report.

  8. Select the Advanced check box from the column on the right-hand side; this will display some additional options at the top of the screen.

  9. Select the options Show subtotals, Show grand total and Show measures.

  10. Click the Map Builder Icon [image] to display the Map builder dialog box.

The map builder dialog box shows the rows, columns and dimensions (values) and their current link.

  11. Drag the dimension City from the Dimensions section up to the Rows section so that City is listed first.

  12. With the cursor still on City, click Edit to display the Dimension editor screen for City.

  13. Click the All Filtered button; this will place a red cross next to everything in the Active items (Unsorted) panel.

  14. Locate the city for which you want to list the company top producers by room night, click once on the red cross next to it to change this to a green tick mark.

  15. Click OK to close the Dimensions editor screen and then click OK to close the map builder so that the cube report is re-displayed.

  16. Click the [image] next to City to expand the results and then click on Value to sort the results in descending order.

This report can now be exported to an excel spreadsheet or html file as desired.


Calendar Events

This option may be used to enter or view calendar events and is accessible via the option Calendar Events on the Miscellaneous menu or press Shift + Ctrl + C.

Both current and past calendar events can be displayed starting from a specified date. Calendar events can be used to indicate a special event, bank holiday or fair and are displayed in Suite8 as follows:

  • The Conference Diary (F3)

  • The Calendar (F4)

  • The Availability Screen (CTRL + D)

  • The Room Rack (CTRL + L)

  • The Reservation Grid - the column Cal. Tickets can be added via customize grid to show the number of calendar event tickets.

In addition customer profiles can be linked to a calendar event and are displayed with the calendar event on the Calendar Events report.

A calendar event can be defined with the following information:

  • Dates and times

  • Type of event

  • Recurring event type

  • Linked to a location; the list of restaurants, public places and function spaces is displayed.

  • A ticket price, the default department code for the ticket is defined on the event type configuration.

  • Packages can be linked to the ticket price for calendar events with participants.

  • The projected number of attendees can be entered on the profile tab

  • The actual number of attendees are calculated based on the number of persons on the linked profiles.

  • The maximum number of tickets that can be sold for a calendar event on the Suite8 Homepage can be defined on the calendar event.

  • A rebate code can be attached to the calendar event; this option is only available for events which have been defined with the type Day Rebates.

  • Calendar events can be viewed in the Suite8 Homepage

  • Changes to calendar events can be viewed via the user log.

The calendar events screen is divided into 2 sections:

  • The upper section consists of search criteria.

  • The lower section is divided into two tabs:

  • Calendar Events - displays a summary of the calendar events including the event type, description and dates, and the number of customer profiles attached to the event.

  • Daily View - displays the calendar events per day.

The grid display order can be customized by clicking the column heading on which the display order should be sorted.

What do you want to do?

How to access and search for a calendar event

  1. Click the Miscellaneous menu and select Calendar Events.

The Calendar Event Search screen is displayed.

  2. The Start Date defaults to today's date and the End Date defaults to one year from today.

  3. Select an Event Type to limit the search to a specific type of event.

  4. In the Description box enter the event name to limit the search to a specific name.

  5. Click Search.

All calendar events which meet the search criteria are displayed summarized in the Calendar Events tab.

  6. Click the Daily View tab to display the events per day.

  7. Click the Participants tab to display the participants screen.

  8. Click Search to display a list of all participants for all events for the selected dates.

or

  9. Complete the search criteria and then click Search.

  10. To exit the Calendar Events screen, click Close.

How to create a new Calendar Event

How to edit a Calendar Event

How to delete a Calendar Event

Linking Pictures to a Calendar Event

Linking Participants to a Calender Event

Customising Suite8 Grids

  • The option to display the Web tab on a calendar event is controlled by the parameter Use Web Functionality under Setup → Configuration → Global Settings → Generic → Generic 4 tab → Calendar Events. The display of the Web tab per calendar event is controlled by the parameter Web Enabled under Setup → Configuration → Calendar Events. This parameter has to be activated for each calendar event type that should be web enabled.

  • The option to display the Participants tab on a calendar event is controlled by the parameter Use Participants List under Setup → Configuration → Global Settings → Generic → Generic 4 tab → Calendar Events. The display of the Participants tab per calendar event type is controlled by the parameter Use Participants List under Setup → Configuration → Calendar Events. This parameter has to be activated for each calendar event type that requires the participant tab to be displayed.

  • The changes displayed in the user log for calendar events are dependant upon the options selected under Setup → Configuration → Users → User Log → Calendar Events.

  • Rebate linkage to calendar events is controlled by the parameter Enable Day Rebates under Setup → Configuration → Global Settings → Billing → Billing 3 tab.

  • Posting functionality for rebates is controlled by the parameter Posting functionality for rebate cards under Setup → Configuration → Global Settings → Billing → Billing 2 tab. If this parameter is activated, the configured discounts (rebate) for the department codes on the linked rebate will be deducted as soon as a discounted department code is posted.

  • Rebate linkage to calendar events is controlled by the user rights Insert, Edit and Delete under Setup → Configuration → Users → User Definition → Rights → Calendar → Day Rebate Events.

  • The overbooking of an event is controlled by the user right Overbook Maximum Number of Participants under Setup → Configuration → Users → User Definition → Rights → Calendar.

  • The linking of a package as a ticket price for calendar events with participants is controlled by the parameter Link Packages under Setup → Configuration → Global Settings → Generic → Generic 4 tab → Calendar Events.

  • The public locations are defined via the option Public Places under Setup → Configuration → Miscellaneous.

  • The restaurant locations are defined via the option Restaurants under Setup → Configuration → Table Reservations.

  • The conference room locations are defined via the option Conference Rooms under Setup → Configuration → CCM → Function Space Definition.

  • The recurring event types are defined via the option Recurring Calendar Events under Setup → Configuration → Customer Relationship Management.


New Calendar Event

To create a new event

  1. Click the Miscellaneous menu and select Calendar Events.

The Calendar Events screen is displayed.

  2. Click the New button.

The Calendar Event dialog box consists of up to four screens, each one represented by a tab:

  • Event - used to define the basic calendar event details.

  • Web - used to define the short and long descriptions of the event for the Suite8 home page and mobile devices; this tab is parameter controlled.

  • Pictures - used to add a picture or photograph of the event.

  • Participants - used to link profiles to the calendar event; this tab is parameter controlled.

  3. Complete the calendar event details by typing information or selecting information from the drop-down lists.

For an explanation of the fields on the calendar event screen, see Calendar Event Details

Field

Definition

Start Date

The starting date for the calendar event.

End Date

The ending date for the calendar event.

Duration

If the calendar event is for a specific time period, select Duration and enter the From and Until times.

Event Type

Select the type of event from the available list.

Location

The location of the event, select from the list of public places, restaurants and conference rooms.

Department Code

If the event type has been defined with a department codes then this will be completed automatically, but may be changed as required.

Note: This option is only available if the event has ticket billing.

Recurring Event

If the event is a recurring event, such as Christmas, then select the type of event from the available list.

Description

A description of the calendar event.

Colour

Defines the colour in which the calendar event should be displayed.

Maximum/Projected Number of Participants

If required, enter the maximum number of participants that are expected to attend this event.

If the option Unlimited Participants is selected then the projected number of participants can be entered.

Unlimited Participants

Select this option if there is no limit on the number of participants that can attend this event.

Ticket Billing

Select this option if tickets can be sold for this event.

Note: Once a ticket has been sold for this event then this option can no longer be accessed.

Minimum Advanced Booking Days

Defines the number of days in advance that the calendar event can be booked before the event start date.

Note: This option is only available for events which have been defined with the type Use Participant List.

Use Package for Ticket Price

Select this option if a package can be used for the ticket price.

Ticket Price

If tickets are being sold for this event, enter the price per ticket.

Package

Select the package to be used for the ticket price from the list of available packages.

Note: All package types can be selected with the exception of percentage packages.

Availability Influence Level

This option defines the influence of the event type on the availability; influence can be defined from 0 for no influence up to 9 for high influence. The level of influence will be used in future versions to compare forecast figures with last year figures and analyze the exact availability influence for this event.

Day Rebate

Select the rebate code to be attached to the calendar event.

Note: This option is only available for events which have been defined with the type Day Rebates.

Mandatory CC for reservations

Select this option if a credit card must be attached.

Notes

Additional comments regarding the event.

Package Name

If a package is selected for the ticket price then the package name and prices are displayed in the top right corner.

  4. Click the Web tab to enter the details to be displayed on the web or on a mobile device; see Web Details

    Field

    Definition

    Web enabled

    Defines if the event is to be displayed on the web.

    Web Ticket Selling Limit

    Defines the maximum number of tickets that can be booked via the Suite8 Homepage.

    Web Short Information

    The short description of the calendar event for the web when using Suite8 Homepage.

    Web Long Information

    The long description of the calendar event for the web when using Suite8 Homepage.

    Mobile Short Information

    The short description of the calendar event to be displayed on mobile devices with Suite8 Homepage.

    Mobile Long Information

    The long description of the calendar event to be displayed on mobile devices with Suite8 Homepage.

  5. Click the Pictures tab to add a picture to be displayed on the web; see Pictures Details.

    Field

    Definition

    Legal Values

    Description

    Description of the image.

    Up to 30 characters of text.

    Image Type

    Defines if the image is a web picture, mobile device picture, a thumbnail or a full picture.

    Select from list box.

    Web enabled

    Defines if the picture is available to display on the Suite8 Homepage.

    Check: YES

    Blank: NO

    Scan

    Used to scan a picture.

    Linked Pic

    Used to link a picture.

    Browse

    Used to select a picture from a path.

    Note: When using Fidelio Suite8 homepage, linked pictures are automatically downloaded to the Web Server via XML interface. The download happens when new pictures are added or if a picture is changed.

  6. Click the Participants tab to link profiles to the calendar event; see Linking Participants to a Calendar Event

  7. Click OK to save the calendar event.

Calendar Event

Field

Definition

Start Date

The starting date for the calendar event.

End Date

The ending date for the calendar event.

Duration

If the calendar event is for a specific time period, select Duration and enter the From and Until times.

Event Type

Select the type of event from the available list.

Location

The location of the event, select from the list of public places, restaurants and conference rooms.

Department Code

If the event type has been defined with a department codes then this will be completed automatically, but may be changed as required.

Note: This option is only available if the event has ticket billing.

Recurring Event

If the event is a recurring event, such as Christmas, then select the type of event from the available list.

Description

A description of the calendar event.

Colour

Defines the colour in which the calendar event should be displayed.

Maximum/Projected Number of Participants

If required, enter the maximum number of participants that are expected to attend this event.

If the option Unlimited Participants is selected then the projected number of participants can be entered.

Unlimited Participants

Select this option if there is no limit on the number of participants that can attend this event.

Ticket Billing

Select this option if tickets can be sold for this event.

Note: Once a ticket has been sold for this event then this option can no longer be accessed.

Minimum Advanced Booking Days

Defines the number of days in advance that the calendar event can be booked before the event start date.

Note: This option is only available for events which have been defined with the type Use Participant List.

Use Package for Ticket Price

Select this option if a package can be used for the ticket price.

Ticket Price

If tickets are being sold for this event, enter the price per ticket.

Package

Select the package to be used for the ticket price from the list of available packages.

Note: All package types can be selected with the exception of percentage packages.

Availability Influence Level

This option defines the influence of the event type on the availability; influence can be defined from 0 for no influence up to 9 for high influence. The level of influence will be used in future versions to compare forecast figures with last year figures and analyze the exact availability influence for this event.

Day Rebate

Select the rebate code to be attached to the calendar event.

Note: This option is only available for events which have been defined with the type Day Rebates.

Mandatory CC for reservations

Select this option if a credit card must be attached.

Notes

Additional comments regarding the event.

Package Name

If a package is selected for the ticket price then the package name and prices are displayed in the top right corner.

Web tab

Field | Definition
Web enabled | Defines if the event is to be displayed on the web.
Web Ticket Selling Limit | Defines the maximum number of tickets that can be booked via the Suite8 Homepage.
Web Short Information | The short description of the calendar event for the web when using Suite8 Homepage.
Web Long Information | The long description of the calendar event for the web when using Suite8 Homepage.
Mobile Short Information | The short description of the calendar event to be displayed on mobile devices with Suite8 Homepage.
Mobile Long Information | The long description of the calendar event to be displayed on mobile devices with Suite8 Homepage.

Pictures tab

Field | Definition | Legal Values
Description | Description of the image. | Up to 30 characters of text.
Image Type | Defines if the image is a web picture, mobile device picture, a thumbnail or a full picture. | Select from list box.
Web enabled | Defines if the picture is available to display on the Suite8 Homepage. | Check: YES Blank: NO
Scan | Used to scan a picture. |
Linked Pic | Used to link a picture. |
Browse | Used to select a picture from a path. |

Note: When using Fidelio Suite8 homepage, linked pictures are automatically downloaded to the Web Server via XML interface. The download happens when new pictures are added or if a picture is changed.

Note: A new event can also be entered by selecting Calendar from the Customer Relation menu.


Linking Participants to a Calendar Event

Participants can be linked to a calendar event by linking an existing profile or by creating a new profile. A calendar event can be defined with tickets for sale so that when a participant is added to a calendar event a ticket for the event can be purchased at the same time.

Various reports can be printed with event information and participants:

  • A list of calendar events with participants and event details.

  • A list of the participants attending a specific event.

  • A "ticket" confirmation can be printed per individual participant

What do you want to do?

How to link participants to a calendar event

  1. Select the Participants tab.

The Maximum/Projected Number of Participants is read-only; details are taken from the Event tab. If the event has been defined with unlimited participants then the projected number of participants is displayed.

The Actual Number of Participants is read-only and is completed based on the number of linked profiles.

If a package is selected for the ticket price then the package name and prices are displayed in the top right corner.

  2. Click New; if the event has Ticket Billing then the Cashier Login screen is displayed.

  3. Enter your Cashier No and Password, click Login.

The Participant Details dialog box is displayed.

  4. Complete the participant details and click OK.

    Field

    Definition

    Profile

    Click the [image] button to display the profile search screen; locate the required profile or create a new individual profile via the New Profile button.

    No of Persons/

    Package

    Enter the number of persons associated with the selected profile. If a package is attached then enter the number of persons according to the age breakdown.

    Ticket Price

    If this event has tickets for sale then the ticket price may be already completed, but may be changed as required.

    Notes

    Enter any additional details regarding the participant.

If the event has Ticket Billing then the Payment Posting dialog box is displayed.

Note: The payment screen can be closed if the ticket will be paid for at a later date.

  5. Complete the payment details and click the Post button.

The payment is posted and the Folio Styles dialog box is displayed.

  6. The invoice can now be previewed, printed or sent by email.

  7. Click OK to close the Calendar Event screen.

How to remove participants from a calendar event

  1. Click the Miscellaneous menu and select Calendar Events.

The Calendar Events screen is displayed.

  2. Select the calendar event to be edited and click Edit.

The Calendar Event dialog box is displayed.

  3. Click the Participants tab.

  4. Select the profile to be deleted and click Delete.

A confirmation message is displayed.

  5. Click Yes to remove the profile from the calendar event.

  6. Click OK to close the Calendar Event dialog box.

How to print a single participant confirmation

  1. Click the Miscellaneous menu and select Calendar Events.

  2. Select the required calendar event and click Edit.

  3. Click the Participants tab.

  4. Select the required participant and click Print Selected.

The Print Calendar Event dialog box is displayed.

  5. Select the required Templates.

  6. Select the required Language.

  7. Click Preview to view and then print the report.

  8. Click Email or Fax to email or fax the report respectively.

  9. Click OK to close the Calendar Event dialog box.

How to print a list of the participants

  1. Click the Miscellaneous menu and select Calendar Events.

The Calendar Events screen is displayed.

  2. Select the required calendar event and click Edit.

  3. Click the Participants tab.

  4. Click Print List.

The Print Calendar Event dialog box is displayed.

  5. Select the required Templates.

  6. Select the required Language.

  7. Click Preview to view and then print the report.

  8. Click Email or Fax to email or fax the report respectively.

  9. Click OK to close the Calendar Event dialog box.

Options available on the participants screen

  • Add - to link a participant to a calendar event

  • Edit - to edit the participant details; name, number of persons, ticket price and notes

  • Edit Profile - to edit the participants guest profile

  • Delete - to remove the participant from the calendar event

  • Print Selected - to print an event participation confirmation for the selected participant

  • Print List - to print a list of all the participants for the selected event

  • Notes - to add a note to the participants details

How to cancel a ticket

  1. Select the Participants tab.

  2. Select the participant whose ticket is to be cancelled.

  3. Click the Cancel button.

A message is displayed asking if you are sure?

  4. Select Yes; the Cashier Login screen is displayed.

  5. Enter your Cashier No and Password, click Login.

The Payment Posting dialog box is displayed with a negative payment.

  6. It is mandatory to enter the reason for the refund in the Comment box.

  7. Click the Post button.

The negative payment is posted and the Folio Styles dialog box is displayed.

  8. The invoice can now be previewed, printed or sent by email.

A message is displayed confirming that the ticket has been cancelled.

Participant Details dialog box

Field | Definition
Profile | Click the [image] button to display the profile search screen; locate the required profile or create a new individual profile via the New Profile button.
No of Persons/ Package | Enter the number of persons associated with the selected profile. If a package is attached then enter the number of persons according to the age breakdown.
Ticket Price | If this event has tickets for sale then the ticket price may be already completed, but may be changed as required.
Notes | Enter any additional details regarding the participant.

Folio Styles dialog box

Field

Definition

Customer

The last and the first name of the guest or financial account.

Window

The window number being printed or checked-out.

Balance

The balance of the window.

Style

Select the folio style to be used for the print-out from the list of defined styles.

Display telephone details on invoice

Select this option to print the telephone details on the folio.

Currency

Select the currency in which the invoice should be printed.

Note: This option is not displayed when printing a proforma invoice.

Date of Sale

Used to print a date of sale on the invoice. The Fidelio Suite8 date is completed by default; but this can be changed as required.

Note: This option is only displayed if the parameter Enable Date of Sale is active and is not displayed when printing an information folio.

Manual No.

User to enter a manual invoice number.

Note: This option is only displayed if the parameter Enable Manual Invoice Number is active and is not displayed when printing an information folio or proforma invoice.

Options

Print

Prints the folio on the pre-defined printer.

Preview

Displays a preview of the folio, the folio may be printed directly from the preview screen.

Don’t Print

Checks-out the guest without printing the folio; the folio is still exported to billing history.

or

Closes the folio styles dialog box without printing the information folio.

E-mail

Checks-out the guest without printing the folio; the email dialog box is displayed with the invoice attached to the email.

Note: This option is only displayed if the parameter Send Invoices as Email from Folio Screen and the user right Email Folios are active.

Open Setup before Print

Select this option to display the printer setup dialog box before printing in order to select a different printer or printer tray.

Cancel

Cancels the check-out, but not the payment posting.

Note: Not all the options may be displayed on all screens; the options displayed are dependent on where the folio dialog box was accessed from.

Payment Posting dialog box

Fill in this field

With this information

Settle selected window

Selected by default, this option defines that only the balance on the selected window will be settled.

Settle all windows

Defines that the open balance of all windows will be settled with one payment.

Note: The options to settle the selected window or all windows are only displayed if the folio has multiple windows. The possibility to settle all windows with one payment requires that the parameter Post Foreign Currency Exchange Rate Diff on C/O is not active and that no EFT Credit Card Interface is active.

Payment Department

Select the payment department code from the list. Entering the first letter or number of the department code will jump to the first match in the list.

If there are any credit cards attached to the reservation, the payment department is completed with the first credit card listed and the credit card details are automatically completed. A different credit card can be selected from those attached to the reservation or can be entered manually.

Amount

Enter the amount of the payment; by default the total amount of the selected window is displayed.

Foreign Amount

If the payment department selected is a foreign currency then the payment amount is displayed in the selected foreign currency. The exchange rate is displayed in the center of the screen.

Comment

Additional remarks regarding the payment.

Arrangement

Select the arrangement code to be used on the folio from the list. Entering the first letter or number of the arrangement code will jump to the first match in the list box.

Print Receipt

Select this option if a printed receipt is required. Once selected or cleared the status of this option remains until the next time it is changed.

Note: This option is only displayed when the printing of a receipt is optional.

Credit Card Details

Depending on the method of payment selected the credit card details may be completed automatically or can be entered manually.

Note: Credit card details are not available for paid out posting's.

Card Type

The type of the credit card, this is completed based on the Payment Department selection.

Card No.

The credit card number.

Expiry (MM/YY)

The expiration date of the credit card.

Holder's Name

The name of the credit card owner.

Installments

If installment functionality is active then the number of installments can be entered; the default is 1.

Setup required for ticket billing functionality

  • Activation of the parameters Use Participants List and Ticket Billing under Setup → Configuration → Global Settings → Generic → Generic 4 tab → Calendar Events.

  • Definition of a Default Folio Style to be used when printing the invoice for a calendar event ticket payment under Setup → Configuration → Global Settings → Generic → Generic 4 tab → Calendar Events.

  • Definition of a Default Confirmation Template to be used when printing the invoice for a ticket payment under Setup → Configuration → Global Settings → Generic → Generic 4 tab → Calendar Events. Reports with the section role Calendar Event Single Print can be selected from the list.

  • Assignment of the user right Change price of already booked event under Setup → Configuration → Users → User Definition → Rights → Calendar for the users who should be allowed to change the ticket price after tickets were sold.

  • Ticket billing functionality requires that a financial account group is defined via the option Financial Account Groups under Setup → Configuration → Cashiering. The type of financial account group must be FA for Calendar Event Tickets, the parameter Autonumber is activated by default. When a ticket is issued then a financial accounts is automatically created in the background as part of the cashiering transaction.

Note: When printing a calendar event participant list or a participant confirmation the parameter CONF_WLAN_ID must be included in the report template in order to print in the language selected in the dialog box when selecting the option Print Selected or Print List.

  • Reports to be printed via the Print Selected button must exist with the section role Calendar Event Single Print under Miscellaneous → Reports.

  • Reports to be printed via the Print List button must exist with the section role Calendar Event List under Miscellaneous → Reports.


Linking Pictures to a Calendar Event

The Pictures tab is used to scan an image or select an existing image and link it to a calendar event. The images can then be displayed on the Suite8 Homepage and on mobile devices.

The following options are available:

  • New

  • Scan - to scan an image

  • Linked Pic - to select from already linked pictures

  • Browse - to select an image from a directory

  • Edit - to change the picture description or link a new picture

  • Delete - to delete the linked picture

A picture can also be linked from Windows Explorer using drag and drop functionality.

What do you want to do?

How to link a picture

  1. Display the Calendar Event screen for the required calendar event.

  2. Click the Pictures tab.

To link a picture via Drag & Drop

  3. Drag the file from Windows Explorer to the Pictures tab dialog box.

  4. The Image Type defaults to Web Picture and not Web enabled; this may be changed by clicking Edit.

To link a picture via Linked Pic or Browse

  5. Click New to display the Calendar Event Image dialog box.

  6. Click Linked Pic and select the required picture; click Select.

or

  7. Click Browse and select the required file; click Open.

  8. Select the Image Type; web picture, mobile device picture, a thumbnail or a full picture.

  9. Click Web Enabled if the picture is available to display on the Suite8 Homepage.

  10. Click OK to close the Calendar Event Image dialog box

  11. Click OK to close the Calendar Event dialog box.

How to scan and link a picture

  1. Display the Calendar Event screen for the required calendar event.

  2. Click the Pictures tab.

  3. Click New to display the Calendar Event Image dialog box.

  4. Click Scan, the select source dialog box is displayed.

  5. Select the source and click Select to open the scanner application.

  6. Scan the image.

  7. Enter a Description for the scanned image.

  8. Select the Image Type; web picture, mobile device picture, a thumbnail or a full picture.

  9. Click Web Enabled if the picture is available to display on the Suite8 Homepage.

  10. Click OK to close the Calendar Event Image dialog box

  11. Click OK to close the Calendar Event dialog box.

Note: The scanner needs to be ‘Twain’ compatible.

Note: When using Suite8 Homepage, linked pictures are automatically downloaded to the Web Server via XML interface. The download happens when new pictures are added or if a picture is changed.


Copying a Calendar Event

To copy a calendar event

  1. Click the Miscellaneous menu and select Calendar Events.

The Calendar Events screen is displayed.

  2. Point to the calendar event to be copied.

  3. Click Copy; a confirmation message is displayed.

  4. Click Yes to copy the event.

The Copy Event dialog box is displayed.

  5. Make any changes necessary.

  6. Click OK to save the event.

Note: Linked profiles are not copied when copying an event.


Calendar Event Series

Single day calendar events can be copied for a specified period in order to create a series of events. This may be used for example, for an event which occurs every Friday night in the hotel lobby throughout December and January.

To create a series of calendar events

  1. Click the Miscellaneous menu and select Calendar Events.

The Calendar Events screen is displayed.

  2. Point to the calendar event to be copied; the event must be for a single day.

  3. Click Create Series to display the Create Event Series dialog box.

  4. Enter the Start and End dates for the period in which to create the event series.

  5. Select the Week Days on which the event takes place.

  6. Click Copy; a confirmation message is displayed.

The events are created for all the relevant dates.

  7. Click Close.


Editing a Calendar Event

To edit a calendar event

  1. Click the Miscellaneous menu and select Calendar Events.

The Calendar Events screen is displayed.

  2. Point to the calendar event to be edited.

  3. Click Edit, the Calendar Event dialog box is displayed.

  4. Make any changes necessary.

  5. Click OK to save the changes.


Deleting a Calendar Event Misc

Deleting a Calendar Event

To delete a calendar event

  1. Click the Miscellaneous menu and select Calendar Events.

The Calendar Events screen is displayed.

  2. Point to the calendar event to be deleted.

  3. Click Delete, if there are no participants linked then the calendar event is deleted.

If there are participants linked then the message "There are registered participants. The event cannot be deleted. You may set this event to Inactive" is displayed.

  4. Click Set to Inactive to set the event to inactivate and remove it from the calendar events listing.

To reactivate an event

  5. On the Calendar Event Search screen select Show Inactive to display both active and inactive calendar events.

  6. Point to the calendar event and click Set to active to reactivate the calendar event.


Post Calendar Event to a Social Network

Suite8 Social Network Interaction allows the posting of events from Calendar Events to the social network platforms Twitter and Facebook. With the growing demand on Social Network Platforms more properties in the hospitality business decide to present their property also on Twitter or Facebook or both. Suite8 has been enhanced allowing posting Rate Offers, Events and Calendar Events from Suite8 Rate Query and from Calendar Events on these Social Network Platforms and redirecting the rate offers to Suite8 home page allowing other users to directly book these offers on Suite8 home page.

Functionality

Posting messages and events from the rate query and from calendar events in Suite8 to the Social Network Platforms Twitter and Facebook is supported.

Twitter is a social networking and micro blogging service, owned and operated by Twitter Inc., which enables its users to send and read other users' messages called tweets. Tweets are text-based posts of up to 140 characters displayed on the author's profile page. Tweets are publicly visible by default; however senders can restrict message delivery to their friends list. Users may subscribe to other author tweets—this is known as following and subscribers are known as followers. All users can send and receive tweets via the Twitter website, the service is free

Facebook is a social networking web site operated and privately owned by Facebook, Inc. Users can add people as friends and send them messages, and update their personal profiles to notify friends about themselves. Additionally, users can join networks organized by workplace, school, or college.

It is possible to work with more than one Facebook account without logging in and out every time. Multiple accounts are stored, are selectable, and it is possible posting to their wall or creating an event for these accounts.

With the option to use multiple accounts it is also possible to post to a Fan Page of the property.

The property has to have an account on Twitter or Facebook, or both and activate these under Global Settings->Generic 4 tab. From the Rate Query a rate can be selected, by pressing Post Networks button, a report is generated. The message is displayed in a text box and can be edited. Post is performed by pressing Twitter or Facebook button.

What do you want to do

How to post a message from the calendar events

  1. Select Calendar Events from the Miscellaneous drop-down menu.

  2. Select the calendar event to be posted to Twitter.

  3. Click the Post Networks button and then the Post tab to display the Post Networks dialog box.

  4. Select a Report and click Create Message; the event details are displayed in the text box.

  5. Change the message text if required.

  6. Click the Facebook button to post the message on Facebook.

  7. Click the Twitter button to send a tweet.

A confirmation message is displayed if the post is successful.

  8. Click OK to close the message.

Note: If the Twitter message is over 140 characters then an error message is displayed.

How to post and create Facebook events

Facebook Events can be created from the Calendar Events dialog box.

  1. Click Post Networks to display the Post Networks dialog box.

  2. Select the Facebook Event tab, the Facebook Event dialog box is displayed:

  3. Verify the event details:

  • Event Description

  • Start Date and Time

  • End Date and Time

  • Event Location

  • Event Details

  4. Click the Facebook Login button to login to Facebook.

  5. Click the Post button to post the event on the Facebook wall and create an event on Facebook events.

Using bit.ly

When activating bit.ly, the URL shortcut redirecting service with real time link tracking to Suite8 home page bookings, the user and the provided API Key have to be entered under Global Settings. Suite8 home page can be opened with parameters when using the redirection service in the post message for rates for example, allows opening the booking page on Suite8 home page directly with the parameters.
Example:
http://localhost/v8Client/inquiry.aspx?date=27.07.2010&nights=1&adults=1'

Please note: The redirection service bit.ly for URL shortening is only available for Suite8 home page.

How to configure Social Media Network Interaction

Activate the account under Global Setting → Generic 4 Tab

Field | Definition | Legal Values
Facebook | Defines if a Facebook account is used. For Facebook no login credentials are stored. | Check: YES Blank: NO
Reset Access Token | This is used to log out the Fidelio Suite8 user from Facebook. | Click the button.
Twitter | Defines if a Twitter account is used. | Check: YES Blank: NO
Reset Access | This is used to log out the user from Twitter. | Click the button.
User | Enter the User Name for Twitter |
bit.ly | Activates bit.ly, the URL shortcut redirecting service with real time link tracking to Suite8 home page bookings. The user and the provided API Key have to be entered | Check: YES Blank: NO
User | The User for bit.ly |
API Key | The API key provided by bit.ly | Check: YES Blank: NO

Miscellaneous → Reports

Under reports, create two sections. For the Rate Query the section role is Social Networks Rate Report. For Calendar Events the section role of the report is Social Networks Events Report.

Multiple templates are allowed supporting various styles of message layout. The URL address of the properties web site can be posted by using the function: ShortenURL.

  • Social Media Network Interaction can only be configured by users with the Right Manage Settings assigned under Setup → Configuration → Users → Rights → Social Networks.

  • Posting to Social Network Platforms is controlled by the right Post under Setup → Configuration → Users → Rights → Social Networks.

Prerequisites

Registrations on the following services are needed:

  • www.twitter.com (Twitter account)

  • http://bit.ly/ (URL Shortcut redirecting to Suite8 home page bookings)

  • www.facebook.com (Facebook account)


Change Password

This option enables users to change their login password and is accessible via the option Change Password on the Miscellaneous menu.

How to change the login password

  1. Click the Miscellaneous menu and select Change Password.

The Change Password dialog box is displayed.

  2. Enter your Old Password.

  3. Enter your New Password.

  4. Enter your new password a second time in the Confirm Password box.

  5. Click OK.

Your password is now changed.

Note: If the user password entered does not meet Payment Card Industry Standards requirements then the following message is displayed 'Password requirements are not met. Please use a different password'.

  • The minimum length of a password is controlled by the parameter Minimum length of password under Setup → Configuration → Global Settings → Generic → Generic 3 tab.

  • That a password has to contain both numeric and alphanumeric characters is controlled by the parameter Psw must include numb. & alpha under Setup → Configuration → Global Settings → Generic → Generic 3 tab.

  • The level of history for a password controlled by the parameter Password history deepness under Setup → Configuration → Global Settings → Generic → Generic 3 tab. For example, if the level is set to 3, the original password can only be used again the fourth time.


User Sessions

This option is used to control and log off user sessions. A list of all users currently logged into the system is displayed.

This option can also be used to restrict access to the system, for example, during night audit.

  • To log off a user, click the Log off button.

  • To close the screen, click the Close button.

  • To restrict access to the system, click the Access Control button.

How to use access control

  1. Click the Miscellaneous menu and select User Sessions.

The User Sessions dialog box is displayed with a list of all the currently logged in users.

  2. To log off a specific user, select the user and click the Log off button.

  3. To restrict access to the system, click the Access Control button.

A confirmation messages is displayed asking if all users should be logged out and access to the system restricted.

  4. Select Yes; a message is displayed confirming that access to the system is currently restricted.

  5. Users logging into the system without the right Allow Access Control will get a message that access is currently restricted, login not allowed.

  6. Users logging into the system with the right Allow Access Control will get a message that "Access is restricted, do you still want to log in?".

  7. To remove the access restriction, click the Access Control button.

A confirmation messages is displayed "Allow all users to access the system again?"

  8. Select Yes to remove the access restriction.

User sessions dialog box

Field | Definition | Legal Values
Terminal | Defines the computer name as entered in the system properties. | View only.
Login Name | The login name for Suite8. | View only.
Login Time | The time the user logged in. This is the time taken from the workstation. |
Last Call | The time and date of the users last transaction in Suite8. This is the time taken from the workstation. | View only.
SID | The internal system Identification. | View only.

  • The possibility to restrict access to the system is controlled by the user right Allow Access Control under Setup → Configuration → Users → User Definition → Rights → User Sessions.


User Settings

This option allows users to customize their Suite8 settings. The user settings are divided into several different categories, each one represented by a tab:

  • Tree - used to set the default for confirmation messages on the profile tree.

    Option

    Definition

    Legal Value

    Delete

    Defines if a confirmation message is displayed each time a linked profile is deleted from the profile tree.

    Blank: No message

    Check: Message

  • Startup - used to set the Startup Screen and to define the language for Suite8.

    Option

    Definition

    Open last used screen

    Defines that the last used screen upon exiting Version 8 be used as the Startup screen when next logging onto Fidelio Suite8.

    Each time the user name and password is entered for the first time, the last used screen will display.

    Startup Screen

    Defines the page to be used as the Startup screen when first logging onto Fidelio Suite8.

    Each time the user name and password is entered for the first time, the selected startup screen will display. However, if the user does not have rights for the selected screen, the settings will be cleared.

    Available Startup Screens:

    • Arrivals

    • Availability

    • Billing

    • Bonus Points

    • Calendar

    • Conference Diary

    • Conference Floor Plan

    • Conference Reservation

    • Currency Calculator

    • Event Management

    • Event Vacancies

    • Event Waitlist Priority

    • Floor Plan

    • Goals

    • Group Reservations

    • Hotel segment statistics

    • House Status

    • Inhouse Guests

    • Interface Functions

    • Lock Station

    • Logbook

    • Maximum Availability

    • Messages

    • New Reservation

    • Postings

    • Profiles

    • Quick Reservation

    • Rate Query

    • Reports

    • Room Rack

    • Room Search

    • Room Type Availability

    • Space Occupancy

    • Table Reservations

    • Tasks & Activities

    • Telephone Book

    • Today's Activities

    • Transponder Handling

    • Transponder Scan

    • Update Reservation

    • User Notes

    Note: Currency Calculator, Messages, and Floor Plan are part of the Suite8 feature list.

    Language

    Defines the language to use per user; however it is dependant upon user rights. The language can be selected from the list of defined languages. Usually only one language is used, especially if different users share one workstation, but users having access to version 8 via their own workstation, could use a Spanish, Italian, French or German version even if the property version is English.

  • Appearance - used to change the appearance of various options.

    Option

    Definition

    Billing Windows Layout

    Defines the default layout per user when opening the billing window. The default layout can be set to vertical or horizontal, but can be changed when opening the billing window.

    Fixed charges tab by default

    Defines if the fixed charges tab will be displayed by default on the edit reservation screen.

    Grid font

    Enables the changing of the font displayed on grids. Click on the Change button to display the font dialog box.

    Function Space Order in Diary

    Defines the default custom order for the function spaces on the conference diary.

    Function Space View Type in Diary

    Defines the default view to be displayed in the conference diary.

    Display Availability in Room Rack

    Defines the type of availability figures to be displayed under the day and date at the top of the screen.

    Minimum Availability

    Displays the minimum number of rooms that the hotel can sell.

    Rooms to rent less definite and tentative reservations.

    Maximum Availability

    Displays the maximum number of rooms that the hotel can sell.

    Rooms to rent less definite reservations.

    Def. occupied

    Displays the number of definite reservations.

    Def. + Tent. occupied

    Displays the number of definite and tentative reservations.

    None

    No availability figures are displayed.

    Favourite buttons on top

    Defines if the favourites tab located on the left of the main screen is displayed at the top of the tab list.

    Store Hotel Segmentation preferences

    Defines if the hotel segmentation preferences are stored per user. If activated the selected hotel segment view will be displayed the next time this user opens one of the quick keys with hotel segmentation such as House Status (Ctrl. + H), Availability (Ctrl. + D) or Room Rack (Ctrl. + L).

  • Profile - to set the user defaults for the profile screen, report storage and HTML editor.

    Option

    Definition

    Confirm Change of Primary Contact

    Defines if a confirmation message is displayed each time the primary contact on the profile is changed.

    Default Report Export Directory

    Enter the path of the export directory for all reports exported by this user.

    HTML editor executable

    Defines the default application for opening HTML Reports. Click on the selection button to select the path and application for the HTML editor for this user.

    Disable html on profile select screen

    Select this option to disable the HTML option on the profile select screen.

    Activity/Task Type in Profile Tree

    Defines which task and activity types should be displayed in the profile tree when a profile is selected on the profile navigator. If no selection is made then all tasks & activities are displayed in the profile tree.

  • Search Screens - used to set the default settings for the search screens.

    Option

    Definition

    Profile Search

    Linked Profiles Check On

    Select this option to set the Linked Profiles Only option as selected by default when searching for a profile to link.

    Room Search

    Display only preferred rooms / room types for the reserved room type Check On

    Select this option to set the Display only preferred room / room types for the reserved room type option on the room blocking screen as selected by default.

    Display only preferred rooms / room types Check On

    Select this option to set the Display only preferred room / room types option on the room blocking screen as selected by default.

    Tasks & Activities, Calendar Search

    Default User

    Defines the users to be selected by default on the Tasks & Activities and Calendar Search screens.

    Show all not completed tasks & activities until today

    Defines if all tasks & activities until today's date are displayed when opening Tasks & Activities.

    Event Management Search

    Default Conference Statuses

    Defines the conference statuses to be selected by default on the event management search screen. The default selection may be changed at any time from within the search screen.

    Default Room Statuses

    Defines the room statuses to be selected by default on the event management search screen. The default selection may be changed at any time from within the search screen.

    Do not fill arrival date by default

    Defines if the arrival date is completed by default on the event management search screen. If selected then the arrival date is blank and no bookings are displayed in the grid.

    Conference Reservation Search

    Default Event Statuses

    Defines the event statuses to be selected by default on the conference reservation search screen. The default selection may be changed at any time from within the search screen.

    Show hotel selections as

    Defines if hotel selection is displayed as Buttons or in a Combo box.

    Display changes in CCM Reports

    Defines if the option Select start time of changes is displayed on the Print Booking dialog box when selecting the Print option on a conference booking.

  • Reservation - used to set the default settings for the reservation screen.

    Option

    Definition

    Display message when check in was successful

    Defines if a confirmation message is displayed each time a check in is successful.

    Display message when check out was successful

    Defines if a confirmation message is displayed each time a check out is successful.

    Use alternative reservation edit

    Defines if the simplified reservation edit screen is used instead of the standard reservation edit screen.

    On the left-hand side are the basic reservation details and on the right-hand side various screens can be displayed and changed via a drop-down list. Selecting the Billing information screen displays the invoice in HTML format with a button to access billing.

    Display order on Room Search

    Defines the display order of the rooms on the room search screen when assigning a room via reservations or when opening the Room Search quick key.

    • By Default

    • By Room Number

    • By Room Display Order

    • By Room Type

    • By Housekeeping Status

    • By Walking Order

    Reversed

    Defines if the order selected above is displayed reversed.

    Set FA Starting Date filter to blank by default

    Defines if the search criteria Starting Date is left blank on the Financial Account screen. If this setting is not active then the Starting Date is completed with the Suite8 Date.

    Note: Searching on large databases without a date filter may have impact on performance.

    Alternative reservation edit screen example

    • The alternative reservation edit screen (FAlternativeResEdit) can be customized via the option Form Customization under Setup → Miscellaneous.

    • The size of the edit reservation screen may be adjusted via the option Reservation edit screen size under Setup → Configuration → Global Settings → Reservation → Reservation 1 tab.

  • Billing - used to set user defaults for the controls on the billing search screen when closing folios, after check out or pressing escape. Controls can be set on General Filters and on the Cursor selection bar.

    Option

    Definition

    Control on Billing search after loading guest data

    Clear General Filters

    Select this option to clear the entries in the general filter on the billing search screen upon closing a folio, after check-out or pressing the escape button on an open folio. For example, if the parameter is selected and search criteria are entered in the general filter; after opening and then closing the required folio the billing search screen is re-displayed and the general search filters will have been cleared.

    Cursor control

    Controls the cursor behavior on the billing search screen upon closing a folio, after check-out or pressing the escape button on an open folio. The possible choices are:

    Do nothing - the cursor selection bar will stay on the selected field and can be controlled with either the mouse or the up and down arrows.

    Jump to Room Number - the cursor will stay on the selected room number.

    Reload list - the cursor will always jump to the top of the list.

    Print Deposit Receipt by default

    Select this option to print a deposit receipt by default.

    Print Payment receipt by default

    Select this option to print a payment receipt by default.

    Sort Order on Billing

    Defines the field on which the sort order of the billing search screen should be sorted by default.

    Reversed

    Defines if the selected sort order should be reversed.

    Autosave

    Defines if the sort order set by the user should be saved each time the user exits the billing guest search screen.

    Sort Order on Folio Screen

    Defines the default sort order of the postings on the guest folio screen. The postings can be sorted by posting type or by posting group.

    • Sort by Posting Type - displays postings by date, invoice number, type (debit, VAT, credit) and then department code.

    • Sort by Posting Group - displays postings by date, invoice number, posting group and then type (debit, VAT, credit.

    Button sizes on Article posting screen

    Defines the size of the article buttons on the article posting screen. A larger button will allow more text to be displayed on the button for easier identification when posting.

Tree User Settings

Option | Definition | Legal Value
Delete | Defines if a confirmation message is displayed each time a linked profile is deleted from the profile tree. | Blank: No message Check: Message

Startup User Settings

Option

Definition

Open last used screen

Defines that the last used screen upon exiting Version 8 be used as the Startup screen when next logging onto Fidelio Suite8.

Each time the user name and password is entered for the first time, the last used screen will display.

Startup Screen

Defines the page to be used as the Startup screen when first logging onto Fidelio Suite8.

Each time the user name and password is entered for the first time, the selected startup screen will display. However, if the user does not have rights for the selected screen, the settings will be cleared.

Available Startup Screens:

  • Arrivals

  • Availability

  • Billing

  • Bonus Points

  • Calendar

  • Conference Diary

  • Conference Floor Plan

  • Conference Reservation

  • Currency Calculator

  • Event Management

  • Event Vacancies

  • Event Waitlist Priority

  • Floor Plan

  • Goals

  • Group Reservations

  • Hotel segment statistics

  • House Status

  • Inhouse Guests

  • Interface Functions

  • Lock Station

  • Logbook

  • Maximum Availability

  • Messages

  • New Reservation

  • Postings

  • Profiles

  • Quick Reservation

  • Rate Query

  • Reports

  • Room Rack

  • Room Search

  • Room Type Availability

  • Space Occupancy

  • Table Reservations

  • Tasks & Activities

  • Telephone Book

  • Today's Activities

  • Transponder Handling

  • Transponder Scan

  • Update Reservation

  • User Notes

Note: Currency Calculator, Messages, and Floor Plan are part of the Suite8 feature list.

Language

Defines the language to use per user; however it is dependant upon user rights. The language can be selected from the list of defined languages. Usually only one language is used, especially if different users share one workstation, but users having access to version 8 via their own workstation, could use a Spanish, Italian, French or German version even if the property version is English.

Appearance User Settings

Option | Definition
Billing Windows Layout | Defines the default layout per user when opening the billing window. The default layout can be set to vertical or horizontal, but can be changed when opening the billing window.
Fixed charges tab by default | Defines if the fixed charges tab will be displayed by default on the edit reservation screen.
Grid font | Enables the changing of the font displayed on grids. Click on the Change button to display the font dialog box.
Function Space Order in Diary | Defines the default custom order for the function spaces on the conference diary.
Function Space View Type in Diary | Defines the default view to be displayed in the conference diary.
Display Availability in Room Rack | Defines the type of availability figures to be displayed under the day and date at the top of the screen.
Minimum Availability | Displays the minimum number of rooms that the hotel can sell. Rooms to rent less definite and tentative reservations.
Maximum Availability | Displays the maximum number of rooms that the hotel can sell. Rooms to rent less definite reservations.
Def. occupied | Displays the number of definite reservations.
Def. + Tent. occupied | Displays the number of definite and tentative reservations.
None | No availability figures are displayed.
Favourite buttons on top | Defines if the favourites tab located on the left of the main screen is displayed at the top of the tab list.
Store Hotel Segmentation preferences | Defines if the hotel segmentation preferences are stored per user. If activated the selected hotel segment view will be displayed the next time this user opens one of the quick keys with hotel segmentation such as House Status (Ctrl. + H), Availability (Ctrl. + D) or Room Rack (Ctrl. + L).

Profile User Settings

Option | Definition
Confirm Change of Primary Contact | Defines if a confirmation message is displayed each time the primary contact on the profile is changed.
Default Report Export Directory | Enter the path of the export directory for all reports exported by this user.
HTML editor executable | Defines the default application for opening HTML Reports. Click on the selection button to select the path and application for the HTML editor for this user.
Disable html on profile select screen | Select this option to disable the HTML option on the profile select screen.
Activity/Task Type in Profile Tree | Defines which task and activity types should be displayed in the profile tree when a profile is selected on the profile navigator. If no selection is made then all tasks & activities are displayed in the profile tree.

Search Screens User Settings

Option | Definition
Profile Search |
Linked Profiles Check On | Select this option to set the Linked Profiles Only option as selected by default when searching for a profile to link.
Room Search |
Display only preferred rooms / room types for the reserved room type Check On | Select this option to set the Display only preferred room / room types for the reserved room type option on the room blocking screen as selected by default.
Display only preferred rooms / room types Check On | Select this option to set the Display only preferred room / room types option on the room blocking screen as selected by default.
Tasks & Activities, Calendar Search |
Default User | Defines the users to be selected by default on the Tasks & Activities and Calendar Search screens.
Show all not completed tasks & activities until today | Defines if all tasks & activities until today's date are displayed when opening Tasks & Activities.
Event Management Search |
Default Conference Statuses | Defines the conference statuses to be selected by default on the event management search screen. The default selection may be changed at any time from within the search screen.
Default Room Statuses | Defines the room statuses to be selected by default on the event management search screen. The default selection may be changed at any time from within the search screen.
Do not fill arrival date by default | Defines if the arrival date is completed by default on the event management search screen. If selected then the arrival date is blank and no bookings are displayed in the grid.
Conference Management Search |
Default Event Statuses | Defines the event statuses to be selected by default on the conference reservation search screen. The default selection may be changed at any time from within the search screen.
Show hotel selections as | Defines if hotel selection is displayed as Buttons or in a Combo box.
Display changes in CCM Reports | Defines if the option Select start time of changes is displayed on the Print Booking dialog box when selecting the Print option on a conference booking.

Reservation User Settings

Option

Definition

Display message when check in was successful

Defines if a confirmation message is displayed each time a check in is successful.

Display message when check out was successful

Defines if a confirmation message is displayed each time a check out is successful.

Use alternative reservation edit

Defines if the simplified reservation edit screen is used instead of the standard reservation edit screen.

On the left-hand side are the basic reservation details and on the right-hand side various screens can be displayed and changed via a drop-down list. Selecting the Billing information screen displays the invoice in HTML format with a button to access billing.

Display order on Room Search

Defines the display order of the rooms on the room search screen when assigning a room via reservations or when opening the Room Search quick key.

  • By Default

  • By Room Number

  • By Room Display Order

  • By Room Type

  • By Housekeeping Status

  • By Walking Order

Reversed

Defines if the order selected above is displayed reversed.

Set FA Starting Date filter to blank by default

Defines if the search criteria Starting Date is left blank on the Financial Account screen. If this setting is not active then the Starting Date is completed with the Suite8 Date.

Note: Searching on large databases without a date filter may have impact on performance.

Alternative reservation edit screen example

Billing User Settings

Option

Definition

Control on Billing search after loading guest data

Clear General Filters

Select this option to clear the entries in the general filter on the billing search screen upon closing a folio, after check-out or pressing the escape button on an open folio. For example, if the parameter is selected and search criteria are entered in the general filter; after opening and then closing the required folio the billing search screen is re-displayed and the general search filters will have been cleared.

Cursor control

Controls the cursor behavior on the billing search screen upon closing a folio, after check-out or pressing the escape button on an open folio. The possible choices are:

Do nothing - the cursor selection bar will stay on the selected field and can be controlled with either the mouse or the up and down arrows.

Jump to Room Number - the cursor will stay on the selected room number.

Reload list - the cursor will always jump to the top of the list.

Print Deposit Receipt by default

Select this option to print a deposit receipt by default.

Print Payment receipt by default

Select this option to print a payment receipt by default.

Sort Order on Billing

Defines the field on which the sort order of the billing search screen should be sorted by default.

Reversed

Defines if the selected sort order should be reversed.

Autosave

Defines if the sort order set by the user should be saved each time the user exits the billing guest search screen.

Sort Order on Folio Screen

Defines the default sort order of the postings on the guest folio screen. The postings can be sorted by posting type or by posting group.

  • Sort by Posting Type - displays postings by date, invoice number, type (debit, VAT, credit) and then department code.

  • Sort by Posting Group - displays postings by date, invoice number, posting group and then type (debit, VAT, credit.

Button sizes on Article posting screen

Defines the size of the article buttons on the article posting screen. A larger button will allow more text to be displayed on the button for easier identification when posting.

  • The alternative reservation edit screen (FAlternativeResEdit) can be customized via the option Form Customization under Setup → Miscellaneous.

  • The size of the edit reservation screen may be adjusted via the option Reservation edit screen size under Setup → Configuration → Global Settings → Reservation → Reservation 1 tab.


User Notes

This option maybe used to enter user notes is accessible via the option User Settings on the Miscellaneous menu and by using the shortcut keys Ctrl+Shift+N. Each note is stored on its own numbered tab and can only be viewed by the logged in user.

How to enter a user note

  1. Click the Miscellaneous menu and select User Settings or click Ctrl + Shift + N.

  2. On the User Settings screen click Notes.

The User Notes dialog box is displayed.

Any existing notes are displayed on their own numbered tab with the date and time they were updated.

  3. Click New to enter a new note.

  4. A new tab is added; enter the note and click Save.

  5. Click Close to close the User Notes screen.


Interface functions

This option may be used to access various interface options and is accessible via the option Interface Functions on the Miscellaneous menu or by pressing Shift + F8.

The available interface functionality depends on the installed telephone, video or building management system. Please refer to your regional IFC product manager for detailed information on the capability of the systems installed at your property.

Upon the following notifications the interfaces will be initialized, the global status reloaded and access to the current lost postings account opened.

  • Suite8 will notify all interfaces if an interface related status in the global settings has been changed.

  • The interface will be notified if the financial account for lost postings set up as automatic is checked out.

How to access the interface functions

  1. Click the Miscellaneous menu and select Interface Functions.

The available interface options are displayed.

or

  2. Press Shift + F8 to display the Interface Functions dialog box.

  3. Select the required option and click Execute.

Interface options available

  • Guest Rights - to turn on/off and view rights for the respective interface.

  • Wake up - to set and view wake up calls/results for individual guests.

  • Group Wake up - to set and view wake up calls for groups.

  • Key - to make or delete keys.

  • Telephone Booth - to view/access calls made via telephone booth.

  • Interface Posting History - to view all postings made by the interface.

  • Notify Night Audit Actions - to send manual notifications to the interface to start and end the night audit.


Guest Rights

This option is used to set or view guest rights and is accessible via the option Interface Functions on the Miscellaneous menu.

All installed interfaces that have a sub-menu for rights configuration of rooms or extensions are listed here. These are typically telephone, video and building management systems. POS systems are not shown under this option as they do not have sub-menus.

There are four fixed TV rights:

  • 0 - TV rights

  • 1 - No Pay movies

  • 2 - No Adult movies

  • 3 - Unlimited pay channels (default)

Some video-systems have the functionality to assign different prices for Pay TV based on the interface rights. For example, the video system can be set so that the price is set to zero if the rights level = VIP.

For those systems, additional rights can be configured via the options Attribute Categories and Marketing Info. The attribute category offers additional functionality to copy the defined rights from the sub-menu to the reservation page.

How to view guest rights

  1. Click the Miscellaneous menu and select Interface Functions.

The available interface options are displayed.

  2. Select Guest Rights; the Active interface screen is displayed.

  3. Select the required interface and click the Select button.

The functions screen for the selected interface is displayed.

By default Show checked in rooms only is selected but can be cleared if required. The Filter criteria can be used to search for a specific Extension Type or Room Number.

  4. Click the Refresh button to update the screen.

  5. Click the Close button to exit the interface functions screen.

How to set guest rights for multiple rooms

  1. Click the Miscellaneous menu and select Interface Functions.

The available interface options are displayed.

  2. Select Guest Rights; the Active interface screen is displayed.

  3. Select the required interface and click the Select button.

The Set Guest Rights screen for the selected interface is displayed.

By default Show checked in rooms only is selected but can be cleared if required. The Filter criteria can be used to search for a specific Extension Type or Room Number.

  4. Select the option Set rights for multiple rooms.

Several additional filter criteria are displayed.

  5. In the Room (s) box, type the room numbers for which you want to set guest rights or click the drop-down arrow and mark the rooms required. You can set the guest rights of several rooms by separating them with a comma or a space.

or

Select to enter a range of rooms and enter the room number from which the range should start and the room number where the range should finish.

Depending on the type of interface selected the following criteria are available.

  • Class of Service

  • Message Light

  • Do not Disturb

  • TV Tights

  • Video Rights

  • Minibar Rights

  6. Complete the filter criteria as required and click the Set for all Rooms button.

A confirmation message is displayed.

  8. Click Yes to set the guest rights for all the selected rooms.

A message is displayed confirming that the guest rights have been set for all rooms.

  9. Click the OK button to close the confirmation message.

The status of the selected rooms is updated in the rooms grid.

  10. Click the Close button to exit the set guest rights screen.

This option is also available under Group Reservation when editing the group and selecting Group Options->Set Guest IFC rights.

From this menu, the same filter criteria as on the interface submenu are available and the configured rights can be applied to the entire Group by pressing 'Set for whole group' button.

  • Additional rights can be configured via the options Attribute Categories and Marketing Info under Setup → Configuration → CRM.

  • Additional rights can be configured via the option Interface Rights under Setup → Configuration → Miscellaneous>Interface Attributes.


Wake Up

This option may be used to view existing wake up calls and enter new wakeup calls for single or multiple extensions and is accessible via the option Interface Functions on the Miscellaneous menu. Existing wakeup calls can be filtered by criteria such as Active Wake Up Calls, Successful Wake Up Calls or Deleted Wake Up Calls.

How to view existing wakeup calls

  1. Click the Miscellaneous menu and select Interface Functions.

The available interface options are displayed.

  2. Select Wake Up; the Wakeup interface screen is displayed.

  3. In the Extension box select specific extensions if required.

  4. Enter the Wakeup Date or select a date from the calendar; by default the current date is selected.

  5. Select the wake call statuses required: All Wakeups, Active Wakeups, Unsuccessful Wakeups, Successful Wakeups and Deleted Wakeups.

  6. Click Search; all wakeup calls meeting the entered criteria listed.

  7. Click Close to close the Wakeup dialog box.

How to set a new wakeup call

  1. Click the Miscellaneous menu and select Interface Functions.

The available interface options are displayed.

  2. Select Wake Up; the Wakeup interface screen is displayed.

  3. Click New to display the Wakeup Set dialog box.

  4. Select Set for checked in Rooms Only in order to limit the list of available rooms to checked-in rooms only.

This option is parameter controlled and may be selected by default.

  5. Click the drop-down arrow in the Room/Ext. Number box to display a list or room numbers and extensions; select all rooms that should receive a wake up call.

  6. Enter the Wakeup Date or select a date from the calendar.

  7. Enter the Wakeup Time.

  8. Click Set; the wakeup calls are added to the selected rooms.

  9. Click Close to close the Wakeup Set dialog box.

  10. Click Close to close the Wakeup dialog box.

  • The possibility to set wake up calls only for checked -in rooms is controlled by the option Allow to set Wake up call for checked-in rooms only under Setup → Configuration → Global Settings → Interfaces → Interface 1 tab. If this option is selected then the option Set for checked in Rooms Only is selected by default and cannot be changed.


Group Wake Up Calls

This option may be used to set wake up calls for in-house group members and is accessible via the option Interface Functions on the Miscellaneous menu and via the option Set Wake Up on the Options menu on the Edit Group reservation screen.

To set different wake up times for group members, use the individual Wake up module.

Prerequisites for entering group wake up calls:

  • The feature for wake up calls needs to be active

  • The group has to be checked in

What do you want to do?

How to set group wake up calls via the interface functions menu

  1. Click the Miscellaneous menu and select Interface Functions.

The available interface options are displayed.

  2. Select Group Wake Up; the Group Wakeup interface screen is displayed.

  3. In the Group Name box select the group for which the wake up call should be set.

  4. If only specific room numbers are to receive a wake up call click the drop-down arrow in the Room/Ext. Number box to display all group members; select all rooms that should receive a wake up call.

  5. Enter the Wakeup Date or select a date from the calendar.

  6. Enter the Wakeup Time.

  7. If the wake up call is to be set for the entire group click Set for whole Group.

  8. If the wake up call is to be set for selected rooms click Set Wake up.

The rooms for which a wake up call is placed are listed in the right-hand side of the screen.

  9. Click Exit to close the Group Wakeup dialog box.

How to set group wake up calls via the group edit options

  1. Click the Reservations menu and select Group Reservation to display the Group Reservation screen.

  2. Select the group to which you want to set wake up calls and click Edit.

The Edit Group reservation screen appears.

  3. Click the Miscellaneous menu and select Interface Functions.

The available interface options are displayed.

  4. Select Set Wake Up from the Options menu; the Group Wakeup interface screen is displayed.

  5. In the Group Name box the group name for which the wake up call should be set is already selected.

  6. If only specific room numbers are to receive a wake up call click the drop-down arrow in the Room/Ext. Number box to display all group members; select all rooms that should receive a wake up call.

  7. Enter the Wakeup Date or select a date from the calendar.

  8. Enter the Wakeup Time.

  9. If the wake up call is to be set for the entire group click Set for whole Group.

  10. If the wake up call is to be set for selected rooms click Set Wake up.

The rooms for which a wake up call is placed are listed in the right-hand side of the screen.

  11. Click Exit to close the Group Wakeup dialog box.

Group Wakeup dialog box

Field | Definition
Group Name | The name of the group
Rooms/Ext. Number | The specific rooms for which a wake up call is to be set.
Wakeup Date | The date the wake up call is to be placed.
Wakeup Time | The time of the wake up call.

Note: Not all telephone systems can support group wake up calls.

  • Wake up call functionality is controlled by the feature IFC Wake -Up Calls under Setup → Configuration → Miscellaneous → Feature List.


Key

This option is available if a key card system is installed and is accessible via the option Interface Functions on the Miscellaneous menu.

Depending on the functionality of the installed key card system, it is possible to:

  • Make Key - to make a new key or duplicate an existing key.

  • Delete Key - to delete a key.

  • Make keys prior to check in - to print keys and assign key rights for expected reservations with a room number assigned.

  • Group Pre-check-in keys - to print keys and assign key rights for all group members that have a room number assigned but have not yet arrived.

  • Read Key - to read keys that were printed; currently this functionality is only supported by the VingCard key card system.

What do you want to do?

How to make a new key or duplicate a key

  1. Click the Miscellaneous menu and select Interface Functions.

  2. Select Key and then select Make Key.

The Select type of key dialog box is displayed.

  3. Select New Key or Duplicate Key as required and click OK.

The In-House Guests screen is displayed listing by default all in-house guests select Financial Account to display all the in-house financial accounts.

  4. Complete the search criteria and click Search.

  5. Select the required reservation and click the Make Key button.

The Make Key dialog box is displayed.

  6. Complete the key details and click the Make Key button.

  7. Click Close to exit the In-House Guests screen.

How to print a key for an expected arrival

  1. Click the Miscellaneous menu and select Interface Functions.

  2. Select Key and then select Make keys prior to check in.

The Expected Guests screen is displayed listing all expected arrivals with a room number assigned.

  3. Complete the search criteria and click Search.

  4. Select the required reservation and click the Make Key button.

The Make Key dialog box is displayed.

  5. Complete the key details and click the Make Key button.

  6. Click Close to exit the Expected Guests screen.

How to print group pre-check in keys

  1. Click the Miscellaneous menu and select Interface Functions.

  2. Select Key and then select Group Pre-check-in keys.

The Group Reservations screen is displayed.

  3. Select the required group and click the Select button.

The Group Keys dialog box is displayed.

  4. Select the required Key options from the drop-down list.

The key rights entered under Key options will be copied to all group members.

  5. Click Make Key to print a key for the reservation displayed.

or

  6. Click Group Keys to print keys for all group members.

So that there is enough time to remove the key card from the encoder and enter the next one, the OK button has to be pressed after each key is made.

  7. Click Close to exit the group Keys dialog box.

Note: If multiple key card interfaces are installed then the correct target interface is automatically selected and the Key Options from this interface are prompted.

  • The key options Make keys prior to check in and Group Pre-check-in keys are controlled by the parameter New Keys prior to Check in under Setup → Configuration → Global Settings → Interfaces → Interface 1 tab

  • The functionality to read keys that were printed is controlled by the parameter Allow Read Key option under Setup → Configuration → Global Settings → Interfaces → Interface 1 tab.


Telephone Booth

This option may be used to charge or view calls made on telephone extensions with the types Booth (B) or House (H). Telephone booth is accessible via the option Interface Functions on the Miscellaneous menu and also from Cashier Functions on the Cashier menu.

Calls can be located by the telephone Extension the call was made from or by Date the call was made. If no search criteria are entered and the Refresh button is clicked, all history calls are displayed. The calls are kept in the system for the number of days defined in the configuration of the interface program.

What do you want to do?

How to charge a telephone booth call to a room

  1. Click the Miscellaneous menu and select Interface Functions.

  2. Select Telephone Booth from the Interface Functions menu.

The Cashier Login screen is displayed.

  3. Enter your Cashier Number and Password, click Login.

The Telephone Booth dialog box is displayed with the filter defaulted to today's date.

  4. Enter the Extension or the Date the call was made and click Refresh to update the list of calls.

  5. Select the telephone charge to be transferred and click the Charge Room button.

The Billing Guest Search screen is displayed.

  6. Search for the required guest or financial account and then click Select.

A message is displayed informing you that the charge has been posted to the selected guest or financial account.

  7. Click OK to close the message.

The transferred telephone record is no longer displayed on the telephone booth listing.

  8. Click Close to exit the Telephone Booth screen.

How to charge a telephone booth call to non-staying guest

  1. Click the Miscellaneous menu and select Interface Functions.

  2. Select Telephone Booth from the Interface Functions menu.

The Cashier Login screen is displayed.

  3. Enter your Cashier Number and Password, click Login.

The Telephone Booth dialog box is displayed with the filter defaulted to today's date.

  4. Enter the Extension or the Date the call was made and click Refresh to update the list of calls.

  5. Select the telephone charge to be transferred and click the Pay button.

The profile search screen is displayed.

  6. Search for or create the appropriate guest profile, click Select.

In order to post the charge a financial account is automatically created and checked in.

  7. The Payment Posting screen is displayed.

  8. Complete the payment details and click the Post button to post the payment.

    Fill in this field

    With this information

    Payment Department

    Select the payment department code from the list. Entering the first letter or number of the department code will jump to the first match in the list.

    If there are any credit cards attached to the reservation, the payment department is completed with the first credit card listed and the credit card details are automatically completed. A different credit card can be selected from those attached to the reservation or can be entered manually.

    Amount

    Enter the amount of the deposit payment.

    Foreign Amount

    If the payment department selected is a foreign currency then the payment amount is displayed in the selected foreign currency. The exchange rate is displayed in the center of the screen.

    Comment

    Additional remarks regarding the payment.

    Arrangement

    Select the arrangement code to be used on the folio from the list. Entering the first letter or number of the arrangement code will jump to the first match in the list box.

    Print Receipt

    Select this option if a printed receipt is required. Once selected/un-selected the status of this option remains until the next time it is changed.

    Credit Card Details

    Depending on the method of payment selected the credit card details may be completed automatically or can be entered manually.

    Card Type

    The type of the credit card, this is completed based on the Payment Department selection.

    Card No.

    The credit card number.

    Expiry (MM/YY)

    The expiration date of the credit card.

    Holder's Name

    The name of the credit card owner.

A message is displayed indicating that the payment was successful.

  9. Click OK to close the message.

A message is displayed informing you that the account has been checked out and asking if you would like to create an invoice.

  10. Click Yes to create an invoice; the Folio Styles dialog box is displayed

  11. Select the required folio Style from the list of defined folio styles.

  12. The following options are available:

  • Click Print to print the invoice.

  • Click Preview to display a preview of the invoice, the invoice may be printed directly from the preview screen.

  • Click Don't Print to close the folio styles dialog box without printing the invoice.

The transferred telephone record is no longer displayed on the telephone booth listing.

  13. Click Close to exit the Telephone Booth screen.

Telephone Booth Grid

Field | Definition
Ext | The extension number of the house or booth telephone. If a room number has been assigned to the extension this will be displayed, otherwise the extension number will be displayed.
Date | The date the telephone call was made.
Dialled No. | The number dialled from this extension.
Length | The length of the call in the format HH:MM:SS.
Charge | The total charge for the call. This is the number of units multiplied by the configured unit price or the total charge as received from the telephone interface. The charge format is dependant upon the capabilities of the telephone interface installed.
Unit | The number of units used. The recording of the number of units is dependant upon the capabilities of the telephone interface installed.
Type | 'H' indicates that this extension is a house phone and 'B' indicates that this extension is a booth telephone.

Payment Posting dialog box

Fill in this field

With this information

Payment Department

Select the payment department code from the list. Entering the first letter or number of the department code will jump to the first match in the list.

If there are any credit cards attached to the reservation, the payment department is completed with the first credit card listed and the credit card details are automatically completed. A different credit card can be selected from those attached to the reservation or can be entered manually.

Amount

Enter the amount of the payment; by default the total amount of the selected window is displayed.

Foreign Amount

If the payment department selected is a foreign currency then the payment amount is displayed in the selected foreign currency. The exchange rate is displayed in the center of the screen.

Comment

Additional remarks regarding the payment.

Arrangement

Select the arrangement code to be used on the folio from the list. Entering the first letter or number of the arrangement code will jump to the first match in the list box.

Credit Card Details

Depending on the method of payment selected the credit card details may be completed automatically or can be entered manually.

Card Type

The type of the credit card, this is completed based on the Payment Department selection.

Card No.

The credit card number.

Expiry (MM/YY)

The expiration date of the credit card.

Holder's Name

The name of the credit card owner.

Options available on the select a credit card dialog box

  • Add - to add a new credit card to the reservation; if an EFT Interface is installed the credit card can be swiped at this point.

  • Edit - to edit the credit card details.

  • Guarantee - to indicate which card should be used to guarantee the reservation - an X is displayed in the guarantee column. This only indicates which credit card should be used and does not actually guarantee the reservation.

  • Guest Link - to link the credit card to the guest profile of the reservation - an X is displayed in the linked to guest column indicating that the credit card is linked to the guest profile. If the card is deleted from the reservation it will also be deleted from the guest profile.

  • Select - to select the credit card to be used as the method of payment.

  • Windows - to link a credit card to a billing window. The window numbers the credit card is linked to are indicated in the Windows column. A credit card must be linked to a window to perform a credit card settlement from the cashier menu.


Interface Posting History

This option may be used to view all postings made by the interface and is accessible via the option Interface Functions on the Miscellaneous menu.

How to view interface posting history

  1. Click the Miscellaneous menu and select Interface Functions.

  2. Select Interface Posting History from the Interface Functions menu.

The Active interface list for Interface Posting functions screen is displayed.

  3. Select the required interface and click the Select button.

The History screen for the selected interface is displayed.

  4. Complete the search criteria as required:

The From and To Dates default to today's date but can be changed as required.

A specific Room Number or Extension Type can be entered.

Minibar postings are included by default but can be excluded if required.

The search can be on full or partially matching room numbers.

Postings from checked out financial accounts can also be displayed.

  5. Click the Refresh button to update the screen.

  6. Click the Close button to exit the call history screen.


Notify Night Audit Actions

This option may be used to send manual notifications to the interface to start and end the night audit and is accessible via the option Interface Functions on the Miscellaneous menu. This can be used if the nightly routine has not been notified automatically.

Two options are available:

  • Night Audit Start

  • Night Audit End

  • This functionality is controlled by the parameter Allow to Send Separate Night Audit Start/End Notifications under Setup → Configuration → Global Settings → Interfaces → Interface 1 tab.


External Applications

This option may be used to access shortcuts to various external applications from with Suite8, such as Calculator, MS Word and MS Excel, and is accessible via the option External Applications on the Miscellaneous menu.

How to access external applications

  1. Click the Miscellaneous menu and select External Applications.

The external application links defined are displayed.

  2. Select the application required.

The application is opened in a separate window.

  • The programs listed under this option are defined via the option External Applications under Setup → Configuration → Miscellaneous.

Note: External Application functionality is part of the Suite8 feature list.


Manager Report Budget

This option may be used to enter, view and compare budget figures with actual occupancy figures from the daily statistics, and is accessible via the option Budget on the Miscellaneous menu.

A daily value can be entered for each budget criteria for a specific day or for a selected date range.

The budget is displayed in grid format according to the selected criteria with the option to also view the figures in a stack bar format.

The budget can be displayed by date range, a specific day of the month can be displayed or days can be skipped. The figures can be displayed as follows:

  • Actual figures

  • Budget figures

  • Both actual and budget figures

  • The difference between actual and budget figures.

What do you want to do?

How to display the budget

  1. Click the Miscellaneous menu and select Budget.

  2. Select Manger Report Budget from the Budget menu.

The Budget screen is displayed divided into two sections:

  • Budget figures are entered on the left-hand side.

  • On the right-hand side are the selection criteria for displaying the budget. The budget figures are displayed in grid format below the selection criteria.

  3. Select the date range for which to display the budget; the From date defaults to the current date and the No. of Days defaults to 8 days, but these may be changed as required.

  4. Select if the budget is to be displayed for Actual Values, Budget Values, Both or the Difference between them.

  5. Select Chart to display the selected budget value also in stack bar format.

  6. The default days to show is All Days; select Days to skip to skip days within the date range. For example, if the selected date range is 14 days and days to skip is set to 3, days 1, 5, 9 and 13 will be shown.

  7. Select Day of the month to display a specific day of the month. For example if the selected date range for the view is June 1st-30th and the day of month is set to 12, only June 12th will be shown.

  8. Click the Refresh button to display the budget as per the selected criteria.

  9. Click the [image] at the top of the screen to close the budget screen.

How to enter the daily statistics budget

  1. Click the Miscellaneous menu and select Budget.

  2. Select Manger Report Budget from the Budget menu.

The Budget screen is displayed divided into two sections

  • Budget figures are entered on the left-hand side.

  • On the right-hand side are the selection criteria for displaying the budget. The budget figures are displayed in grid format below the selection criteria.

The dates for entering the budget figures are entered in the Time Interval section on the left-hand side of the screen.

  3. Type the starting date for the budget in the From box or click the drop down arrow and select a date from the calendar.

  4. Type the number of days for which you want to enter the budget in the No. of Days box.

or

  5. Type the end date in the To box or click the drop down arrow and select a date from the calendar.

  6. Select the entry for which you want to enter a budget figure and press Enter or double-click in the Value box.

  7. Enter the daily value for the selected entry and press Enter.

  8. Repeat steps 6 and 7 for all entries to be included in the budget.

  9. Click Save; the budget entries are updated to the grid on the right-hand side of the screen.

  10. Click the [image] at the top of the screen to close the budget screen.

Note: To clear all the values click the Clear button.

Budget Viewing Criteria

Criteria | Definition
Time Interval |
From | Select a date from the calendar from which to display the budget.
No. of days | The number of days to display.
To | Select a date from the calendar until which to display the budget.
Refresh | Refreshes the view
Data |
Values | Displays actual figures.
Budget | Displays budget figures.
Both | Displays both actual and budget figures.
Difference | Displays the difference between actual and budget figures.
Chart | Toggles the chart display on or off.
Days to show |
All days | Displays all days in the selected date range.
Days to skip | Skips days within the date range. For example, if the selected date range for the view is 14 days and days to skip is set to 3, days 1, 5, 9 and 13 will be shown.
Day of month | Displays a specific day of the month. For example if the selected date range for the view is June 1st-30th and day of month is set to 12, only June 12th will be shown.
Chart Display |
Labels | Toggles the labels on the stack bars on or off; the labels show the entered value.
Reset view | Resets the display of the chart.

  • Budget functionality is controlled by the feature Budget under Setup → Configuration → Miscellaneous → Feature List.

  • Budget functionality is available for the Event Management edition if the feature CCM Billing Component is active under Setup → Configuration → Miscellaneous → Feature List.


Revenue Budget

This option may be used to enter and view budget figures by department code, market or source code and is accessible via the option Budget on the Miscellaneous menu.

The budget screen consists of an option and two pages; each page is represented by a tab:

  • Mass Settings - this option is used to enter initial budget figures by the selected code, month and revenue type. Any previously entered budget figures are displayed each time this option is accessed.

  • Settings – opened by default, this page is used to update or adjust budget figures once the initial budget has been entered.

  • Display – used to view and compare on a daily, monthly and yearly basis the actual revenue figures with the budget figures.

Note: The entry of the initial budget via the mass settings option has to be completed before detail budget figures can be adjusted on the settings tab.

What do you want to do?

How to display the budget

  1. Click the Miscellaneous menu and select Budget.

  2. Select Revenue Budget from the Budget menu.

The Budget screen is displayed divided into two pages, each one represented by a tab:

  • Settings – opened by default, this page is used to update current budget figures.

  • Display – used to view and compare on a daily, monthly and yearly basis the actual revenue figures with the budget figures.

  3. Click the Display tab.

  4. In the Budget type box select the required budget type.

  5. To limit the display of department, market or source codes; select the required codes from the drop-down list

  6. In the Date box enter the date from which to display the budget or select a date from the calendar.

  7. In the revenue Type box select the type of revenue figures to display; net and gross revenue figures can be displayed for all three budget types, room nights and persons can be displayed for market and source code budgets.

  8. Click the Refresh button to display the budget as per the selected criteria.

  9. Click Close to exit the Budget setup screen.

How to enter budget by month via mass settings

  1. Click the Miscellaneous menu and select Budget.

  2. Select Revenue Budget from the Budget menu to display the Budget Setup screen.

A revenue budget can be setup up by Department Code, Market Code and Source Code.

  3. In the Budget type box select the required budget type.

  4. Click Mass Settings to display the Budget Mass Settings screen.

Any previously entered budget figures are displayed.

  5. To limit the list of department, market or source codes; select the required codes from the drop-down list and click the Refresh button to update the display.

  6. In the Start Date box enter the date from which to start entering the budget or select a date from the calendar.

  7. In the revenue Type box select the type of revenue figures to enter; net and gross revenue figures can be entered for all three budget types, room nights and persons can be entered for market and source code budgets.

  8. Enter the monthly amount or use the calculator to calculate the monthly budget amount.

  9. Select the required Department, Market or Source code from the grid on the left-hand side and click the green arrow next to the amount to update the month columns.

  10. Click the Save button.

  11. A message is displayed advising that 'Existing values will be overwritten. Do you want to continue?'

  12. Select Yes to continue.

A progress bar is displayed as the values which were entered per month are distributed by day.

  13. Click the Close button to return to the budget setup screen.

  14. Click Close to exit the Budget setup screen.

Note: The mass settings screen is designed to enter large amounts of data. You have to enter all monthly values for a department, if you leave it on 0, it will be considered that you want a 0 budget for that month. However, a single month's value can be changed by double-click on the value.

Note: Using the start date on the mass settings tab to enter monthly budget figures will distribute the entered amount from the start date onwards until the end of the month. For example if the budget amount is 5000 and the selected start date is June 15th, the first months distribution will be 333.33 per day starting on June 15th until June 30th. For the following months the amount will be distributed equally over the entire month.

How to adjust daily budget figures

  1. Click the Miscellaneous menu and select Budget.

  2. Select Revenue Budget from the Budget menu.

The Budget screen is displayed divided into two pages, each one represented by a tab:

  • Settings – opened by default, this page is used to update current budget figures.

  • Display – used to view and compare on a daily, monthly and yearly basis the actual revenue figures with the budget figures.

  3. In the Budget type box select the required budget type.

  4. Select the department, market or source codes to display from the drop-down list.

  5. In the From box enter the date from which to display budget figures or select a date from the calendar.

  6. In the Until box enter the date until which to display budget figures or select a date from the calendar.

  7. In the revenue Type box select the type of revenue figures to display; net and gross revenue figures can be displayed for all three budget types, room nights and persons can be displayed for market and source code budgets.

  8. Click the Search button to display the budget as per the selected criteria.

  9. Select the Date and the Department, Market or Source code column for which the daily amounts are to be adjusted.

  10. Enter the new budget amount in the Daily Amount box.

  11. Click the Set button; the daily amounts are updated on the grid.

  12. Click the Save button.

A progress bar is displayed as the values are updated.

  13. Click Close to exit the Budget setup screen.

Budget Setup dialog box

Field | Definition
Budget Type | A revenue budget can be setup up by Department Code, Market Code and Source Code.
Dept Code(s) Market Code(s) Source Code(s) | Select the department, market or source codes to display from the list of defined codes.
From | Enter the date from which to display budget figures or select a date from the calendar.
Until | Enter the date until which to display budget figures or select a date from the calendar.
Type | Select the type of revenue figures to display; net and gross revenue figures can be displayed for all three budget types, room nights and persons can be displayed for market and source code budgets.
Daily Amount | The new daily budget amount to be updated.

  • The default revenue type for budget mass settings is defined via the option Default Type on Mass Settings Page under Setup → Configuration → Global Settings → Generic → Generic 2 tab.

  • The default revenue type for budget detail setup is defined via the option Default Type on Detail Setup under Setup → Configuration → Global Settings → Generic → Generic 2 tab.

Note: As of Suite8.7 changes have been made to the budget calculation, the values are now calculated until the actual date for month and year. For this two new fields have been added to the table 'Sbud' called: 'sbud_monthvalue2' and sbud_yearvalue. Currently the information can be retrieved from the reports only and are not visible on the budget screen.

  • Budget functionality is controlled by the feature Budget under Setup → Configuration → Miscellaneous → Feature List.

  • Budget functionality is available for the Event Management edition if the feature CCM Billing Component is active under Setup → Configuration → Miscellaneous → Feature List.


Luggage

This option may be used to view, edit and print luggage labels, to mark a luggage detail as picked up or delivered and to view or change a luggage location for storage or pickup.

This option is accessible via the option Luggage on the Miscellaneous menu and is parameter controlled.

What do you want to do?

How to view and edit luggage details

  1. Click the Miscellaneous menu and select Luggage.

The Luggage screen is displayed.

  • The upper part of the screen consists of search options and date range criteria.

  • The middle part of the screen displays the search results in grid format.

  • The lower part of the screen displays luggage details and any comments for the selected guest.

  2. There are three search options which can be selected independently or together, select the required options:

  • Show picked up / Delivered - displays all luggage details with the status picked up or delivered within the selected time interval.

  • Show checked out reservations in date range - displays all reservations with a luggage record which have checked-out within the selected time interval.

  • Show reservations in date range only - displays all reservations with a luggage record within the selected time interval.

  3. Enter the From and To dates, click Search.

All luggage details which meet the entered search criteria are displayed.

  4. Select the required luggage detail and click the Edit button, the Luggage edit dialog box is displayed.

  5. Make any changes necessary.

  6. Click OK to save the changes or Cancel to exit without saving the changes.

  7. Click the [image] in the top right hand corner to close the Luggage screen.

How to print a luggage label

  1. Click the Miscellaneous menu and select Luggage.

The Luggage screen is displayed.

  2. Search for and locate the luggage detail to be printed.

  3. Click the Print button.

The Printing Records dialog box is displayed showing the number of copies and pages being printed.

  4. On the Printing Records dialog box the report printing can be cancelled by clicking the Cancel Printing button.

  5. Click the [image] in the top right hand corner to close the Luggage screen.

How to mark a luggage detail as picked up

  1. Click the Miscellaneous menu and select Luggage.

The Luggage screen is displayed.

  2. Search for and locate the luggage detail to be marked as picked up.

  3. Click the Pick Up button, a confirmation message is displayed.

  4. Click Yes to mark the selected item as picked up.

The luggage detail now has the status Picked Up.

  5. Click the [image] in the top right hand corner to close the Luggage screen.

How to mark a luggage detail as delivered

  1. Click the Miscellaneous menu and select Luggage.

The Luggage screen is displayed.

  2. Search for and locate the luggage detail to be marked as delivered.

  3. Click the Delivered button, a confirmation message is displayed.

  4. Click Yes to mark the selected item as delivered.

The luggage detail now has the status Delivered.

  5. Click the [image] in the top right hand corner to close the Luggage screen.

How to view or change a location

  1. Click the Miscellaneous menu and select Luggage.

The Luggage screen is displayed.

  2. Search for and locate the required luggage detail.

  3. Click the Location button, the Luggage location dialog box is displayed.

  4. Select the Location required from the list of defined locations.

  5. Click OK to save the change.

  6. Click the [image] in the top right hand corner to close the Luggage screen.

Options available on the Luggage screen

  • Edit - to edit an existing luggage detail, this option is parameter controlled.

  • Print - to print the luggage detail; depending on the configuration it may not be possible to reprint luggage details.

  • Pick up - to mark the luggage detail as picked up.

  • Delivered - to mark the luggage detail as delivered.

  • Location - to change the location of the luggage.

  • Delete - to delete the selected luggage detail; depending on the configuration it may not be possible to delete printed and/or not printed details.

  • Refresh - to update the current display.

  • Log - to display the luggage user log.

  • Luggage label functionality is controlled by the parameter Luggage label functionality under Setup → Configuration → Global Settings → Reservation → Luggage 5 tab. All the luggage label configuration options are displayed when the option is activated.

  • Luggage locations are defined via the option Luggage Location under Setup → Configuration → Reservations.


Printer setup for luggage label

In our example we are using an EPSON TM-U300B printer and printer driver Tdr161e.exe. Check with your local support office or download this file from the EPSON Home page.

This executable will install all drivers into a temporary folder.

How to configure an EPSON printer for luggage label printing

  1. Install the printer from the Windows Printer Setup; make sure you use the correct drivers from the temporary folder.

If you are running on Windows XP, take the driver from the win2000 folder.

  2. The Printer Port needs to be COM1.

After successful installation of the printer, the port configuration needs to be modified.

  3. Click Configure Port, the Port Settings dialog box is displayed.

  4. Change Bits per second to 4800.

  5. Change Flow control to Hardware.

  6. Set DIP switch No. 7 to ON (by default it is set to OFF).

Note: The standard EPSON printers normally use 9600 bits per second, leaving the buffer size, could result in overflow causing errors when printing receipts. By turning the DIP switches ON or OFF, the transmission speed has to be changed on the printer to 4800. On the EPSON TM-U300B, this is DIP switch No. 7.

  • The report to be used for printing luggage labels is defined via the option Luggage Report under Setup → Configuration → Global Settings → Reservation → Luggage 5 tab.

  • The number of copies for luggage labels is defined by selecting the required luggage report under Miscellaneous → Reports and then setting the number of copies via the option Number of copies on Primary Printer on the Report edit screen.


Export to Outlook

This option may be used to export profile information to MS Outlook folders and is accessible via the option Export to Outlook on the Miscellaneous menu.

Information such as the following can be exported:

  • Individual profiles, companies and all linked individuals

  • Addresses and communications

  • Birth dates and notes

  • Linked tasks and activities

Note: The export should be run manually as often as required; it is not an automated process.

How to run the export to MS Outlook

  1. Click the Miscellaneous menu and select Export to Outlook.

The Export to Outlook screen is displayed.

  2. Select the folder and operation to synchronize so that both the folder and the operation are marked as selected [image].

Depending on the folders selected the number of records will be displayed in the Selected Profiles, Selected Activities and Selected Tasks boxes at the top of the screen.

  3. Click the Export button.

A confirmation message is displayed.

  4. Click Yes to continue; enter the MS Outlook password if requested.

  5. Depending on your MS Outlook settings, you may be prompted with a message from MS Outlook requesting access permission.

  6. Select the check box Allow access for and click Yes.

  7. Once access is granted the export to MS Outlook starts and the export process is displayed on the Export to Outlook screen.

  8. The export process is finished when the message 'Finished database synchronization' is displayed in the export process window.

  9. Click Close to exit the Export to Outlook screen.

  • Folders and sub folders are defined via the options Folders under Setup → Configuration → Miscellaneous → Export to Outlook.


Today’s Activities

Today's Activities

This option may be used to view the arrivals, departures, housekeeping details, revenue information and any conference bookings reserved for today. Today's activities is accessible via the option Today's Activities on the Miscellaneous menu.

How to view today's activities

  1. Click the Miscellaneous menu and select Today's Activities.

Alternatively click the Today's Activities icon from the colored miscellaneous toolbar.

The today's activities screen is displayed divided into five sections:

  • Arrivals

  • Departures

  • Housekeeping Information

  • Revenue Information

  • Conference Bookings

  2. To exit the Today's Activities screen, click Close All on the Windows menu or press F10.

Today's Activities

Field | Definition
Arrivals | The reservations that are due to check-in today.
Departures | The reservations that are due to check out today.
Housekeeping |
Dirty Rooms | Total: Total number of occupied and vacant dirty rooms. Occupied: The number of occupied rooms that are dirty. Vacant: The number of vacant rooms that are dirty.
Clean Rooms | Total: Total number of occupied and vacant clean rooms. Occupied: The number of occupied rooms that are clean. Vacant: The number of vacant rooms that are clean.
Out of Order | Total: Total number of out of order rooms. Occupied: This is always zero because an out of order room cannot be occupied. Vacant: The number of vacant rooms that are out of order and are not available for sale.
Out of Service | Total: Total number of out of service rooms Occupied: This is always zero because an out of service room cannot be occupied. Vacant: The number of vacant rooms that are taken out temporarily but are included in the availability and can be brought in at any time. For example: Closed Floor.
Revenue Information |
Accommodation | Revenue for accommodation.
F&B Food | Revenue for food.
F&B Miscellaneous | Miscellaneous revenue for food and beverage.
Miscellaneous | Miscellaneous revenue.

Note: With the appropriate knowledge properties can change the QuickInfo.htm and Qry files to include other information such as guests in house.

  • Today's activities can be set as the startup screen, so that each time this user logs on the Today's Activities screen is displayed. To enable this functionality the required start up screen can be selected via the option Startup Screen under Miscellaneous → User Settings → Startup Tab.


Web Services

This option may be used to access shortcuts to various web sites and is accessible via the option Web Services on the Miscellaneous menu.

The web site links are entered in a text file called webservices.txt which is located in the Suite8 HTML directory.

How to access the web site from within Fidelio

  1. Click the Miscellaneous menu and select Web Services.

The web links defined are displayed.

  2. Select the required web link, for example Micros-Fidelio.Net.

The web site is displayed within Suite8.

  3. Select any other menu option to exit the web site.

How to add a new link

  1. Open Windows Explorer and locate the Suite8 HTML directory.

  2. Search for the text file webservices.txt.

  3. Right-click on the file and select Open from the short-cut menu.

Any shortcuts already defined are displayed.

  4. Enter the name of the web link as it should display in Suite8, for example Micros-Fidelio.Net.

  5. On the next line add Info.bmp.

  6. On the next line add the web address, for example www.micros-fidelio.net.

  7. Select Save from the File menu.

  8. Select Exit from the File menu to close the webservices file.

Note: The web site links required for each property are usually defined during the installation.


User Log

This option may be used to display both the global user log and the night audit log and is accessible via the option Logs on the Miscellaneous menu.

The user log is divided into three sub logs:

  • Global - displays all transactions selected for tracking via the menu option User Log in the configuration.

  • Night Audit - displays detailed information about the previous and last night audit run.

  • Night Audit Reports - displays by date the reports generated during the night audit.

What do you want to do?

How to view the global user log

  1. Click the Miscellaneous menu and select Logs.

The various types of logs available are listed.

  2. Select User Log and then select Global to display the Global User Log.

The screen is split into 2 sections:

  • The upper part is used to enter the search criteria.

  • The lower part displays the search results in grid format.

  3. To search for specific user log transactions, complete the search criteria

    Fill in this field

    With this information

    Type

    Select one or more transaction types from the list of available transaction types.

    Date Range

    Selected by default this option enables a range of dates to be entered. Clear this option in order to only enter a date from which to list transactions.

    The from date default to today's date but can be changed by selecting a date from the calendar from which to list transactions.

    If the Date Range option is selected then the to date defaults to today's date but can be changed by selecting a date from the calendar until which to list transactions.

    User

    Select the one or more users from the list of available users.

    Text

    The text to search for.

  4. To exit the global user log click the Close button.

How to view the night audit log

  1. Click the Miscellaneous menu and select Logs.

The various types of logs available are listed.

  2. Select User Log and then select Night Audit to display the Night Audit Log.

The Night Audit log is displayed defaulted to yesterday's date (Suite8 date -1); a single date or date range may be entered as required:

The screen is split into 2 sections:

  • The upper section display a list of the night audit logs according to the selected date; details include the date and time the night audit was started, the login name of the user who started night audit and the workstation that was used to run the night audit.

  • The lower section displays for the date selected, all the questions asked during the night audit run and the response from the user.

  3. Click the Close button to exit the night audit log.

How to view the night audit reports

  1. Click the Miscellaneous menu and select Logs.

The various types of logs available are listed.

  2. Select User Log and then select Night Audit Reports to display the View Night Audit Reports dialog box.

The screen is split into 2 sections:

  • The upper section display search criteria date and report name.

  • The lower section displays for the dates selected, all the available night audit reports.

  3. Click the Close button to exit the night audit reports.

Global user log search criteria

Fill in this field | With this information
Type | Select one or more transaction types from the list of available transaction types.
Date Range | Selected by default this option enables a range of dates to be entered. Clear this option in order to only enter a date from which to list transactions.
 | The from date default to today's date but can be changed by selecting a date from the calendar from which to list transactions.
 | If the Date Range option is selected then the to date defaults to today's date but can be changed by selecting a date from the calendar until which to list transactions.
User | Select the one or more users from the list of available users.
Text | The text to search for.

Global user log dialog box

This column | Displays this information
User | The login name of the user logged in when the transaction was performed.
Date | The date and time of the transaction.
Type | Indicates the Suite8 module the transaction belongs to.
Name, ID / Room | The last name, first name and the room number of the guest. Not all entries are guest related and so a guest name may not be listed.
Text | Description of the transaction.
Workstation | The name of the terminal from which the transaction was performed.

  • The global user log file displays all transactions selected for tracking via the menu option User Log under Setup → Configuration → Users.

  • The viewing of the global user log is controlled by the user right Global User Log under Setup → Configuration → Users → User Definition → Rights → Miscellaneous.

  • The storing of night audit reports in a separate table (WNAR) is controlled by the parameter Store Reports under Setup → Configuration → Global Settings → Night Audit. The reports generated during night audit are then accessible via the Miscellaneous drop down menu under Logs → User Log → Night Audit Reports.

  • The viewing of night audit reports is controlled by the user right View Reports under Setup → Configuration → Users → User Definition → Rights → Night Audit.

Note: When the log file size reaches 500MB the file is renamed with a time stamp and a new log file started; this is to prevent log files from becoming too big and causing the system to not respond.


Error log

This option may be used to display the error log which details all the errors that have been reported in the database and is accessible via the option Logs on the Miscellaneous menu.

Error messages received in Suite8 are tracked and logged in the error log file Fideliov8_computername.elf which is created automatically per workstation when an error occurs. The error log file is stored in the location defined for the Default log directory in the configuration.

The details in the 'Fideliov8_computername.elf' error file can be viewed using the error log file viewer program EurekaLog Viewer which is available on the FTP.

What do you want to do?

How to view the error log

  1. Click the Miscellaneous menu and select Logs.

The various types of logs available are listed.

  2. Select Error Log.

The error log screen is displayed divided into two sections, each one represented by a tab:

  • Log Entries - opened by default, this displays all errors reported in the database.

  • Error Log file – displays detailed information used mainly by support to track and find the source of the errors. Details include the date, local time, user, version, database, workstation and file location.

  3. On the Log Entries tab the following options are available:

  • To display errors for a specific interface, select the required interface from the IFC Error Types drop-down list.

  • Click Show errors only for this user to display errors only for the logged in user.

  • Click Show errors only for this terminal to display errors that occurred only on this workstation.

  • Click Show only unread to display only errors which have not been marked as read; this option is selected by default and unread messages are indicated by [image] in the first column.

  4. Select the required options and click the Refresh button to update the list of error messages.

Once an error message has been viewed it can be marked as read, the message remains in the error log but is no longer shown by default on the log entries screen.

  5. Click Mark as Read to mark the selected error message as read or click Mark Unread to mark the selected error message as unread.

Multiple error messages can be selected either with Ctrl + Space or Ctrl and mouse click.

  6. To view the error log details click the Error Log File tab.

  7. To exit the error log, click the Log Entries tab and click the Close button.

How to view the error log file via the Eurekalog Viewer

  1. Start the EurekaLog Viewer application.

The EurekaLog Viewer screen is displayed.

  2. Click Open and locate the error log file Fideliov8_computername.elf.

The error messages are displayed in the upper part of the screen.

  3. Select the Call Stack tab in the lower part of the screen to view where in the program the error occurred.

  4. Click Exit to close the EurekaLog Viewer.

Options available on the error log screen

  • IFC Error Types - displays errors only for the interfaces selected from the list of available interfaces.

  • Show errors only for this user - displays errors only for the logged in user.

  • Show errors only for this terminal - displays errors that occurred only on this workstation.

  • Show only unread - displays only errors which have not been marked as read.

  • Mark as Read - marks the selected error message as read.

  • Mark Unread - marks the selected error message as unread.

Log Entries dialog box

Field | Definition
Attn: User | The login name of the user logged in when the error occurred.
Attn: Terminal | The name of the workstation on which the error occurred.
Time | The time the error occurred.
Description | Detailed description of the error.
Read By | The name of the user who marked the error as read.
Read on Terminal | The name of the terminal where the error was marked as read.

Starting Suite8 with the parameter screenshots

Sometimes screen shots can help in reproducing and solving an error. The parameter screenshots can be added to the command line of the Suite8 short cut in order to track with screen shots all the activities performed on the workstation before an error occurs.

Note: The recording of screen shots is not limited to Suite8 but includes any other programs being run on the workstation such as an email program or MS Word.

Key Points

  • The screen shots are stored on the local workstation in the sub-directory v8Screenshot0000 in the same location as the error log file.

  • Up to 240 screen shots can be stored in this directory, however they will be overwritten the next time Suite8 is started with this parameter.

  • The parameter should be used only on one workstation at a time to avoid performance issues.

  • Once the error message occurs, Suite8 should be closed and the screen shot recording stopped by removing the parameter from the command line.

  • The screen shots can then be compressed and sent together with the error log file to the local support office.

Note: To make sure that there is no conflict with regards to Data Protection the property must be informed when the 'screenshots' parameter is activated. The workstation user must also be informed when all screens are going to be monitored.

  • The error log file is stored in the directory defined via the option Default log directory under Setup → Configuration → Global Settings → Miscellaneous → Workstation 5 tab.


Email Log

This option may be used to display the email log and is accessible via the option Logs on the Miscellaneous menu.

The email log lists details regarding the emails which have been sent. If an email has been saved as a draft then this is indicated in the email log file with an 'X' in the Draft column.

How to view the email log

  1. Click the Miscellaneous menu and select Logs.

The various types of logs available are listed.

  2. Select Email Log.

The Email log screen is displayed.

  • The upper part of the screen consists of search criteria.

  • The lower part of the screen displays the search results in grid format.

  3. Complete the search criteria and click the Search button.

All emails meeting the search criteria entered are displayed.

  4. Select the required email and click the Details button to display the Email Report screen.

  5. Click Send Again to re-send the email, click Print to print the email or click Cancel to exit the email report screen.

  6. Click Close to exit the email log.

Email Log search criteria

Fill in this field | With this information
Subject | The text that was entered in subject of the email.
Email | The email address to which the email was sent.
Draft | Select this option to include or exclude draft emails in the search.
Sent |
From | Set by default to today's date, but can be changed as required.
To | Set by default to one week later than today's date, but can be changed as required.
Successfully | Select this option to view emails which were sent successfully.
Failed | Select this option to view emails which were not sent successfully.


Translation Import log

This option may be used to display the translation import log and is accessible via the option Logs on the Miscellaneous menu.

The translation import log details entries regarding the import of translation files during the night audit.

How to view the translation import log

  1. Click the Miscellaneous menu and select Logs.

The various types of logs available are listed.

  2. Select Translation Import Log.

The Translation import log screen is displayed.

  • The upper part of the screen lists the dates and times for which there is a log entry.

  • The lower part of the screen displays the log entries for the selected date.

  3. Click on the date required.

The log entries for the selected date are displayed.

  4. Click Close to exit the translation import log.

  • The translation import is configured via the option Translation Update under Setup → Configuration → Miscellaneous.


Telephone Call Log

This option may be used to display the telephone call log and is accessible via the option Logs on the Miscellaneous menu.

The telephone call log lists the telephone calls which have been made via TAPI Interface. A profile can be linked to a telephone call or unlinked and changed to another profile if required.

  • Outgoing calls are always listed with the name of the guest

  • Incoming calls are listed with the name of the guest when a unique match is found

What do you want to do?

How to view the telephone call log

  1. Click the Miscellaneous menu and select Logs.

The various types of logs available are listed.

  2. Select Phone Call Log.

The Telephone Call Log screen is displayed.

  • The upper part of the screen consists of search criteria.

  • The lower part of the screen displays the search results in grid format.

  3. Complete the search criteria and click the Search button.

All telephone calls meeting the search criteria entered are displayed.

  4. Click Close to exit the telephone call log.

Telephone Call Log search criteria

Fill in this field | With this information
Tel | The telephone number.
Profile | The profile name.
From | The date from which to start the search.
To | The date until which to search.

Options available on the telephone call log screen

  • Search - - activates the search for telephone calls according to the entered criteria

  • Clear - resets the search criteria

  • Profile - displays the edit profile screen of the profile linked to the selected telephone number

  • Unlink Profile - unlinks the profile which is currently linked to the selected telephone number

  • Link Another Profile - unlinks the existing profile and displays the profile search screen from which another profile can be selected


Manual Statistics

This option may be used to enter manual statistics on a daily basis and is accessible via the option Manual Statistics on the Miscellaneous menu. This option is parameter controlled.

Statistics can be generated for the consumption of utilities such as electricity or for external revenue sources such as shops or leisure activities.

Manually entered statistics can be included in statistical reports or combined with other statistics on a single report.

The report ManualStatistics.rpt is supplied with Suite8 and lists all manually entered values by day cumulated by month and year.

What do you want to do?

How to view and edit manual statistics

  1. Click the Miscellaneous menu and select Manual Statistics.

The manual statistics screen is displayed.

  • The upper part of the screen consists of search criteria.

  • The lower part of the screen displays the search results in grid format.

  2. The Date From and To default to the start and end of the current year, but can be changed as required.

  3. Select the Type of statistic from the list of defined statistic types.

  4. Enter any Text which may be contained in a statistic comment.

  5. Click the Search button.

All statistics which meet the entered search criteria are displayed.

  6. Select the required statistic detail and click the Edit button; the Manual Statistic Edit dialog box is displayed.

  7. Make any changes necessary.

  8. Click OK to save the changes or click Cancel to exit without saving the changes.

How to add a manual statistic

  1. Click the Miscellaneous menu and select Manual Statistics.

The manual statistics screen is displayed.

  2. Click New, the Manual Statistic Edit dialog box is displayed.

  3. Select the Type of statistic being entered from the list of defined statistic types.

  4. Enter the Value for the day; the units configured for the statistic type selected are displayed.

  5. Select the Date for the statistic entry.

  6. Type any additional comments in the Comment box.

  7. Click OK to save the statistic.

How to delete a manual statistic

  1. Click the Miscellaneous menu and select Manual Statistics.

The manual statistics screen is displayed.

  2. Search for and locate the manual statistic to be deleted.

  3. Click Delete, a confirmation message is displayed.

  4. Click Yes to delete the statistic.

Manual Statistic dialog box

Fill in this Field | With this information
Type | The type of manual statistic.
Value | The value for the entered statistic type. The number of units for the entered value is displayed on the right.
Date | The date
Comment | Any additional comments

  • Manual statistics functionality is controlled by the parameter Enable Manual Statistics under Setup → Configuration → Global Settings → Generic → Generic 3 tab.

  • Manual statistics functionality is controlled by the user rights Search, View, New, Edit and Delete under Setup → Configuration → Users → User Definition → Rights → Manual Statistics.

  • Manual statistic types are defined via the option Manual Statistics Types under Setup → Configuration → Miscellaneous.

Note: Manual Statistics functionality is part of the Suite8 feature list.


Questionnaire

This option may be used to enter and edit completed questionnaire forms or surveys and is accessible via the option Questionnaire on the Miscellaneous menu. Questionnaire forms can be entered per reservation or per profile. This option is parameter controlled.

The following reports are supplied with Suite8:

  • FCR_CRM_2450.rpt lists all entered surveys

  • FCR_CRM_2450_Question_Template.rpt details the guest questionnaire

What do you want to do?

How to view and edit a questionnaire form

  1. Click the Miscellaneous menu and select Questionnaire.

The questionnaire screen is displayed.

  • The upper part of the screen consists of multiple search criteria. You may fill in multiple fields to narrow the search criteria. The actual query is displayed in a script format in a window on the right hand side of the screen.

  • The lower part of the screen displays the search results in grid format.

  2. Enter the date range to search for in the Date From and To fields.

  3. Enter the range of points to search for in the Points Between ... and fields.

  4. Select the required Questionnaire from the list of defined questionnaires.

  5. Select the Show Inactive option to include inactive questionnaires.

  6. In the Reservation box, click the [image] button to display a list of all the currently checked-in reservations.

  7. In the Profile box, enter the name or click the [image] button to display the Profile search screen.

  8. In the Booking box, enter the name or click the [image] button to display the Booking Master search screen.

  9. Click the Search button.

All questionnaires which meet the entered search criteria are displayed.

  10. Select the required questionnaire and click the Edit button; the questionnaire form is displayed.

  11. Make any changes necessary.

  12. Click OK to save the changes or click Cancel to exit without saving the changes.

How to enter a questionnaire form

  1. Click the Miscellaneous menu and select Questionnaire.

The questionnaire screen is displayed.

  2. Click the New button.

The Questionnaire selection screen is displayed with a list of the available questionnaire forms.

  3. Enter the name of the questionnaire form in the Description box and click Search.

  4. Select the required questionnaire from the list of available forms and click Select.

The selected questionnaire form is displayed.

  • The upper part of the form consists of non-changeable details including the name of the questionnaire form, the user who entered the form, the date entered and last modified and the total points allocated to this questionnaire form.

  • The lower part of the form consists of the questionnaire questions.

To enter a questionnaire form for a reservation:

  5. In the Reservation ID box, click the [image] button to display a list of all the currently checked-in reservations.

  6. Locate the reservation required and click Select; the Reservation ID, Name and Room number are completed.

To enter a questionnaire form for a guest profile:

  7. In the Name box, enter the name or click the [image] button to display the Profile search screen.

  8. Search for and select the required profile, then click the Select button; the guests Name is completed.

  9. In the Date of Completion box, enter the date the questionnaire was completed or select a date from the calendar.

  10. In the Guest Comment box, you can enter any additional comments supplied by the guest on the questionnaire form.

  11. The questions displayed depend on the questionnaire form being completed; enter the data as supplied on the guest questionnaire form.

  12. Click OK to save the form.

How to delete a questionnaire form

  1. Click the Miscellaneous menu and select Questionnaire.

The questionnaire screen is displayed.

  2. Search for and locate the questionnaire form to be deleted.

  3. Click Delete, a confirmation message is displayed.

  4. Click Yes to delete the questionnaire form.

Questionnaire Search Criteria

Fill in this Field | With this information
Date from - to | The date range for which to display questionnaire forms.
Points between - and | The point range for which to display questionnaire forms.
Questionnaire | Select a questionnaire from the list of defined questionnaire forms.
Show Inactive | Select this option to include inactive questionnaire forms in the search.
Reservation | Select a reservation from the list of checked-in reservations.
Profile | Select a profile from the profile search screen.
Booking | Select a booking from the booking master search screen.

  • The questionnaire option is controlled by the parameter Questionnaire under Setup → Configuration → Global Settings → Generic → Generic 3 tab.

  • Questionnaire functionality is controlled by the user rights under Questionnaire under Setup → Configuration → Users → User Definition → Rights

  • Questionnaire forms are defined via the option Questionnaire under Setup → Configuration → Miscellaneous.

Note: Questionnaire functionality is part of the Suite8 feature list.


Police Interface

This option is used to display and manage reservation data. It is used in Monaco by the Société des Bains de Mer to provide personal document information to the police and receive a police number back for the exported reservation information.

When using this police export, multi guest functionality has to be activated under Global Settings->Reservation2 tab and the flags: 'Show age column for accompanying guest' as well as 'Display guest on meal plan forecast screen' are active as well.

The reservation edit dialog box has to be customized using Form Customization, the button FidResPoliceExportButton can be added via the Component Palette->FidResButton.

When pressing 'Police Export' button or when modifying an exported reservation the export trigger record in the table 'YPOL' is updated.

The setup for the export and import file from the police is configured on the option when pressing Settings button or on the Fidelio Server when selecting Police Export and pressing the Setup button.

For detailed information a feature description is available.

  • SBM Police Export functionality is controlled by the parameter SBM Police Export under Setup → Configuration → Global Settings → Reservation → Reservation 2 tab. All the police export configuration options are displayed when the option is activated.


Custom SQL View

This option is used for custom SQL view; it is a powerful tool for viewing, running, sorting filtering or creating custom SQL Statements on the Suite8 tables.

This option should be used by users who are familiar with the table structure of Suite8 and are experienced in SQL language. Custom SQL Statements are configured from the Setup drop down menu under Miscellaneous → System Maintenance → Custom SQL statements. When selecting Configuration from the SQL view option all custom SQL statements with the role Custom SQL are available. New custom SQL Statements defined from here are automatically assigned to this role.

The screen is divided into 4 sections:

  • The parameter display box, parameters requiring user input are defined on the SQL Configuration

  • The drag column section for dragging columns from the lower dialog box and displaying information for this columns on the records dialog box

  • The records detailed dialog box displaying all information from the SQL Statement

An additional filter can be entered by clicking under the required field in the section marked "Click here to define a filter".

  • The HTML section, displaying the defined HTML file for each selected record, it is possible viewing the HTML links for example for editing the reservation or profile

Options Available

  • SQL - lists the available custom SQL Statements.

  • Setup - displays the Custom SQL Statements configuration dialog box for SQL statements with the role Custom SQL grid.

  • Search -

  • Clear - clears the selected SQL view.

  • Auto refresh - refreshes the view automatically after the defined seconds

  • Columns - The columns can be dragged to the upper field and a custom layout defined. Clicking on this button gives the following options:

  • Save as user setting

  • Reset to user setting

  • Save as default

  • Reset to default

  • Remove every customization

  • Export - the results of the SQL statement can be exported in HTML, XML, Excel or Text Format

  • Expand - the available fields are displayed; selecting a field expands the display/folders until the level of the selected field. Columns can be dragged to the upper area. They are displayed in the selected dependency. When pressing expand button the fields for expanding can be selected. For example selecting two columns from the SQL view, such as YRES_ID, YRES_XCMS_ID and selecting YRES_XCMS_ID from the Expand icon opens both fields information.

  • Collapse - collapses all folders to the uppermost level.

  • Group Count - displays the number of items next to each column.

  • Mailing - the results of the SQL statement can be selected for mailing. The Mailing button is only available if the field MAILING_XCMS_ID is used in the query. When selecting group on the grid, all profiles under group are also selected.

Custom SQL dialog box

Field | Definition
SQL | Select the custom SQL statement from the list of available custom SQL statements.
Config | Press this button to access the configuration dialog box of the custom SQL statements with the role Custom SQL grid.
Search | Select a date from the calendar from which to display the budget.
Clear | Press this button to clear the selected SQL view.
Auto refresh | Refreshes the view after automatically after the defined seconds
Seconds | The seconds for auto refresh
Columns | The columns can be dragged to the upper field and a custom layout defined. Clicking on this button gives the following options: Save as user setting Reset to user setting Save as default Reset to default Remove every customisation
Export |
Expand | Columns can be dragged to the upper area. They are displayed in the selected dependency. When pressing expand button the fields for expanding can be selected. For example selecting two columns from the SQL view, such as YRES_ID, YRES_XCMS_ID and selecting YRES_XCMS_ID from the Expand icon opens both fields information.
Collapse | Click the collapse icon to collapse all folders
Group count | Select this option to display the group count next to each selected column.

How to create a custom SQL statement from the SQL View

  1. Click Custom SQL View from the Miscellaneous drop-down menu.

  2. Select a SQL statement and click the Config button; the Custom SQL Statements dialog box is displayed.

  3. Select a statement from the panel on the left-hand side, the SQL Text is then displayed in the SQL Text panel in the lower right-hand side. For example:
    select xcms_id, xcms_name1, xcms_nomailing from xcms where xcms_nomailing like :xcms_nomailing||'%'

  4. Click Edit button to edit the SQL text

  5. Press OK, to save changes or close the SQL text dialog box

  6. Click on the Parameter tab for defining Parameters if the SQL statement requires input from the user

  7. Click New to display the SQL parameter dialog box.

  8. In the Parameter box enter the SQL parameter, for example xcms_nomailing (max 20 characters).

  9. In the Description box, enter the text which should appear when the user runs the SQL statement, for example:
    No Mailing Flag (0=No 1=Yes).

  10. Click OK to close the SQL parameter dialog box.

  11. Select the Columns tab for defining columns on the SQL View

  12. Click New button for displaying the column dialog box, enter a field name and a display name or

  13. Click Add button for selecting a field

  14. Press OK button

  15. Select Settings tab for applying a HTML file and HTML ID field

  16. Click Close

  • Custom SQL view functionality is controlled by the user right Custom SQL view under Setup → Configuration → Users → User Definition → Rights → Miscellaneous.

  • The launching of a mailing from the Custom SQL view is controlled by the user right Select under Setup → Configuration → Users → User Definition → Rights → Mailing → Custom SQL.

  • Defaults for Mailings are configured on the Profile 1 tab under Setup → Configuration → Global Settings → Profile and apply to mailings from both the Mailing option on the Customer Relationship menu and from the Custom SQL View option on the Miscellaneous menu.


Vacation Sharing

This option may be used to enter and edit Vacation Sharing contracts. The Vacation Sharing Module serves the requirements of Resort Hotels dealing with timesharing guests. The Vacation Sharing contract search navigator is accessible via the option Vacation Sharing on the Miscellaneous menu. Vacation Sharing contracts can be entered per profile.

On the upper part of the Vacation Sharing search navigator, several search filters can be entered which can be extended by pressing More Filter button. On the right panel multiple options are available, such as New, Edit and Grid Columns. Selecting Grid Columns offers, next to the usual Grid Options, a new menu item called Rename. Selecting Rename allows saving the customization per language to a new table called WCRN.

In Suite8 the following terminology is used:

  • The module is called Suite8 Vacation Sharing Module

  • Customers are called Vacation Members

The following report is supplied with Suite8:

  • FCR_PMS_8570_MFP_CONF_VACATION.rtf

The following view is used for confirmation letters:

  • V8_ED_VACATIONCONTRACT

What do you want to do?

How to view and edit a Vacation Sharing contract

  1. Click the Miscellaneous menu and select Vacation Sharing.

The vacation sharing search navigator screen is displayed.

  • The upper part of the screen consists of multiple search criteria. You may fill in multiple fields to narrow the search criteria, press More Filter button to open more search options.

  • The lower part of the screen displays the search results in grid format.

  2. Enter the search criteria and press Search button.

  3. Select the required Vacation Sharing Contract from the list of available contract and click the Edit button; the vacation sharing contract is displayed.

  4. Make any changes necessary.

  5. If you change the price, click Refresh Price.

  6. Click Validate button to validate the Contract.

  7. Select Stay Mode to view the price in stay mode.

  8. Click OK to save the changes or click Cancel to exit without saving the changes.

How to enter a Vacation Sharing contract

  1. Click the Miscellaneous menu and select Vacation Sharing.

The Vacation Sharing search screen is displayed.

  2. Click the New button.

The Vacation Sharing Edit and Profile search dialog box is opened.

  3. Enter the name of the profile and click Search.

  4. Select the required profile from the list of available profiles and click Select.

The Vacation Sharing Contract screen is opened and the name of the profile filled in the field Member.

  5. Enter the Valid from and Valid until fields and select the Contract type.

  6. Enter week and length.
    It is possible to configure fixed weeks, exceptions or even floating weeks for each year.

  7. Enter the number of persons

  8. Select the arrival day

  9. The Market and Source code, Maintenance Rate, Reservation Rate and Room type is filled as per the selected contract type configuration.

  10. The contract number is mandatory

  11. Press Validate button to validate the contract

  12. The system automatically prompts the question to create an A/R account when saving the vacation contract for the first time and no A/R account is found for the vacation member.

Note: Changing the contract validity, length of stay or the number of persons requires pressing Refresh Price button on the right panel to recalculate the price.

Vacation Sharing Search Criteria

Fill in this Field | With this information
Member | The name of the vacation member
From | The date from which to display vacation contracts.
Until | The date until which to display vacation contracts.
Sub-Members | Only available if the flag: Create multiguest reservations for sub-members is activated and Multi guest profile functionality used.
Week | The number of weeks to display.
Reservation in selected year | Select this option to include contracts with reservations in the selected year.
No reservation in selected year | Select this option to include contracts with no reservations in the selected year.
Reservation in following year | Select this option to include contracts with reservations in the following year.
No Reservation in following year | Select this option to include contracts with no reservations in the following year.
YEAR | The year
ID | Enter the ID number
Contract No | Enter the contract number

The most important filter is the Year selection. All information displayed in the grid is refreshed and changed according to the selected year.

Selecting the More Filter Option displays the following additional search criteria:

Fill in this Field | With this information
Length | The length of the contract
Maint. rate | Search by maintenance rate code.
Reserv. rate | Search by reservation rate code.
Room type | Search by room type.
Room | Enter the room number when searching for a specific vacation member.
Market code | Market code.
Source code | Source code.
Vacation type | Select the defined vacation contract type.
Comments | Search by specific comment.
Exception in selected year | Search for contracts with exception in the selected year.
No Exception is selected year | Search for contracts with no exception in the selected year.
Exception in following year | Search for contracts with exception in the following year.
No Exception in following year | Search for contracts with no exception in the following year
Error during last action | Select this option to search by errors during the last action
Error text | Enter the error text to narrow the search by errors
AR Account exists | Select this option to search for vacation contracts with existing AR account
AR Account does not exists | Select this option to search for vacation contracts with no existing AR account
Yearly fee posted in selected year | Search for contracts with yearly fee posted in the selected year.
No yearly fee posted in selected year | Search for contracts with no yearly fee posted in the selected year.
Yearly fee posted in following year | Search for contracts with yearly fee posted in the following year.
No yearly fee posted in following year | Search for contracts with no yearly fee posted in the following year.

Vacation Sharing Options

The options menu offers the following options:

Option | Definition
Create reservation for selected year | Select this option to create reservations for the selected vacation sharing contract in the selected year.
Create reservation for following year | Select this option to create reservations for the selected vacation sharing contract for following year.
View reservations | Select this option to view the reservations of the selected contract. The reservation navigator is opened with the filter for the selected vacation sharer and displays the reservations
Validate reservations | Select this option to validate reservations of the selected contract
Post yearly fee for selected year | Select this option to post the yearly fee for the selected year on the selected contract.
Post yearly fee for next year | Select this option to post the yearly fee for following year on the selected contract.
Confirmation letter for this year | Select this option to generate the confirmation letter for the selected contract for the selected year.
Confirmation letter for next year | Select this option to generate the confirmation letter for the selected contract for the next year.
Show account | Select this option to view the A/R account of the selected vacation sharing contract.
Log | Select this option to view the log of the selected vacation sharing contract.

  • Vacation Sharing functionality is controlled by the license [L102837] Alternate Rental and Billing under Setup → Miscellaneous → License → V8 Sublicenses → Property Management.

  • Vacation Sharing requires accounts receivable functionality which is controlled by the feature Accounts Receivable under Setup → Configuration → Miscellaneous → Feature List.

  • Vacation Sharing functionality is controlled by the user rights under Vacation Sharing under Setup → Configuration → Users → User Definition → Rights


Appendix A - WLOG File

Detailed in the tables which follow are all the possible log types which are stored in the table WLOG. This information may be useful for people creating reports.

The field WLOG_TYPE contains a number which is linked to the lavalue: xxx.

Reservations

laNewReservation | : tlogactivity= (lavalue: 0; name: {lang}'New reservation'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResExpArrival | : tlogactivity= (lavalue: 1; name: {lang}'Reservation expected arrival date'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResExpDeparture | : tlogactivity= (lavalue: 2; name: {lang}'Reservation expected departure date'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResActArrival | : tlogactivity= (lavalue: 3; name: {lang}'Reservation actual arrival date'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResActDeparture | : tlogactivity= (lavalue: 4; name: {lang}'Reservation actual departure date'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResCheckInTime | : tlogactivity= (lavalue: 5; name: {lang}'Reservation expected check in time'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResCheckOutTime | : tlogactivity= (lavalue: 6; name: {lang}'Reservation expected check out time'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResResStatus | : tlogactivity= (lavalue: 7; name: {lang}'Reservation status'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResGuaranteeCode | : tlogactivity= (lavalue: 8; name: {lang}'Reservation guarantee code'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResContractedCurrency | : tlogactivity= (lavalue: 9; name: {lang}'Reservation contracted currency'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResProfile | : tlogactivity= (lavalue: 10; name: {lang}'Reservation customer profile'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResYBOM | : tlogactivity= (lavalue: 345;name: {lang}'Reservation booking'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgratediffreason | : tlogactivity= (lavalue: 11; name: {lang}'Reservation rate difference reason'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgreswalkin | : tlogactivity= (lavalue: 43; name: {lang}'Reservation walkin'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResColor | : tlogactivity= (lavalue: 44; name: {lang}'Reservation color'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResRoomFeature | : tlogactivity= (lavalue: 45; name: {lang}'Reservation Room features'; | dbname: ''; table: 'YRES'; group: lagReservation);
laCheckoutRes | : tlogactivity= (lavalue: 46; name: {lang}'Reservation check out'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResNoPost | : tlogactivity= (lavalue: 55; name: {lang}'Reservation no post flag'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResPrintrate | : tlogactivity= (lavalue: 56; name: {lang}'Reservation print rate flag'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResTaxfreeadult | : tlogactivity= (lavalue: 57; name: {lang}'Reservation adult tax free flag'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResShareType | : tlogactivity= (lavalue:103; name: {lang}'Reservation share type'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResDefPaymentMethod | : tlogactivity= (lavalue:202; name: {lang}'Reservation default payment method'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResPolicy | : tlogactivity= (lavalue:346; name: {lang}'Reservation policy'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResAmenityCycle | : tlogactivity= (lavalue:347; name: {lang}'Reservation amenity cycle'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResParty | : tlogactivity= (lavalue:350; name: {lang}'Reservation party link'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResCreditLimit | : tlogactivity= (lavalue:362; name: {lang}'Reservation credit limit'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResFolioStyle | : tlogactivity= (lavalue:369; name: {lang}'Reservation default folio style'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResDesiredRoom | : tlogactivity= (lavalue:378; name: {lang}'Reservation desired room'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResDesiredRoomType | : tlogactivity= (lavalue:389; name: {lang}'Reservation desired roomtype'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResAllowanceZfacId | : tlogactivity= (lavalue:379; name: {lang}'Reservation allowance financial account'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResSaleDate | : tlogactivity= (lavalue:390; name: {lang}'Reservation sale date'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResTaxExemption | : tlogactivity= (lavalue:391; name: {lang}'Reservation tax exemption'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResLockRoom | : tlogactivity= (lavalue:445; name: {lang}'Reservation Lock room'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResManualMealplan | : tlogactivity= (lavalue:460; name: {lang}'Reservation Manual mealplan'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResNoofroom | : tlogactivity= (lavalue: 12; name: {lang}'Reservation number of rooms'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResAdultNo | : tlogactivity= (lavalue: 13; name: {lang}'Reservation number of adults'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResRoomType | : tlogactivity= (lavalue: 14; name: {lang}'Reservation room type'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResRoom | : tlogactivity= (lavalue: 15; name: {lang}'Reservation room'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResRateCode | : tlogactivity= (lavalue: 16; name: {lang}'Reservation rate code'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResRateRoomType | : tlogactivity= (lavalue: 17; name: {lang}'Reservation room type for rate calculation'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResChildNo | : tlogactivity= (lavalue: 437; name: {lang}'Reservation number of children'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResAttribute | : tlogactivity= (lavalue:456; name: {lang}'Reservation attribute'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResGroup | : tlogactivity= (lavalue: 18; name: {lang}'Reservation group'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResBlock | : tlogactivity= (lavalue: 19; name: {lang}'Reservation block'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResMarket | : tlogactivity= (lavalue: 20; name: {lang}'Reservation market'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResSource | : tlogactivity= (lavalue: 21; name: {lang}'Reservation source'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResChannel | : tlogactivity= (lavalue: 22; name: {lang}'Reservation channel'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResSharing | : tlogactivity= (lavalue:102; name: {lang}'Reservation sharing'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResratedifference | : tlogactivity= (lavalue: 23; name: {lang}'Reservation rate difference'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResratediscount | : tlogactivity= (lavalue: 24; name: {lang}'Reservation rate discount'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResrateamount | : tlogactivity= (lavalue: 25; name: {lang}'Reservation rate amount'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResmanualrateamount | : tlogactivity= (lavalue: 26; name: {lang}'Reservation manual rate amount'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResforeignrateamount | : tlogactivity= (lavalue: 27; name: {lang}'Reservation foreign rate amount'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResforeignrate difference | : tlogactivity= (lavalue: 28; name: {lang}'Reservation foreign rate difference'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResforeign manualrateamount | : tlogactivity= (lavalue: 29; name: {lang}'Reservation foreign manual rate amount'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResIsManual RateAmount | : tlogactivity= (lavalue: 30; name: {lang}'Reservation is manual rate amount'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResReinstatedwithclone | : tlogactivity= (lavalue:348; name: {lang}'Reservation is reinstated by creating add on'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResCreatedtoReinstate | : tlogactivity= (lavalue:349; name: {lang}'Reservation is created to reinstate'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResQRooms | : tlogactivity= (lavalue:364; name: {lang}'Reservation is moved to Q rooms'; | dbname: ''; table: 'YRES'; group: lagReservation);
laChgResUnQRooms | : tlogactivity= (lavalue:365; name: {lang}'Reservation is moved from Q rooms'; | dbname: ''; table: 'YRES'; group: lagReservation);
laAvlLimitNEW | : tlogactivity= (lavalue: 453; name: {lang}'New avl limit'; | dbname: ''; table: 'YOVB'; group: lagReservation);
laAvlLimitUPDATE | : tlogactivity= (lavalue: 454; name: {lang}'Avl limit Update'; | dbname: ''; table: 'YOVB'; group: lagReservation);
laAvlLimitDELETE | : tlogactivity= (lavalue: 455; name: {lang}'Avl limit Delete'; | dbname: ''; table: 'YOVB'; group: lagReservation);
laresconfirmationentered | : tlogactivity= (lavalue: 450; name: {lang}'Confirmation Letter has ben entered'; | dbname: ''; table: 'YRCO'; group: lagReservation);
laresconfirmationapproved ordenied | : tlogactivity= (lavalue: 452; name: {lang}'Confirmation Letter Control, Letter is approved'; | dbname: ''; table: 'YRCO'; group: lagReservation);

Customer Management

laChgProfileLastName | : tlogactivity= (lavalue: 218; name: {lang}'Profile Last Name'; | dbname: ''; table: 'XCMS'; group: lagCustomerManagement);
laChgProfileFirstName | : tlogactivity= (lavalue: 265; name: {lang}'Profile First Name'; | dbname: ''; table: 'XCMS'; group: lagCustomerManagement);
laChgProfileCreditStatus | : tlogactivity= (lavalue: 266; name: {lang}'Profile Credit Status'; | dbname: ''; table: 'XCMS'; group: lagCustomerManagement);
laChgProfileNewAddress | : tlogactivity= (lavalue: 267; name: {lang}'Profile new address'; | dbname: ''; table: 'XCMS'; group: lagCustomerManagement);
laChgProfileChangeAddress | : tlogactivity= (lavalue: 268; name: {lang}'Profile address change'; | dbname: ''; table: 'XCMS'; group: lagCustomerManagement);
laChgProfileDeleteAddress | : tlogactivity= (lavalue: 269; name: {lang}'Profile address delete'; | dbname: ''; table: 'XCMS'; group: lagCustomerManagement);
laChgProfileNew Communication | : tlogactivity= (lavalue: 270; name: {lang}'Profile new communication'; | dbname: ''; table: 'XCMS'; group: lagCustomerManagement);
laChgProfileChange Communication | : tlogactivity= (lavalue: 271; name: {lang}'Profile communication change'; | dbname: ''; table: 'XCMS'; group: lagCustomerManagement);
laChgProfileDelete Communication | : tlogactivity= (lavalue: 272; name: {lang}'Profile communication delete'; | dbname: ''; table: 'XCMS'; group: lagCustomerManagement);
laChgProfileNewMarketing Info | : tlogactivity= (lavalue: 219; name: {lang}'Profile new marketing info.'; | dbname: ''; table: 'XCMS'; group: lagCustomerManagement);
laChgProfileDelete MarketingInfo | : tlogactivity= (lavalue: 220; name: {lang}'Profile marketing info delete'; | dbname: ''; table: 'XCMS'; group: lagCustomerManagement);
laChgProfileActiveFlag | : tlogactivity= (lavalue: 423; name: {lang}'Profile active flag changed'; | dbname: ''; table: 'XCMS'; group: lagCustomerManagement);
laChgProfileNomailingFlag | : tlogactivity= (lavalue: 424; name: {lang}'Profile nomailing flag changed'; | dbname: ''; table: 'XCMS'; group: lagCustomerManagement);
laCreateProfile | : tlogactivity= (lavalue: 438; name: {lang}'Profile created'; | dbname: ''; table: 'XCMS'; group: lagCustomerManagement);
// CCM User log rights display |  |

Night Audit

laNaStart | : tlogactivity= (lavalue: 31; name: {lang}'Night Audit started'; | dbname: ''; table: 'NA'; group: lagNightAudit);
laNaFinished | : tlogactivity= (lavalue: 32; name: {lang}'Night Audit finished'; | dbname: ''; table: 'NA'; group: lagNightAudit);
laNaNoClosedCashier | : tlogactivity= (lavalue: 33; name: {lang}'NA: not all cashiers were closed'; | dbname: ''; table: 'NA'; group: lagNightAudit);
laNaNoCiArrivals | : tlogactivity= (lavalue: 34; name: {lang}'NA: not all arrivals were checked in'; | dbname: ''; table: 'NA'; group: lagNightAudit);
laNaNoCoDueouts | : tlogactivity= (lavalue: 35; name: {lang}'NA: not all due outs were checked out'; | dbname: ''; table: 'NA'; group: lagNightAudit);
laNaSetDate | : tlogactivity= (lavalue:351; name: {lang}'NA: date change without running Night Audit'; | dbname: ''; table: 'NA'; group: lagNightAudit);

Block

laBlCreate | : tlogactivity= (lavalue: 36; name: {lang}'Block header created'; | dbname: ''; table: 'YBLH'; group: lagBlock);
laBlChange | : tlogactivity= (lavalue: 37; name: {lang}'Block header changed'; | dbname: ''; table: 'YBLH'; group: lagBlock);
laBlProfileLinkChange | : tlogactivity= (lavalue: 38; name: {lang}'Change in profile links'; | dbname: ''; table: 'YBLH'; group: lagBlock);
laBlStatusChange | : tlogactivity= (lavalue: 39; name: {lang}'Block status changed'; | dbname: ''; table: 'YBLH'; group: lagBlock);
laBlGridChange | : tlogactivity= (lavalue: 40; name: {lang}'New record in grid'; | dbname: ''; table: 'YBLD'; group: lagBlock);
laBlRoomChange | : tlogactivity= (lavalue: 41; name: {lang}'Change room'; | dbname: ''; table: 'YBLD'; group: lagBlock);
laBlCutoffDateChange | : tlogactivity= (lavalue: 42; name: {lang}'Change detail cutoff date'; | dbname: ''; table: 'YBLD'; group: lagBlock);
laBlHCutoffDateChange | : tlogactivity= (lavalue: 143; name: {lang}'Change header cutoff date'; | dbname: ''; table: 'YBLH'; group: lagBlock);
laBlMaualCutoff | : tlogactivity= (lavalue: 407; name: {lang}'Manual cutoff'; | dbname: ''; table: 'YBLH'; group: lagBlock);
laBlNACutoff | : tlogactivity= (lavalue: 408; name: {lang}'NightAudit cutoff'; | dbname: ''; table: 'YBLH'; group: lagBlock);

Billing Instructions

laNewResBillingInstruction | : tlogactivity= (lavalue: 47; name: {lang}'New reservation billing instruction'; | dbname: ''; table: 'YRES'; group: lagBillingInstruction);
laChgResBillingInstruction FromDate | : tlogactivity= (lavalue: 48; name: {lang}'Reservation billing instruction from date'; | dbname: ''; table: 'YRES'; group: lagBillingInstruction);
laChgResBillingInstruction UntilDate | : tlogactivity= (lavalue: 49; name: {lang}'Reservation billing instruction until date'; | dbname: ''; table: 'YRES'; group: lagBillingInstruction);
laChgResBillingInstruction Target | : tlogactivity= (lavalue: 50; name: {lang}'Reservation billing instruction target'; | dbname: ''; table: 'YRES'; group: lagBillingInstruction);
laChgResBillingInstruction DeptCodes | : tlogactivity= (lavalue: 51; name: {lang}'Reservation billing instruction department codes'; | dbname: ''; table: 'YRES'; group: lagBillingInstruction);
laResBillingInstructionDelete | : tlogactivity= (lavalue: 52; name: {lang}'Reservation billing instruction deleted'; | dbname: ''; table: 'YRES'; group: lagBillingInstruction);
laNewFABillingInstruction | : tlogactivity= (lavalue: 144; name: {lang}'New financial account billing instruction'; | dbname: ''; table: 'ZFAC'; group: lagBillingInstruction);
laChgFABillingInstruction FromDate | : tlogactivity= (lavalue: 145; name: {lang}'Financial Account billing instruction from date'; | dbname: ''; table: 'ZFAC'; group: lagBillingInstruction);
laChgFABillingInstruction UntilDate | : tlogactivity= (lavalue: 146; name: {lang}'Financial Account billing instruction until date'; | dbname: ''; table: 'ZFAC'; group: lagBillingInstruction);
laChgFABillingInstruction Target | : tlogactivity= (lavalue: 147; name: {lang}'Financial Account billing instruction target'; | dbname: ''; table: 'ZFAC'; group: lagBillingInstruction);
laChgFABillingInstruction DeptCodes | : tlogactivity= (lavalue: 148; name: {lang}'Financial Account billing instruction department codes'; | dbname: ''; table: 'ZFAC'; group: lagBillingInstruction);
laFABillingInstructionDelete | : tlogactivity= (lavalue: 149; name: {lang}'Financial Account billing instruction deleted'; | dbname: ''; table: 'ZFAC'; group: lagBillingInstruction);

Room

laRoomStatusChange | : tlogactivity= (lavalue: 53; name: {lang}'Room status changed'; | dbname: ''; table: 'YRMS'; group:lagRooms);
laRoomHSKPersonCountChange | : tlogactivity= (lavalue: 58; name: {lang}'HSK Room Persons Count changed'; | dbname: ''; table: 'YRMS'; group:lagRooms);

Posting

laPostingQuantityChange | : tlogactivity= (lavalue: 54; name: {lang}'Posting Quantity changed'; | dbname: ''; table: 'ZPOS'; group: lagPostings);
laPostingDelete | : tlogactivity= (lavalue: 366; name: {lang}'Posting Delete'; | dbname: ''; table: 'ZPOS'; group: lagPostings);
laPostingCheckOutToCityLedger | : tlogactivity= (lavalue: 367; name: {lang}'Check out to City Ledger'; | dbname: ''; table: 'ZPOS'; group: lagPostings);
laPostingSplit | : tlogactivity= (lavalue: 392; name: {lang}'Posting Split'; | dbname: ''; table: 'ZPOS'; group: lagPostings);
laPostingTransferFrom | : tlogactivity= (lavalue: 444; name: {lang}'Posting Transfer From'; | dbname: ''; table: 'ZPOS'; group: lagPostings);
laPostingTransfer | : tlogactivity= (lavalue: 439; name: {lang}'Posting Transfer To'; | dbname: ''; table: 'ZPOS'; group: lagPostings);
laPostingRebate | : tlogactivity= (lavalue: 440; name: {lang}'Posting Rebate'; | dbname: ''; table: 'ZPOS'; group: lagPostings);
laPostingAdjustment | : tlogactivity= (lavalue: 441; name: {lang}'Posting Adjustment'; | dbname: ''; table: 'ZPOS'; group: lagPostings);
laPostingNegative | : tlogactivity= (lavalue: 442; name: {lang}'Posting Negative'; | dbname: ''; table: 'ZPOS'; group: lagPostings);

Interface Actions

laMakeRoomKey | : tlogactivity= (laValue: 89; name: {lang}'Make Room Key'; | dbname: ''; table: 'YRMS'; group: lagIfcActions);
laDeleteRoomKey | : tlogactivity= (laValue: 90; name: {lang}'Deactivate Room Key'; | dbname: ''; table: 'YRMS'; group: lagIfcActions);
laWakeupSet | : tlogactivity= (laValue: 91; name: {lang}'Set Wakeup'; | dbname: ''; table: 'IRMS'; group: lagIfcActions);
laWakeupDelete | : tlogactivity= (laValue: 92; name: {lang}'Delete Wakeup'; | dbname: ''; table: 'IRMS'; group: lagIfcActions);
laChgGuestIfcRights | : tlogactivity= (laValue: 335; name: {lang}'Change IFC Guest Rights'; | dbname: ''; table: 'IRMS'; group: lagIfcActions);
//laChangeTrack2StoreOption | : tlogactivity= (laValue: 59; name: {lang}'Change Do Not Store Track2 Option'; | dbname: ''; table: 'YRCL'; group: lagIfcActions);
laEFTActions | : tlogactivity= (laValue:112; name: {lang}'EFT Authorization'; | dbname: ''; table: 'YRES'; group: lagIfcActions);

Bookings

laNewBooking | : tlogActivity= (lavalue: 60; name: {lang}'Booking New'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laDeleteBooking | : tlogactivity= (lavalue: 61; name: {lang}'Booking Delete'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laCopyBooking | : tlogactivity= (lavalue: 62; name: {lang}'Booking Copy'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookProfile | : tlogactivity= (lavalue: 74; name: {lang}'Booking Company Name'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookContact | : tlogactivity= (lavalue: 75; name: {lang}'Booking Contact Name'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookContactOnSite | : tlogactivity= (lavalue: 63; name: {lang}'Booking Contact on site'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookName | : tlogactivity= (lavalue: 64; name: {lang}'Booking Booking Name'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookEArrDate | : tlogactivity= (lavalue: 65; name: {lang}'Booking Early Arrival'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookArrDate | : tlogactivity= (lavalue: 66; name: {lang}'Booking Arrival Date'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookDepDate | : tlogactivity= (lavalue: 67; name: {lang}'Booking Departure Date'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookLDepDate | : tlogactivity= (lavalue: 68; name: {lang}'Booking Late Departure'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookConfOnly | : tlogactivity= (lavalue: 69; name: {lang}'Booking Category'; | dbname: ''; table: 'YBOM'; group: lagBooking);
//laChgBookRoomsOnly | : tlogactivity= (lavalue: 70; name: {lang}'Booking Rooms only'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookAccountMgr | : tlogactivity= (lavalue: 71; name: {lang}'Booking Account Mgr.'; | dbname: ''; table: 'YBOM'; group: lagBooking);
//laChgBookMainMarket | : tlogactivity= (lavalue: 72; name: {lang}'Booking Main Market'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookMarketSegment | : tlogactivity= (lavalue: 73; name: {lang}'Booking Market Segm.'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookSource | : tlogactivity= (lavalue: 87; name: {lang}'Booking Source'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgConferenceStatus | : tlogactivity= (lavalue: 76; name: {lang}'Booking Conference Status'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookConfMgr | : tlogactivity= (lavalue: 77; name: {lang}'Booking Conference Mgr.'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookPaxNumber | : tlogactivity= (lavalue: 78; name: {lang}'Booking Conference No. of Attendees'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookDecisionDate | : tlogactivity= (lavalue: 79; name: {lang}'Booking Conference Decision Date'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookFollowUpDate | : tlogactivity= (lavalue: 80; name: {lang}'Booking Conference Follow up Date'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookCutOffDate | : tlogactivity= (lavalue: 81; name: {lang}'Booking Conference Cutoff Date'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookInfoBoard | : tlogactivity= (lavalue: 82; name: {lang}'Booking Conference Info board'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookBaseCurrency | : tlogactivity= (lavalue: 83; name: {lang}'Booking Conference Currency'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookDetailsOk | : tlogactivity= (lavalue: 84; name: {lang}'Booking Conference Details Confirmed?'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookBeoDistributed | : tlogactivity= (lavalue: 85; name: {lang}'Booking Conference FS Distributed?'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookFunctionType | : tlogactivity= (lavalue: 86; name: {lang}'Booking Conference Function Type'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgRoomsStatus | : tlogactivity= (lavalue: 100;name: {lang}'Booking Rooms Status'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgRoomsManager | : tlogactivity= (lavalue: 101;name: {lang}'Booking Rooms Mgr.'; | dbname: ''; table: 'YBOM'; group: lagBooking);
//laChgBlockCode | : tlogactivity= (lavalue: 229;name: {lang}'Booking Block Name'; | dbname: ''; table: 'YBOM'; group: lagBooking);
//laChgBlockRAteCode | : tlogactivity= (lavalue: 88; name: {lang}'Block rate code'; | dbname: ''; table: 'YBOM'; group: lagBooking);
//laChgBookBlockElastic | : tlogactivity= (lavalue: 93; name: {lang}'Block elastic'; | dbname: ''; table: 'YBOM'; group: lagBooking);
//laChgBookBackToHouse | : tlogactivity= (lavalue: 94; name: {lang}'Back to house'; | dbname: ''; table: 'YBOM'; group: lagBooking);
//laChgBookBlkCutOffDate | : tlogactivity= (lavalue: 95; name: {lang}'Block cutoff date'; | dbname: ''; table: 'YBOM'; group: lagBooking);
//laChgBookBlkCutOffDays | : tlogactivity= (lavalue: 96; name: {lang}'Block cutoff days'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookRmsDecisionDate | : tlogactivity= (lavalue: 97; name: {lang}'Booking Rooms Decision Date'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookRmsFollowUpdate | : tlogactivity= (lavalue: 98; name: {lang}'Booking Rooms Follow up Date'; | dbname: ''; table: 'YBOM'; group: lagBooking);
//laChgBookBlockStatus | : tlogactivity= (lavalue: 99; name: {lang}'Block status'; | dbname: ''; table: 'YBOM'; group: lagBooking);
//laChgNoofReservation | : tlogactivity= (lavalue: 99; name: {lang}'No. of Reservations'; | dbname: ''; table: 'YBOM'; group: lagBooking);
//laChgBookRoomingListDate | : tlogactivity= (lavalue:221; name: {lang}'Booking Group Name'; | dbname: ''; table: 'YBOM'; group: lagBooking);
//laChgBookBreakfastIncl | : tlogactivity= (lavalue:222; name: {lang}'Breakfast Incl.'; | dbname: ''; table: 'YBOM'; group: lagBooking);
//laChgBookBreakfastPrice | : tlogactivity= (lavalue:223; name: {lang}'Breakfast Price'; | dbname: ''; table: 'YBOM'; group: lagBooking);
//laChgBookBreakfastDesc | : tlogactivity= (lavalue:224; name: {lang}'Breakfast Description'; | dbname: ''; table: 'YBOM'; group: lagBooking);
//laChgBookPorterageIncl | : tlogactivity= (lavalue:225; name: {lang}'Porterage Incl.'; | dbname: ''; table: 'YBOM'; group: lagBooking);
//laChgBookPorteragePrice | : tlogactivity= (lavalue:226; name: {lang}'Porterage Price'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laChgBookNotesUpdate | : tlogactivity= (lavalue:298; name: {lang}'Booking Notes'; | dbname: ''; table: 'YBOM'; group: lagBooking);
//laChgBookNotesDelete | : tlogactivity= (lavalue:228; name: {lang}'Booking Notes Delete'; | dbname: ''; table: 'YBOM'; group: lagBooking);
//laChgBookTrackChanges | : tlogactivity= (lavalue:162; name: {lang}'Track changes'; | dbname: ''; table: 'YBOM'; group: lagBooking);
laBookingLnkProfile | : tlogactivity= (lavalue:227; name: {lang}'Booking Linked Profiles'; | dbname: ''; table: 'YBOM'; group: lagBooking);

Bookings - Billing Instructions

laNewBIBooking | : tlogactivity= (lavalue:104; name: {lang}'Billing Instruction New'; | dbname: ''; table: 'YBOM'; group: lagBookingBI);
laChgBIBookingDelete | : tlogactivity= (lavalue:106; name: {lang}'Billing Instruction Delete'; | dbname: ''; table: 'YBOM'; group: lagBookingBI);
laChgBIBookingFromDate | : tlogactivity= (lavalue:111; name: {lang}'Billing Instruction From Date'; | dbname: ''; table: 'YBOM'; group: lagBookingBI);
laChgBIBookingToDate | : tlogactivity= (lavalue:330; name: {lang}'Billing Instruction To Date'; | dbname: ''; table: 'YBOM'; group: lagBookingBI);
laChgBIBookingDeptCode | : tlogactivity= (lavalue:331; name: {lang}'Billing Instruction Department Codes'; | dbname: ''; table: 'YBOM'; group: lagBookingBI);
laChgBIBookingCashFlag | : tlogactivity= (lavalue:332; name: {lang}'Billing Instruction Cash'; | dbname: ''; table: 'YBOM'; group: lagBookingBI);
//laChgBIBookingName | : tlogactivity= (lavalue:333; name: {lang}'Billing Instruction Name'; | dbname: ''; table: 'YBOM'; group: lagBookingBI);
laChgBIBookingOtherName | : tlogactivity= (lavalue:329; name: {lang}'Billing Instruction Other Name'; | dbname: ''; table: 'YBOM'; group: lagBookingBI);
//laChgBIBookingType | : tlogactivity= (lavalue:105; name: {lang}'Billing Instruction Type'; | dbname: ''; table: 'YBOM'; group: lagBookingBI);
laChgBIBookingPayment Type | : tlogactivity= (lavalue:107; name: {lang}'Billing Instruction Payment'; | dbname: ''; table: 'YBOM'; group: lagBookingBI);
//laChgBIBookingCompany Name | : tlogactivity= (lavalue:108; name: {lang}'Billing Instruction Company Name'; | dbname: ''; table: 'YBOM'; group: lagBookingBI);
laChgBIBookingContact Name | : tlogactivity= (lavalue:109; name: {lang}'Billing Instruction Contact'; | dbname: ''; table: 'YBOM'; group: lagBookingBI);
laChgBIBookingAddress | : tlogactivity= (lavalue:110; name: {lang}'Billing Instruction Address'; | dbname: ''; table: 'YBOM'; group: lagBookingBI);
laChgBIBookingNotes | : tlogactivity= (lavalue:334; name: {lang}'Billing Instruction Notes'; | dbname: ''; table: 'YBOM'; group: lagBookingBI);

Bookings - Deposits

laBookingDeposit | : tlogactivity= (lavalue:299; name: {lang}'Booking Deposit New'; | dbname: ''; table: 'YBOM'; group: lagBookingDeposits);
laBookingDepositDelete | : tlogactivity= (lavalue:301; name: {lang}'Booking Deposit Delete'; | dbname: ''; table: 'YBOM'; group: lagBookingDeposits);
laBookingDepositConfAmount | : tlogactivity= (lavalue:337; name: {lang}'Booking Deposit Conference Amount Due'; | dbname: ''; table: 'YBOM'; group: lagBookingDeposits);
laBookingDepositConfDueDate | : tlogactivity= (lavalue:302; name: {lang}'Booking Deposit Conference Due Date'; | dbname: ''; table: 'YBOM'; group: lagBookingDeposits);
laBookingDepositConfPercent | : tlogactivity= (lavalue:303; name: {lang}'Booking Deposit Conference Percentage'; | dbname: ''; table: 'YBOM'; group: lagBookingDeposits);
laBookingDepositConfPaid | : tlogactivity= (lavalue:304; name: {lang}'Booking Deposit Conference Paid?'; | dbname: ''; table: 'YBOM'; group: lagBookingDeposits);
laBookingDepositRoom Amount | : tlogactivity= (lavalue:305; name: {lang}'Booking Deposit Room Amount Due'; | dbname: ''; table: 'YBOM'; group: lagBookingDeposits);
laBookingDepositRoom DueDate | : tlogactivity= (lavalue:306; name: {lang}'Booking Deposit Room Due Date'; | dbname: ''; table: 'YBOM'; group: lagBookingDeposits);
laBookingDepositRoom Percent | : tlogactivity= (lavalue:307; name: {lang}'Booking Deposit Room Percentage'; | dbname: ''; table: 'YBOM'; group: lagBookingDeposits);
laBookingDepositRoomPaid | : tlogactivity= (lavalue:308; name: {lang}'Booking Deposit Room Paid?'; | dbname: ''; table: 'YBOM'; group: lagBookingDeposits);

Bookings - Cancellations

laBookingCancel | : tlogactivity= (lavalue:309; name: {lang}'Booking Cancel New'; | dbname: ''; table: 'YBOM'; group: lagBookingCancels);
laBookingCancelDelete | : tlogactivity= (lavalue:310; name: {lang}'Booking Cancel Delete'; | dbname: ''; table: 'YBOM'; group: lagBookingCancels);
laBookingCancelConfAmount | : tlogactivity= (lavalue:336; name: {lang}'Booking Cancel Conference Amount Due'; | dbname: ''; table: 'YBOM'; group: lagBookingCancels);
laBookingCancelConfDueDate | : tlogactivity= (lavalue:311; name: {lang}'Booking Cancel Conference Cancelled By'; | dbname: ''; table: 'YBOM'; group: lagBookingCancels);
laBookingCancelConfPercent | : tlogactivity= (lavalue:312; name: {lang}'Booking Cancel Conference Percentage'; | dbname: ''; table: 'YBOM'; group: lagBookingCancels);
laBookingCancelRoomAmount | : tlogactivity= (lavalue:314; name: {lang}'Booking Cancel Room Amount Due'; | dbname: ''; table: 'YBOM'; group: lagBookingCancels);
laBookingCancelRoom DueDate | : tlogactivity= (lavalue:315; name: {lang}'Booking Cancel Room Cancelled By'; | dbname: ''; table: 'YBOM'; group: lagBookingCancels);
laBookingCancelRoomPercent | : tlogactivity= (lavalue:316; name: {lang}'Booking Cancel Room Percentage'; | dbname: ''; table: 'YBOM'; group: lagBookingCancels);

Bookings - Packages

laPackage | : tlogactivity= (lavalue: 317; name: {lang}'Conference Package New'; | dbname: ''; table: 'YPKD'; group: lagConferencePackage);
laPackageDelete | : tlogactivity= (lavalue: 318; name: {lang}'Conference Package Delete'; | dbname: ''; table: 'YPKD'; group: lagConferencePackage);
laPackageCopy | : tlogactivity= (lavalue: 319; name: {lang}'Conference Package Copy'; | dbname: ''; table: 'YPKD'; group: lagConferencePackage);
laPackageName | : tlogactivity= (lavalue: 324; name: {lang}'Conference Package Name'; | dbname: ''; table: 'YPKD'; group: lagConferencePackage);
laPackagePrice | : tlogactivity= (lavalue: 320; name: {lang}'Conference Package Price'; | dbname: ''; table: 'YPKD'; group: lagConferencePackage);
laPackagePax | : tlogactivity= (lavalue: 321; name: {lang}'Conference Package Pax'; | dbname: ''; table: 'YPKD'; group: lagConferencePackage);
laPackageStartTime | : tlogactivity= (lavalue: 322; name: {lang}'Conference Package Start Date'; | dbname: ''; table: 'YPKD'; group: lagConferencePackage);
laPackageEndTime | : tlogactivity= (lavalue: 323; name: {lang}'Conference Package End Date'; | dbname: ''; table: 'YPKD'; group: lagConferencePackage);
laPackageCopiedFrom | : tlogactivity= (lavalue: 339; name: {lang}'Conference Package Copied From'; | dbname: ''; table: 'YPKD'; group: lagConferencePackage);

Bookings - Events

laNewEvent | : tlogactivity= (lavalue:113; name: {lang}'Event New'; | dbname: ''; table: 'YEVM'; group: lagBookingEvents);
laEventDelete | : tlogactivity= (lavalue:114; name: {lang}'Event Delete'; | dbname: ''; table: 'YEVM'; group: lagBookingEvents);
laEventCopy | : tlogactivity= (lavalue:115; name: {lang}'Event Copy'; | dbname: ''; table: 'YEVM'; group: lagBookingEvents);
laChgEventStatus | : tlogactivity= (lavalue:125; name: {lang}'Event Status'; | dbname: ''; table: 'YEVM'; group: lagBookingEvents);
laChgEventType | : tlogactivity= (lavalue:126; name: {lang}'Event Type'; | dbname: ''; table: 'YEVM'; group: lagBookingEvents);
laChgEventNoofAttendees | : tlogactivity= (lavalue:116; name: {lang}'Event No. of Attendees'; | dbname: ''; table: 'YEVM'; group: lagBookingEvents);
laChgEventMinGuarantee | : tlogactivity= (lavalue:117; name: {lang}'Event Min. Guarantee'; | dbname: ''; table: 'YEVM'; group: lagBookingEvents);
laChgEventStartDate | : tlogactivity= (lavalue:118; name: {lang}'Event Start Date'; | dbname: ''; table: 'YEVM'; group: lagBookingEvents);
laChgEventEndDate | : tlogactivity= (lavalue:119; name: {lang}'Event End Date'; | dbname: ''; table: 'YEVM'; group: lagBookingEvents);
laChgEventStartTime | : tlogactivity= (lavalue:120; name: {lang}'Event Start Time'; | dbname: ''; table: 'YEVM'; group: lagBookingEvents);
laChgEventEndTime | : tlogactivity= (lavalue:121; name: {lang}'Event End Time'; | dbname: ''; table: 'YEVM'; group: lagBookingEvents);
laChgEventInfoBoard | : tlogactivity= (lavalue:122; name: {lang}'Event Info Board'; | dbname: ''; table: 'YEVM'; group: lagBookingEvents);
laChgEventPkgIncl | : tlogactivity= (lavalue:123; name: {lang}'Event Incl. in Package'; | dbname: ''; table: 'YEVM'; group: lagBookingEvents);
laChgEventNoisy | : tlogactivity= (lavalue:124; name: {lang}'Event Noisy'; | dbname: ''; table: 'YEVM'; group: lagBookingEvents);
//laEventNotes | : tlogactivity= (lavalue:127; name: {lang}'Event notes'; | dbname: ''; table: 'YEVM'; group: lagBookingEvents);
laEventNotesUpdate | : tlogactivity= (lavalue:326; name: {lang}'Event Notes'; | dbname: ''; table: 'YEVM'; group: lagBookingEvents);
//laEventNotesDelete | : tlogactivity= (lavalue:327; name: {lang}'Event Notes Delete'; | dbname: ''; table: 'YEVM'; group: lagBookingEvents);
//laEventForecast | : tlogactivity= (lavalue:325; name: {lang}'Event Forecast / Revenue'; | dbname: ''; table: 'YEVM'; group: lagBookingEvents);
laChgEventName | : tlogactivity= (lavalue:161; name: 'Event Name'; | dbname: ''; table: 'YEVM'; group: lagBookingEvents);

Resources - Function Spaces

laEventNewFS | : tlogactivity= (lavalue:128; name: {lang}'Function Space New'; | dbname: ''; table: 'YEBS'; group: lagEventFunctionSpaces);
laEventDeleteFS | : tlogactivity= (lavalue:129; name: {lang}'Function Space Delete'; | dbname: ''; table: 'YEBS'; group: lagEventFunctionSpaces);
laChgEventFSSeatting | : tlogactivity= (lavalue:130; name: {lang}'Function Space Seating Arr.'; | dbname: ''; table: 'YEBS'; group: lagEventFunctionSpaces);
laChgEventFSRateCode | : tlogactivity= (lavalue:131; name: {lang}'Function Space Rate'; | dbname: ''; table: 'YEBS'; group: lagEventFunctionSpaces);
laChgEventFSRate Amount | : tlogactivity= (lavalue:132; name: {lang}'Function Space Amount'; | dbname: ''; table: 'YEBS'; group: lagEventFunctionSpaces);
//laChgEventFSRate Special | : tlogactivity= (lavalue:133; name: {lang}'Event Function Space Special Rate'; | dbname: ''; table: 'YEBS'; group: lagEventFunctionSpaces);
laChgEventFSDontMove | : tlogactivity= (lavalue:134; name: {lang}'Function Space Don''t Move'; | dbname: ''; table: 'YEBS'; group: lagEventFunctionSpaces);
laChgEventFSPkgIncl | : tlogactivity= (lavalue:135; name: {lang}'Function Space Incl. in Package'; | dbname: ''; table: 'YEBS'; group: lagEventFunctionSpaces);
laChgEventFSStartDate | : tlogactivity= (lavalue:250; name: {lang}'Function Space Start Date'; | dbname: ''; table: 'YEBS'; group: lagEventFunctionSpaces);
laChgEventFSStartTime | : tlogactivity= (lavalue:251; name: {lang}'Function Space Start Time'; | dbname: ''; table: 'YEBS'; group: lagEventFunctionSpaces);
laChgEventFSEndDate | : tlogactivity= (lavalue:252; name: {lang}'Function Space End Date'; | dbname: ''; table: 'YEBS'; group: lagEventFunctionSpaces);
laChgEventFSEndTime | : tlogactivity= (lavalue:253; name: {lang}'Function Space End Time'; | dbname: ''; table: 'YEBS'; group: lagEventFunctionSpaces);
laChgEventFSDeptCode | : tlogactivity= (lavalue:254; name: {lang}'Function Space Dept. Code'; | dbname: ''; table: 'YEBS'; group: lagEventFunctionSpaces);
laChgEventFSSetup | : tlogactivity= (lavalue:255; name: {lang}'Function Space Setup Time'; | dbname: ''; table: 'YEBS'; group: lagEventFunctionSpaces);
laChgEventFSSetDown | : tlogactivity= (lavalue:136; name: {lang}'Function Space Setdown Time'; | dbname: ''; table: 'YEBS'; group: lagEventFunctionSpaces);
laChgEventFSName | : tlogactivity= (lavalue:256; name: {lang}'Function Space Name'; | dbname: ''; table: 'YEBS'; group: lagEventFunctionSpaces);
laChgEventFSNotes Update | : tlogactivity= (lavalue:341; name: {lang}'Function Space Notes'; | dbname: ''; table: 'YEBS'; group: lagEventFunctionSpaces);
//laChgEventFSNotes Delete | : tlogactivity= (lavalue:257; name: {lang}'Function Space Notes Delete'; | dbname: ''; table: 'YEBS'; group: lagEventFunctionSpaces);
laChgEventFSShareable | : tlogactivity= (lavalue:340; name: {lang}'Function Space Shareable'; | dbname: ''; table: 'YEBS'; group: lagEventFunctionSpaces);

Resources - Misc Items

laEventNewCI | : tlogactivity= (lavalue:150; name: {lang}'Misc. Item New'; | dbname: ''; table: 'YEBR'; group: lagEventCateringItems);
laEventDeleteCI | : tlogactivity= (lavalue:151; name: {lang}'Misc. Item Delete'; | dbname: ''; table: 'YEBR'; group: lagEventCateringItems);
laEventCICopy | : tlogactivity= (lavalue:152; name: {lang}'Misc. Item Copy'; | dbname: ''; table: 'YEBR'; group: lagEventCateringItems);
//laChgEventCINotesDelete | : tlogactivity= (lavalue:258; name: {lang}'Misc. Item Notes Delete'; | dbname: ''; table: 'YEBR'; group: lagEventCateringItems);
laChgEventCIAttribute | : tlogactivity= (lavalue:154; name: {lang}'Misc. Item Attribute'; | dbname: ''; table: 'YEBR'; group: lagEventCateringItems);
laChgEventCIQty | : tlogactivity= (lavalue:155; name: {lang}'Misc. Item Quantity'; | dbname: ''; table: 'YEBR'; group: lagEventCateringItems);
laChgEventCIExternalFlag | : tlogactivity= (lavalue:156; name: {lang}'Misc. Item External?'; | dbname: ''; table: 'YEBR'; group: lagEventCateringItems);
laChgEventCIRate | : tlogactivity= (lavalue:157; name: {lang}'Misc. Item Rate'; | dbname: ''; table: 'YEBR'; group: lagEventCateringItems);
laChgEventCISetupTime | : tlogactivity= (lavalue:158; name: {lang}'Misc. Item Setup Time'; | dbname: ''; table: 'YEBR'; group: lagEventCateringItems);
laChgEventCISetdownTime | : tlogactivity= (lavalue:159; name: {lang}'Misc. Item Setdown Time'; | dbname: ''; table: 'YEBR'; group: lagEventCateringItems);
laChgEventCIPkgIncl | : tlogactivity= (lavalue:160; name: {lang}'Misc. Item Incl. in Package'; | dbname: ''; table: 'YEBR'; group: lagEventCateringItems);
laChgEventCIStartDate | : tlogactivity= (lavalue:260; name: {lang}'Misc. Item Start Date'; | dbname: ''; table: 'YEBR'; group: lagEventCateringItems);
laChgEventCIEndDate | : tlogactivity= (lavalue:261; name: {lang}'Misc. Item End Date'; | dbname: ''; table: 'YEBR'; group: lagEventCateringItems);
laChgEventCIStartTime | : tlogactivity= (lavalue:262; name: {lang}'Misc. Item Start Time'; | dbname: ''; table: 'YEBR'; group: lagEventCateringItems);
laChgEventCIEndTime | : tlogactivity= (lavalue:263; name: {lang}'Misc. Item End Time'; | dbname: ''; table: 'YEBR'; group: lagEventCateringItems);
laChgEventCIDeptCode | : tlogactivity= (lavalue:264; name: {lang}'Misc. Item Dept. Code'; | dbname: ''; table: 'YEBR'; group: lagEventCateringItems);
laChgEventCIRespDeptCode | : tlogactivity= (lavalue:273; name: {lang}'Misc. Item Resp. Dept.'; | dbname: ''; table: 'YEBR'; group: lagEventCateringItems);
laChgEventCIName | : tlogactivity= (lavalue:338; name: {lang}'Misc. Item Name'; | dbname: ''; table: 'YEBR'; group: lagEventCateringItems);
laChgEventCIAmout | : tlogactivity= (lavalue:153; name: {lang}'Misc. Item Price'; | dbname: ''; table: 'YEBR'; group: lagEventCateringItems);
laChgEventCINotesUpdate | : tlogactivity= (lavalue:343; name: {lang}'Misc. Item Notes'; | dbname: ''; table: 'YEBR'; group: lagEventCateringItems);
//laChgEventCISpecialPrice | : tlogactivity= (lavalue:344; name: {lang}'Event Catering Item Special Rate'; | dbname: ''; table: 'YEBR'; group: lagEventCateringItems);

Standard Menu

laChgEventNewSM | : tlogactivity= (lavalue: 230; name: {lang}'Standard Menu New'; | dbname: ''; table: 'YEMN'; group: lagEventStandardMEnus);
laChgEventDeleteSM | : tlogactivity= (lavalue: 231; name: {lang}'Standard Menu Delete'; | dbname: ''; table: 'YEMN'; group: lagEventStandardMEnus);
laChgEventSMCopy | : tlogactivity= (lavalue: 232; name: {lang}'Standard Menu Copy'; | dbname: ''; table: 'YEMN'; group: lagEventStandardMEnus);
//laChgEventSMNotesDelete | : tlogactivity= (lavalue: 259; name: {lang}'Standard Menu Notes Delete'; | dbname: ''; table: 'YEMN'; group: lagEventStandardMEnus);
laChgEventSMName | : tlogactivity= (lavalue: 234; name: {lang}'Standard Menu Name'; | dbname: ''; table: 'YEMN'; group: lagEventStandardMEnus);
laChgEventSMConBase | : tlogactivity= (lavalue: 235; name: {lang}'Standard Menu Cons. Base'; | dbname: ''; table: 'YEMN'; group: lagEventStandardMEnus);
laChgEventSMInclPackage | : tlogactivity= (lavalue: 236; name: {lang}'Standard Menu Incl. in Package'; | dbname: ''; table: 'YEMN'; group: lagEventStandardMEnus);
laChgEventSMGratutyIncl | : tlogactivity= (lavalue: 237; name: {lang}'Standard Menu Gratuity Incl.?'; | dbname: ''; table: 'YEMN'; group: lagEventStandardMEnus);
laChgEventSMPrice | : tlogactivity= (lavalue: 238; name: {lang}'Standard Menu Menu Price'; | dbname: ''; table: 'YEMN'; group: lagEventStandardMEnus);
laChgEventSMQty | : tlogactivity= (lavalue: 239; name: {lang}'Standard Menu Quantity'; | dbname: ''; table: 'YEMN'; group: lagEventStandardMEnus);
laChgEventSMComplementary | : tlogactivity= (lavalue: 240; name: {lang}'Standard Menu Compl. Menus'; | dbname: ''; table: 'YEMN'; group: lagEventStandardMEnus);
laChgEventSMExpPeople | : tlogactivity= (lavalue: 241; name: {lang}'Standard Menu Exp.'; | dbname: ''; table: 'YEMN'; group: lagEventStandardMEnus);
laChgEventSMGaurPeople | : tlogactivity= (lavalue: 242; name: {lang}'Standard Menu Gtd.'; | dbname: ''; table: 'YEMN'; group: lagEventStandardMEnus);
laChgEventSMNoOfSets | : tlogactivity= (lavalue: 243; name: {lang}'Standard Menu Set'; | dbname: ''; table: 'YEMN'; group: lagEventStandardMEnus);
laChgEventSMServeStart | : tlogactivity= (lavalue: 244; name: {lang}'Standard Menu Serve Start'; | dbname: ''; table: 'YEMN'; group: lagEventStandardMEnus);
laChgEventSMServeEnd | : tlogactivity= (lavalue: 245; name: {lang}'Standard Menu Serve End'; | dbname: ''; table: 'YEMN'; group: lagEventStandardMEnus);
laChgEventSMDeptCode | : tlogactivity= (lavalue: 233; name: {lang}'Standard Menu Dept. Code'; | dbname: ''; table: 'YEMN'; group: lagEventStandardMEnus);
//laChgEventSMRevSplitCode | : tlogactivity= (lavalue: 246; name: {lang}'Standard Menu Revenue Split'; | dbname: ''; table: 'YEMN'; group: lagEventStandardMEnus);
//laChgEventSMRevSplitPrice | : tlogactivity= (lavalue: 247; name: {lang}'Standard Menu Revenue Split Price'; | dbname: ''; table: 'YEMN'; group: lagEventStandardMEnus);
laChgEventSMNotesUpdate | : tlogactivity= (lavalue: 248; name: {lang}'Standard Menu Notes'; | dbname: ''; table: 'YEMN'; group: lagEventStandardMEnus);

Resources - Menus - Items

laChgEventSMItem | : tlogactivity= (lavalue: 274; name: {lang}'Menu Item New' ; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
laChgEventSMIDelete | : tlogactivity= (lavalue: 275; name: {lang}'Menu Item Delete'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
laChgEventSMIPrice | : tlogactivity= (lavalue: 276; name: {lang}'Menu Item Price'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
laChgEventSMIIncl | : tlogactivity= (lavalue: 277; name: {lang}'Menu Item Incl. in Menu?'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
laChgEventSMICourse | : tlogactivity= (lavalue: 278; name: {lang}'Menu Item Course'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
laChgEventSMICourseOrder | : tlogactivity= (lavalue: 279; name: {lang}'Menu Item Course Order'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
laChgEventSMIVintage | : tlogactivity= (lavalue: 280; name: {lang}'Menu Item Year'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
//laChgEventSMIMinAmount | : tlogactivity= (lavalue: 281; name: {lang}'Event Standard Menu Item Minimum Amount'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
//laChgEventSMIMaxAmount | : tlogactivity= (lavalue: 282; name: {lang}'Event Standard Menu Item Maximum Amount'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
laChgEventSMIPortion | : tlogactivity= (lavalue: 283; name: {lang}'Menu Item Portion'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
laChgEventSMIForecastCode | : tlogactivity= (lavalue: 284; name: {lang}'Menu Item Forecast Category'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
laChgEventSMIDescription | : tlogactivity= (lavalue: 285; name: {lang}'Menu Item Description'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
laChgEventSMIName | : tlogactivity= (lavalue: 286; name: {lang}'Menu Item Name 1'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
laChgEventSMILongDes2 | : tlogactivity= (lavalue: 287; name: {lang}'Menu Item Name 2'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
laChgEventSMILongDes3 | : tlogactivity= (lavalue: 288; name: {lang}'Menu Item Name 3'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
laChgEventSMILongDes4 | : tlogactivity= (lavalue: 289; name: {lang}'Menu Item Name 4'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
laChgEventSMIOrigin | : tlogactivity= (lavalue: 290; name: {lang}'Menu Item Origin 1'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
laChgEventSMIOrigin2 | : tlogactivity= (lavalue: 291; name: {lang}'Menu Item Origin 2'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
laChgEventSMIOrigin3 | : tlogactivity= (lavalue: 292; name: {lang}'Menu Item Origin 3'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
laChgEventSMISalePrice | : tlogactivity= (lavalue: 293; name: {lang}'Menu Item Price'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
laChgEventSMIDeptCode | : tlogactivity= (lavalue: 294; name: {lang}'Menu Item Dept. Code'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
laChgEventSMIFoodOr Beverage | : tlogactivity= (lavalue: 295; name: {lang}'Menu Item Category'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
laChgEventSMIRespDept | : tlogactivity= (lavalue: 296; name: {lang}'Menu Item Resp. Department'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
laChgEventSMIQty | : tlogactivity= (lavalue: 297; name: {lang}'Menu Item Quantity'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);
//laChgEventSMISpecial Price | : tlogactivity= (lavalue: 342; name: {lang}'Event Standard Menu Item Special Price'; | dbname: ''; table: 'YEMI'; group: lagEventStandardMItems);

Miscellaneous Licenses

laNewMiscLicense | : tlogactivity= (lavalue: 137; name: {lang}'New Miscellaneous License'; | dbname: ''; table: 'WLIC'; group: lagMiscLicense);
laChgMiscLicenseCode | : tlogactivity= (lavalue: 138; name: {lang}'Miscellaneous license code'; | dbname: ''; table: 'WLIC'; group: lagMiscLicense);
laChgMiscLicenseDescription | : tlogactivity= (lavalue: 139; name: {lang}'Miscellaneous license description'; | dbname: ''; table: 'WLIC'; group: lagMiscLicense);
laChgMiscLicenseLicense Name | : tlogactivity= (lavalue: 140; name: {lang}'Miscellaneous license name'; | dbname: ''; table: 'WLIC'; group: lagMiscLicense);
laChgMiscLicenseActive | : tlogactivity= (lavalue: 141; name: {lang}'Miscellaneous license active'; | dbname: ''; table: 'WLIC'; group: lagMiscLicense);
laMiscLicenseDelete | : tlogactivity= (lavalue: 142; name: {lang}'Miscellaneous license deleted'; | dbname: ''; table: 'WLIC'; group: lagMiscLicense);

Activity

laActNew | : tlogactivity= (lavalue: 163; name: {lang}'New Activity'; | dbname: ''; table: 'WACT'; group: lagActivity);
laActCompany | : tlogactivity= (lavalue: 164; name: {lang}'Activity Company'; | dbname: ''; table: 'WACT'; group: lagActivity);
laActContact | : tlogactivity= (lavalue: 165; name: {lang}'Activity Contact'; | dbname: ''; table: 'WACT'; group: lagActivity);
laActCommunication | : tlogactivity= (lavalue: 166; name: {lang}'Activity Communication'; | dbname: ''; table: 'WACT'; group: lagActivity);
laActRespEmployee | : tlogactivity= (lavalue: 167; name: {lang}'Activity Resp. Employee'; | dbname: ''; table: 'WACT'; group: lagActivity);
laActAssignedEmployee | : tlogactivity= (lavalue: 168; name: {lang}'Activity Assigned Employee'; | dbname: ''; table: 'WACT'; group: lagActivity);
laActType | : tlogactivity= (lavalue: 169; name: {lang}'Activity Type'; | dbname: ''; table: 'WACT'; group: lagActivity);
laActDescription | : tlogactivity= (lavalue: 170; name: {lang}'Activity Description'; | dbname: ''; table: 'WACT'; group: lagActivity);
laActAllDay | : tlogactivity= (lavalue: 171; name: {lang}'Activity All day event'; | dbname: ''; table: 'WACT'; group: lagActivity);
laActStartDate | : tlogactivity= (lavalue: 172; name: {lang}'Activity Start Date'; | dbname: ''; table: 'WACT'; group: lagActivity);
laActStartTime | : tlogactivity= (lavalue: 173; name: {lang}'Activity Start Time'; | dbname: ''; table: 'WACT'; group: lagActivity);
laActEndDate | : tlogactivity= (lavalue: 174; name: {lang}'Activity End Date'; | dbname: ''; table: 'WACT'; group: lagActivity);
laActEndTime | : tlogactivity= (lavalue: 175; name: {lang}'Activity End Time'; | dbname: ''; table: 'WACT'; group: lagActivity);
laActShowAs | : tlogactivity= (lavalue: 176; name: {lang}'Activity Show As'; | dbname: ''; table: 'WACT'; group: lagActivity);
laActPrivate | : tlogactivity= (lavalue: 177; name: {lang}'Activity Private'; | dbname: ''; table: 'WACT'; group: lagActivity);
laActReminder | : tlogactivity= (lavalue: 178; name: {lang}'Activity Reminder'; | dbname: ''; table: 'WACT'; group: lagActivity);
laActDateCompleted | : tlogactivity= (lavalue: 179; name: {lang}'Activity Date Completed'; | dbname: ''; table: 'WACT'; group: lagActivity);
laActCopy | : tlogactivity= (lavalue: 180; name: {lang}'Activity Copy'; | dbname: ''; table: 'WACT'; group: lagActivity);
laActDelete | : tlogactivity= (lavalue: 181; name: {lang}'Activity Deleted'; | dbname: ''; table: 'WACT'; group: lagActivity);
laActNotes | : tlogactivity= (lavalue: 182; name: {lang}'Activity Notes'; | dbname: ''; table: 'WACT'; group: lagActivity);
laActMove | : tlogactivity= (lavalue: 183; name: {lang}'Activity Move'; | dbname: ''; table: 'WACT'; group: lagActivity);

Task

laTaskNew | : tlogactivity= (lavalue: 184; name: {lang}'New Task'; | dbname: ''; table: 'WACT'; group: lagTask);
laTaskCompany | : tlogactivity= (lavalue: 185; name: {lang}'Task Company'; | dbname: ''; table: 'WACT'; group: lagTask);
laTaskContact | : tlogactivity= (lavalue: 186; name: {lang}'Task Contact'; | dbname: ''; table: 'WACT'; group: lagTask);
laTaskCommunication | : tlogactivity= (lavalue: 187; name: {lang}'Task Communication'; | dbname: ''; table: 'WACT'; group: lagTask);
laTaskRespEmployee | : tlogactivity= (lavalue: 188; name: {lang}'Task Resp. Employee'; | dbname: ''; table: 'WACT'; group: lagTask);
laTaskAssignedEmployee | : tlogactivity= (lavalue: 189; name: {lang}'Task Assigned Employee'; | dbname: ''; table: 'WACT'; group: lagTask);
laTaskType | : tlogactivity= (lavalue: 190; name: {lang}'Task Type'; | dbname: ''; table: 'WACT'; group: lagTask);
laTaskDescription | : tlogactivity= (lavalue: 191; name: {lang}'Task Description'; | dbname: ''; table: 'WACT'; group: lagTask);
laTaskStartDate | : tlogactivity= (lavalue: 192; name: {lang}'Task Start Date'; | dbname: ''; table: 'WACT'; group: lagTask);
laTaskDueDate | : tlogactivity= (lavalue: 193; name: {lang}'Task Due Date'; | dbname: ''; table: 'WACT'; group: lagTask);
laTaskStatus | : tlogactivity= (lavalue: 194; name: {lang}'Task Status'; | dbname: ''; table: 'WACT'; group: lagTask);
laTaskPriority | : tlogactivity= (lavalue: 195; name: {lang}'Task Priority'; | dbname: ''; table: 'WACT'; group: lagTask);
laTaskDateCompleted | : tlogactivity= (lavalue: 196; name: {lang}'Task Date Completed'; | dbname: ''; table: 'WACT'; group: lagTask);
laTaskPercCompleted | : tlogactivity= (lavalue: 197; name: {lang}'Task Percentage Completed'; | dbname: ''; table: 'WACT'; group: lagTask);
laTaskCopy | : tlogactivity= (lavalue: 198; name: {lang}'Task Copy'; | dbname: ''; table: 'WACT'; group: lagTask);
laTaskMove | : tlogactivity= (lavalue: 199; name: {lang}'Task Move'; | dbname: ''; table: 'WACT'; group: lagTask);
laTaskNotes | : tlogactivity= (lavalue: 200; name: {lang}'Task Notes'; | dbname: ''; table: 'WACT'; group: lagTask);
laTaskDelete | : tlogactivity= (lavalue: 201; name: {lang}'Task Deleted'; | dbname: ''; table: 'WACT'; group: lagTask);

Overbooking

laOverbookingNEW | : tlogactivity= (lavalue: 203; name: {lang}'New Overbooking'; | dbname: ''; table: 'YOVB'; group: lagOverbooking);
laOverbookingUPDATE | : tlogactivity= (lavalue: 204; name: {lang}'Overbooking Update'; | dbname: ''; table: 'YOVB'; group: lagOverbooking);
laOverbookingDELETE | : tlogactivity= (lavalue: 205; name: {lang}'Overbooking Delete'; | dbname: ''; table: 'YOVB'; group: lagOverbooking);

Locator

laLocatorINSERT | : tlogactivity= (lavalue: 206; name: {lang}'New locator'; | dbname: ''; table: 'WACT'; group: lagLocator);
laLocatorUPDATE | : tlogactivity= (lavalue: 207; name: {lang}'Locator Update'; | dbname: ''; table: 'WACT'; group: lagLocator);

Luggage

laLuggageCreate | : tlogactivity= (lavalue: 208; name: {lang}'Luggage creation'; | dbname: ''; table: 'WLUG'; group: lagLuggage);
laLuggageEdited | : tlogactivity= (lavalue: 209; name: {lang}'Luggage edited'; | dbname: ''; table: 'WLUG'; group: lagLuggage);
laLuggagePrinted | : tlogactivity= (lavalue: 210; name: {lang}'Luggage printed'; | dbname: ''; table: 'WLUG'; group: lagLuggage);
laLuggageStatusChanged | : tlogactivity= (lavalue: 211; name: {lang}'Luggage status changed'; | dbname: ''; table: 'WLUG'; group: lagLuggage);
laLuggageLocationChanged | : tlogactivity= (lavalue: 212; name: {lang}'Luggage location changed'; | dbname: ''; table: 'WLUG'; group: lagLuggage);

Financial Accounts

laFAReinstate | : tlogactivity= (lavalue: 213; name: {lang}'FA Reinstated'; | dbname: ''; table: 'ZFAC'; group: lagFinancialAccounts);
laFACreate | : tlogactivity= (lavalue: 214; name: {lang}'FA Create'; | dbname: ''; table: 'ZFAC'; group: lagFinancialAccounts);
laFACheckin | : tlogactivity= (lavalue: 215; name: {lang}'FA Check in'; | dbname: ''; table: 'ZFAC'; group: lagFinancialAccounts);
laFACheckout | : tlogactivity= (lavalue: 216; name: {lang}'FA Check out'; | dbname: ''; table: 'ZFAC'; group: lagFinancialAccounts);
laFAEdit | : tlogactivity= (lavalue: 217; name: {lang}'FA Edit'; | dbname: ''; table: 'ZFAC'; group: lagFinancialAccounts);
laFACreditLimitChange | : tlogactivity= (lavalue: 363; name: {lang}'FA Credit Limit Change'; | dbname: ''; table: 'ZFAC'; group: lagFinancialAccounts);

Accounts Receivable

laARAccountCreate | : tlogactivity= (lavalue: 352; name: {lang}'AR Account Create'; | dbname: ''; table: 'AACC'; group: lagAR);
laARAccountEdit | : tlogactivity= (lavalue: 353; name: {lang}'AR Account Edit'; | dbname: ''; table: 'AACC'; group: lagAR);
laARAccountActivate | : tlogactivity= (lavalue: 354; name: {lang}'AR Account Activate'; | dbname: ''; table: 'AACC'; group: lagAR);
laARAccountDeactivate | : tlogactivity= (lavalue: 355; name: {lang}'AR Account Deactivate'; | dbname: ''; table: 'AACC'; group: lagAR);
laARAccountDelete | : tlogactivity= (lavalue: 356; name: {lang}'AR Account Delete'; | dbname: ''; table: 'AACC'; group: lagAR);
laARInvoiceNew | : tlogactivity= (lavalue: 357; name: {lang}'AR Invoice Create'; | dbname: ''; table: 'AINV'; group: lagAR);
laARInvoiceAdjust | : tlogactivity= (lavalue: 358; name: {lang}'AR Invoice Adjustment'; | dbname: ''; table: 'AINV'; group: lagAR);
//laARInvoicePay | : tlogactivity= (lavalue: 359; name: {lang}'AR Invoice Payment'; | dbname: ''; table: 'AINV'; group: lagAR);
laARInvoiceApplyCredit | : tlogactivity= (lavalue: 359; name: {lang}'AR Apply Credit'; | dbname: ''; table: 'AINV'; group: lagAR);
laARInvoiceApplyDebit | : tlogactivity= (lavalue: 461; name: {lang}'AR Apply Debit'; | dbname: ''; table: 'AINV'; group: lagAR);
laARInvoiceTransfer | : tlogactivity= (lavalue: 360; name: {lang}'AR Invoice Transfer'; | dbname: ''; table: 'AINV'; group: lagAR);
laARInvoiceCompress | : tlogactivity= (lavalue: 361; name: {lang}'AR Invoice Compression'; | dbname: ''; table: 'AINV'; group: lagAR);
laARInvoiceApplyCredit Selectively | : tlogactivity= (lavalue: 434; name: {lang}'AR Apply Credit Selectively'; | dbname: ''; table: 'AINV'; group: lagAR);
laARInvoiceApplyCredit ToMarked | : tlogactivity= (lavalue: 435; name: {lang}'AR Apply Credit To Marked Charges'; | dbname: ''; table: 'AINV'; group: lagAR);
laARInvoiceApplyCredit ToOldest | : tlogactivity= (lavalue: 436; name: {lang}'AR Apply Credit To Oldest Charges'; | dbname: ''; table: 'AINV'; group: lagAR);
laARInvoiceUNCompress | : tlogactivity= (lavalue: 446; name: {lang}'AR Invoice Uncompress'; | dbname: ''; table: 'AINV'; group: lagAR);
laARInvoiceUNCompress2 | : tlogactivity= (lavalue: 447; name: {lang}'AR Invoice Uncompress'; | dbname: ''; table: 'ACMP'; group: lagAR);

Maintenance

laMaintenanceresolve | : tlogactivity= (lavalue: 370; name: {lang}'Resolved'; | dbname: ''; table: 'WACT'; group: lagMaintenance);
laMaintenanceunresolve | : tlogactivity= (lavalue: 371; name: {lang}'Unresolved'; | dbname: ''; table: 'WACT'; group: lagMaintenance);
laMaintenancenew | : tlogactivity= (lavalue: 372; name: {lang}'New'; | dbname: ''; table: 'WACT'; group: lagMaintenance);
laMaintenancedelete | : tlogactivity= (lavalue: 373; name: {lang}'Delete'; | dbname: ''; table: 'WACT'; group: lagMaintenance);
laMaintenanceupdate | : tlogactivity= (lavalue: 374; name: {lang}'Update'; | dbname: ''; table: 'WACT'; group: lagMaintenance);

Table Reservations

laTableReservationNew | : tlogactivity= (lavalue: 375; name: {lang}'New'; | dbname: ''; table: 'RRES'; group: lagTableReservation);
laTableReservationUpdate | : tlogactivity= (lavalue: 376; name: {lang}'Update'; | dbname: ''; table: 'RRES'; group: lagTableReservation);
laTableReservationCancel | : tlogactivity= (lavalue: 377; name: {lang}'Cancel'; | dbname: ''; table: 'RRES'; group: lagTableReservation);
laTableReservationReinstate | : tlogactivity= (lavalue: 425; name: {lang}'Reinstate'; | dbname: ''; table: 'RRES'; group: lagTableReservation);

Security

laInvalidLoginAttempt | : tlogactivity= (lavalue: 380; name: {lang}'Invalid Login Attempt'; | dbname: ''; table: 'SEC'; group: lagSecurity);
laAttemtToAccesProtectedArea | : tlogactivity= (lavalue: 381; name: {lang}'Attempt to Acces Protected Area'; | dbname: ''; table: 'SEC'; group: lagSecurity);

Credit Card

laCreditcardNew | : tlogactivity= (lavalue: 382; name: {lang}'New Credit Card'; | dbname: ''; table: 'XCCS'; group: lagCreditcard);
laViewCreditcardnumber | : tlogactivity= (lavalue: 383; name: {lang}'View clear Credit Card Number'; | dbname: ''; table: 'XCCS'; group: lagCreditcard);
laCreditcardDelete | : tlogactivity= (lavalue: 384; name: {lang}'Credit Card Delete'; | dbname: ''; table: 'XCCS'; group: lagCreditcard);

Room Status Change

laOOORoomNew | : tlogactivity= (lavalue: 386; name: {lang}'New'; | dbname: ''; table: 'YRST'; group: lagRoomStatus);
laOOORoomUpdate | : tlogactivity= (lavalue: 387; name: {lang}'Update'; | dbname: ''; table: 'YRST'; group: lagRoomStatus);
laOOORoomDelete | : tlogactivity= (lavalue: 388; name: {lang}'Delete'; | dbname: ''; table: 'YRST'; group: lagRoomStatus);

Materials Control

laOutletNew | : tlogactivity= (lavalue: 409; name: {lang}'New Outlet'; | dbname: ''; table: 'YOUT'; group: lagMaterialControl);
laOutletChgShortDesc | : tlogactivity= (lavalue: 410; name: {lang}'Outlet Short Description'; | dbname: ''; table: 'YOUT'; group: lagMaterialControl);
laOutletChgLongDesc | : tlogactivity= (lavalue: 411; name: {lang}'Outlet Long Description'; | dbname: ''; table: 'YOUT'; group: lagMaterialControl);
laMenuItemCategoryNew | : tlogactivity= (lavalue: 412; name: {lang}'New Manu Item Category'; | dbname: ''; table: 'YCMC'; group: lagMaterialControl);
laMenuItemCategoryChg LongDesc | : tlogactivity= (lavalue: 413; name: {lang}'Menu Item Category Long Description'; | dbname: ''; table: 'YCMC'; group: lagMaterialControl);
laMenuItemCategoryChgFB | : tlogactivity= (lavalue: 414; name: {lang}'Menu Item Category Food or Beverage'; | dbname: ''; table: 'YCMC'; group: lagMaterialControl);
laMenuItemNew | : tlogactivity= (lavalue: 415; name: {lang}'New Menu Item'; | dbname: ''; table: 'YCMI'; group: lagMaterialControl);
laMenuItemChgCategoryId | : tlogactivity= (lavalue: 416; name: {lang}'Menu Item Category Id'; | dbname: ''; table: 'YCMI'; group: lagMaterialControl);
laMenuItemChgLongDesc | : tlogactivity= (lavalue: 417; name: {lang}'Menu Item Long Description'; | dbname: ''; table: 'YCMI'; group: lagMaterialControl);
laMenuItemChgInactive | : tlogactivity= (lavalue: 418; name: {lang}'Menu Item Inactive'; | dbname: ''; table: 'YCMI'; group: lagMaterialControl);
laMenuItemRateNew | : tlogactivity= (lavalue: 419; name: {lang}'New Menu Item Rate'; | dbname: ''; table: 'YCMR'; group: lagMaterialControl);
laMenuItemRateDelete | : tlogactivity= (lavalue: 420; name: {lang}'Menu Item Rate Delete'; | dbname: ''; table: 'YCMR'; group: lagMaterialControl);
laMenuItemRateChg SalesPrice | : tlogactivity= (lavalue: 421; name: {lang}'Menu Item Rate Sales Price'; | dbname: ''; table: 'YCMR'; group: lagMaterialControl);
laMenuItemRateChg CostPrice | : tlogactivity= (lavalue: 422; name: {lang}'Menu Item Rate Cost Price'; | dbname: ''; table: 'YCMR'; group: lagMaterialControl);

Application and Users

laV8Started | : tlogactivity= (lavalue: 426; name: {lang}'V8 started'; | dbname: ''; table: 'v8'; group: lagApplicationAndUsers);
laV8Stopped | : tlogactivity= (lavalue: 427; name: {lang}'V8 stopped'; | dbname: ''; table: 'v8'; group: lagApplicationAndUsers);
laV8UserLoginSuccessful | : tlogactivity= (lavalue: 428; name: {lang}'User log-in'; | dbname: ''; table: 'v8'; group: lagApplicationAndUsers);
laV8UserLoginUnSuccessful | : tlogactivity= (lavalue: 429; name: {lang}'Unsuccessful user log-in'; | dbname: ''; table: 'v8'; group: lagApplicationAndUsers); //we have a different log item already in security group
laV8UserLogout | : tlogactivity= (lavalue: 430; name: {lang}'User log-out'; | dbname: ''; table: 'v8'; group: lagApplicationAndUsers);
laV8CashierLoginSuccessful | : tlogactivity= (lavalue: 431; name: {lang}'Cashier log-in'; | dbname: ''; table: 'v8'; group: lagApplicationAndUsers);
laV8CashierLoginUnSuccessful | : tlogactivity= (lavalue: 432; name: {lang}'Unsuccessful cashier log-in'; | dbname: ''; table: 'v8'; group: lagApplicationAndUsers);
//laV8CashierLogout | : tlogactivity= (lavalue: 433; name: {lang}'Cashier log-out'; | dbname: ''; table: 'v8'; group: lagApplicationAndUsers);
laDBResourceGroupError | : tlogactivity= (lavalue: 443; name: {lang}'DB Resource Group switch not successful'; | dbname: ''; table: 'warn'; group: lagWarnings);

Exchange Rates

laExchangeRateNew | : tlogactivity= (lavalue: 463; name: {lang}'New'; | dbname: ''; table: 'ZXCH'; group: lagExchangeRate);
laExchangeRateUpdate | : tlogactivity= (lavalue: 464; name: {lang}'Update'; | dbname: ''; table: 'ZXCH'; group: lagExchangeRate);
laExchangeRateDelete | : tlogactivity= (lavalue: 465; name: {lang}'Delete'; | dbname: ''; table: 'ZXCH'; group: lagExchangeRate);